CHANGES
=======

This file contains all the raw change logs since the last major 
release, so that you can see exactly what changes have been made.

A more user-friendly version of this is in doc/release.html

---------------------------------------------------------------

2004-01-31 Saturday 01:00  moodler

	* lang/en/docs/future.html: 
	
	Updated because of slippage

2004-01-31 Saturday 00:49  koenr

	* lang/nl/moodle.php: 
	
	translating on moodle-speed ;-)

2004-01-31 Saturday 00:43  moodler

	* version.php: 
	
	Bump

2004-01-31 Saturday 00:42  moodler

	* lang/en/moodle.php: 
	
	New string 'clicktochange'

2004-01-31 Saturday 00:40  moodler

	* course/: lib.php, mod.php, format/social/format.php,
	format/topics/format.php, format/weeks/format.php: 
	
	Improvements to groups.
	
	  - you can now actually turn group modes on and off for each
	activity. :-)
	    "Turn Editing On" to see the new icons.
	
	  - Link to Groups page is now smarter about when it does and
	doesn't appear

2004-01-31 Saturday 00:37  koenr

	* lang/nl/: error.php, error.php: 
	
	missing strings

2004-01-31 Saturday 00:36  moodler

	* pix/t/groups.gif: 
	
	Slightly improved icon

2004-01-30 Friday 23:44  moodler

	* pix/t/: groupn.gif, groups.gif, groupv.gif: 
	
	New draft icons for defining groups per activity

2004-01-30 Friday 21:55  moodler

	* mod/journal/report.php: 
	
	Fixed some hard-coded strings
	http://moodle.org/bugs/bug.php?op=show&bugid=1011

2004-01-30 Friday 20:27  moodler

	* lang/en/error.php: 
	
	Missing string

2004-01-30 Friday 20:08  moodler

	* user/index.php: 
	
	When separate groups are being used, only show teachers and
	students who have access to that group

2004-01-30 Friday 20:03  moodler

	* lib/datalib.php: 
	
	Putting in a placeholder when counting or gettig users in group 0
	(return nothing for now)

2004-01-30 Friday 19:30  moodler

	* lib/datalib.php: 
	
	get_course_students can now look for groups as well (doesn't handle
	group 0 yet)
	
	get_course_users is more robust (fixes the journal report problem
	etc)

2004-01-30 Friday 15:50  koenr

	* lang/nl/: error.php, forum.php, moodle.php: 
	
	missing strings

2004-01-30 Friday 15:15  stronk7

	* mod/forum/db/oci8po.sql: 
	
	Some strange line feeds in the latest version. Solved.

2004-01-30 Friday 13:44  gustav_delius

	* mod/forum/db/oci8po.sql: 
	
	increase mailed to number(2)

2004-01-30 Friday 13:40  gustav_delius

	* lib/db/mysql.php, lib/db/postgres7.php, mod/forum/version.php,
	mod/forum/db/mysql.php, mod/forum/db/mysql.sql: 
	
	moved the database update code to where it belongs

2004-01-30 Friday 13:16  stronk7

	* lang/en/moodle.php: 
	
	Added str. creatinggroups

2004-01-30 Friday 11:04  stronk7

	* backup/: backuplib.php, lib.php: 
	
	Now everything seems to work fine with the new insert_record()
	function.
	
	Please, test :-)

2004-01-30 Friday 10:21  gustav_delius

	* lib/datalib.php, lib/db/mysql.php, lib/db/postgres7.php,
	version.php, mod/forum/lib.php: 
	
	better logging of forum mail errors, see
	http://moodle.org/mod/forum/discuss.php?d=4865. Required the
	addition of an extra optional argument $user="" to add_to_log()

2004-01-30 Friday 08:53  moodler

	* mod/assignment/: index.php, lib.php, view.php: 
	
	Fixed the counting of submissions for a new function
	assignment_count_real_submissions()

2004-01-30 Friday 07:22  moodler

	* mod/quiz/report/overview/report.php: 
	
	OK, much better.  What was I thinking.	:-)

2004-01-30 Friday 07:16  moodler

	* mod/quiz/report/overview/report.php: 
	
	On second thoughts, added hours

2004-01-30 Friday 07:16  moodler

	* mod/quiz/report/overview/report.php: 
	
	Fixed date format

2004-01-30 Friday 06:50  gustav_delius

	* config-dist.php: 
	
	got rid of bad line endings

2004-01-30 Friday 01:55  moodler

	* lib/moodlelib.php, lang/en/error.php: 
	
	Error message for restricted users

2004-01-30 Friday 01:04  moodler

	* lib/datalib.php: 
	
	New paratmeter to insert_record called primarykey (defaults to
	"id") and removed insert_record_old

2004-01-30 Friday 00:50  moodler

	* filter/texh/texh.php: 
	
	Whoops ... forgot to check this in

2004-01-30 Friday 00:45  moodler

	* mod/forum/view.php: 
	
	Fix the mode handling for "single" forums

2004-01-30 Friday 00:31  moodler

	* login/change_password.php: 
	
	Check for restricted users and also removed some tabs

2004-01-30 Friday 00:29  moodler

	* user/edit.php: 
	
	Restrict certain users from changing profile

2004-01-30 Friday 00:25  moodler

	* lib/moodlelib.php: 
	
	New function to restrict defined users

2004-01-29 Thursday 23:45  paca70

	* lib/datalib.php: 
	
	My php 4.3.4/postgres7.4 combination was thinking that returned
	id-column was string and some modules were thingking that theres
	insert error if return value is string.  Right now all id-colums is
	always integer so this should be ok.

2004-01-29 Thursday 23:43  bobopinna

	* lang/it/moodle.php: 
	
	Updated by Roberto -Bobo- Pinna

2004-01-29 Thursday 23:36  bobopinna

	* lang/it/moodle.php: 
	
	Updated by Roberto -Bobo- Pinna

2004-01-29 Thursday 23:29  moodler

	* mod/glossary/showentry.php: 
	
	No functional change, just me moodling

2004-01-29 Thursday 23:26  moodler

	* course/groups.php: 
	
	Use natural sorting on lists

2004-01-29 Thursday 22:44  moodler

	* lib/moodlelib.php: 
	
	When unenrolling students, remove them from groups too

2004-01-29 Thursday 21:59  moodler

	* lib/moodlelib.php: 
	
	When adding a teacher, remove them as a student.

2004-01-29 Thursday 20:02  moodler

	* mod/journal/report.php: 
	
	Simplified logic a bit

2004-01-29 Thursday 20:01  moodler

	* mod/journal/lib.php: 
	
	Fixed typo bug when getting users

2004-01-29 Thursday 19:11  moodler

	* lib/adodb/: adodb-csvlib.inc.php, adodb-datadict.inc.php,
	adodb-error.inc.php, adodb-errorhandler.inc.php,
	adodb-errorpear.inc.php, adodb-exceptions.inc.php,
	adodb-iterator.inc.php, adodb-lib.inc.php, adodb-pager.inc.php,
	adodb-pear.inc.php, adodb-perf.inc.php, adodb-php4.inc.php,
	adodb-time.inc.php, adodb-xmlschema.inc.php, adodb.inc.php,
	docs-adodb.htm, docs-datadict.htm, docs-perf.htm, docs-session.htm,
	license.txt, pivottable.inc.php, rsfilter.inc.php, server.php,
	tips_portable_sql.htm, toexport.inc.php, tohtml.inc.php, tute.htm,
	datadict/datadict-access.inc.php, datadict/datadict-db2.inc.php,
	datadict/datadict-generic.inc.php, datadict/datadict-ibase.inc.php,
	datadict/datadict-informix.inc.php,
	datadict/datadict-mssql.inc.php, datadict/datadict-mysql.inc.php,
	datadict/datadict-oci8.inc.php, datadict/datadict-postgres.inc.php,
	datadict/datadict-sybase.inc.php, drivers/adodb-access.inc.php,
	drivers/adodb-ado.inc.php, drivers/adodb-ado_access.inc.php,
	drivers/adodb-ado_mssql.inc.php,
	drivers/adodb-borland_ibase.inc.php, drivers/adodb-csv.inc.php,
	drivers/adodb-db2.inc.php, drivers/adodb-fbsql.inc.php,
	drivers/adodb-firebird.inc.php, drivers/adodb-ibase.inc.php,
	drivers/adodb-informix.inc.php, drivers/adodb-informix72.inc.php,
	drivers/adodb-mssql.inc.php, drivers/adodb-mssqlpo.inc.php,
	drivers/adodb-mysql.inc.php, drivers/adodb-mysqli.inc.php,
	drivers/adodb-mysqlt.inc.php, drivers/adodb-oci8.inc.php,
	drivers/adodb-oci805.inc.php, drivers/adodb-oci8po.inc.php,
	drivers/adodb-odbc.inc.php, drivers/adodb-odbc_mssql.inc.php,
	drivers/adodb-odbc_oracle.inc.php, drivers/adodb-oracle.inc.php,
	drivers/adodb-postgres.inc.php, drivers/adodb-postgres64.inc.php,
	drivers/adodb-postgres7.inc.php, drivers/adodb-proxy.inc.php,
	drivers/adodb-sapdb.inc.php, drivers/adodb-sqlanywhere.inc.php,
	drivers/adodb-sqlite.inc.php, drivers/adodb-sybase.inc.php,
	drivers/adodb-vfp.inc.php, lang/adodb-ca.inc.php,
	lang/adodb-cn.inc.php, lang/adodb-de.inc.php,
	lang/adodb-fr.inc.php, lang/adodb-it.inc.php,
	perf/perf-db2.inc.php, perf/perf-informix.inc.php,
	perf/perf-mssql.inc.php, perf/perf-mysql.inc.php,
	perf/perf-oci8.inc.php, perf/perf-postgres.inc.php,
	session/adodb-compress-bzip2.php, session/adodb-compress-gzip.php,
	session/adodb-cryptsession.php, session/adodb-encrypt-mcrypt.php,
	session/adodb-encrypt-md5.php, session/adodb-encrypt-secret.php,
	session/adodb-sess.txt, session/adodb-session-clob.php,
	session/adodb-session.php, session/adodb-sessions.mysql.sql,
	session/adodb-sessions.oracle.clob.sql,
	session/adodb-sessions.oracle.sql, session/crypt.inc.php,
	tests/benchmark.php, tests/client.php, tests/test-datadict.php,
	tests/test-pgblob.php, tests/test-php5.php,
	tests/test-xmlschema.php, tests/test.php, tests/test2.php,
	tests/test3.php, tests/test4.php, tests/test5.php,
	tests/test_rs_array.php, tests/testcache.php,
	tests/testdatabases.inc.php, tests/testgenid.php,
	tests/testmssql.php, tests/testoci8.php, tests/testoci8cursor.php,
	tests/testpaging.php, tests/testpear.php, tests/testsessions.php,
	tests/tmssql.php: 
	
	Upgrading ADOdb to 4.11 ... there were lots of little bug fixes

2004-01-29 Thursday 18:25  moodler

	* lib/datalib.php: 
	
	Fixed problem with magic quotes

2004-01-29 Thursday 17:57  moodler

	* mod/journal/lib.php: 
	
	Don't always use arraymerge in journal_get_users_done() - was
	causing bad data sometimes ...

2004-01-29 Thursday 07:27  moodler

	* lib/datalib.php: 
	
	IMPORTANT!  CRUCIAL CHANGE TO MAJOR FUNCTION!
	
	Petri Asikainen rewrote insert_record to use ADOdb functions.  It
	might be very slightly slower but it gets rid of all the horrible
	not-quite-working PostgreSQL workarounds the old one contained.
	
	It worked for him on PostgreSQL 7.4 and for me on MySQL 3.23 and
	4.0.15, so I'm checking it in.
	
	Please test it thoroughly on your test systems.
	
	Since it writes data it has the potential to stuff things up, so be
	careful on production systems for a few days.

2004-01-29 Thursday 07:13  bobopinna

	* lang/it/docs/teacher.html: 
	
	Updated by Roberto -Bobo- Pinna

2004-01-29 Thursday 06:27  bobopinna

	* lang/it/help/: coursecategory.html, courseformats.html,
	coursefullname.html, coursenumsections.html, courserecent.html,
	courseshortname.html, coursestartdate.html, enrolmentkey.html,
	guestaccess.html, html.html, langedit.html, choice/options.html: 
	
	New version from Giorgio Borelli

2004-01-28 Wednesday 21:59  moodler

	* mod/forum/index.php: 
	
	Dont print learning forums table if there aren't any

2004-01-28 Wednesday 20:58  moodler

	* mod/forum/index.php: 
	
	Reduce intro text for general forums

2004-01-28 Wednesday 20:13  moodler

	* version.php, lib/db/mysql.php, lib/db/mysql.sql,
	lib/db/postgres7.php, lib/db/postgres7.sql: 
	
	Change type of config->value to text (to allow longer info)

2004-01-28 Wednesday 16:14  stronk7

	* backup/version.php: 
	
	- some debug info turned off.  - scheduled backups now supports
	groups info (need to centralize the code!!) - solved an important
	issue when restoring users introduced in lib.php v1.44
	
	Bump

2004-01-28 Wednesday 16:12  stronk7

	* backup/lib.php: 
	
	Solved one important issue when restoring users due to a bug in
	revision 1.44, when solving bug 946. Tons of thanks to Jacob Romeyn
	detecting it.

2004-01-28 Wednesday 16:08  stronk7

	* backup/restorelib.php: 
	
	Turn off some debug info.

2004-01-28 Wednesday 16:07  stronk7

	* backup/backup_scheduled.php: 
	
	Now groups are included in scheduled backups.  I think that we
	should use the same exact code in backup_execute.php and
	backup_scheduled.php to avoid duplicating it in two files !!

2004-01-28 Wednesday 08:46  moodler

	* tags: 
	
	Latest tags

2004-01-28 Wednesday 06:49  moodler

	* mod/forum/: lib.php, version.php: 
	
	Removed function, and updated versions

2004-01-28 Wednesday 06:48  moodler

	* mod/forum/discuss.php: 
	
	Yes, finally forum display preferences are preserved.  :-)

2004-01-28 Wednesday 06:47  moodler

	* lib/moodlelib.php: 
	
	Bugfixes to set_user_preference

2004-01-28 Wednesday 06:14  moodler

	* version.php, lib/datalib.php, lib/moodlelib.php,
	lib/db/mysql.php, lib/db/mysql.sql, lib/db/postgres7.php,
	lib/db/postgres7.sql: 
	
	Added new table called "user preferences" which can be used for
	storing arbitrary preferences for each user.
	
	Thanks to Jon Papaioannou for the first draft of this code which I
	modified.

2004-01-28 Wednesday 03:03  moodler

	* mod/assignment/: index.php, view.php: 
	
	FIxed counting of submissions

2004-01-27 Tuesday 23:41  koenr

	* lang/nl/resource.php: 
	
	missing strings

2004-01-27 Tuesday 23:41  koenr

	* lang/nl/docs/install.html: 
	
	found some typo's

2004-01-27 Tuesday 20:42  moodler

	* lib/weblib.php: 
	
	Added msup

2004-01-27 Tuesday 20:27  moodler

	* mod/: assignment/version.php, attendance/version.php,
	chat/version.php, choice/version.php, dialogue/version.php,
	exercise/version.php, forum/version.php, glossary/version.php,
	journal/version.php, label/version.php, quiz/version.php,
	resource/version.php, survey/version.php, workshop/version.php: 
	
	Define minimum required versions of Moodle

2004-01-27 Tuesday 20:26  moodler

	* admin/index.php: 
	
	Allow modules to define the version of Moodle they require, and
	abort their installation if this requirement isn't met.

2004-01-27 Tuesday 15:48  stronk7

	* course/grades.php: 
	
	Small typo preventing Excel Sheets to be named correctly.

2004-01-27 Tuesday 03:57  moodler

	* backup/restorelib.php: 
	
	Fixed tiny bug for courses without groups

2004-01-26 Monday 19:43  moodler

	* version.php: 
	
	Bumpy bump - time moving too fast

2004-01-26 Monday 19:30  moodler

	* lib/weblib.php: 
	
	Allowing <algebra> tag

2004-01-26 Monday 15:23  stronk7

	* backup/config.html, admin/backup.php: 
	
	Now the destination directory in scheduled bakups have some checks:
	   - Trailing slashes.	   - Trailing backslashes.     - Exists.

2004-01-26 Monday 10:22  moodler

	* theme/standard/styles.php: 
	
	Check $themename to prevent warnings at high levels of debugging
	...

2004-01-26 Monday 09:46  moodler

	* backup/backuplib.php: 
	
	FIxed tiniest bug when trying to backup groups in courses that have
	none

2004-01-26 Monday 09:32  moodler

	* lang/en/moodle.php: 
	
	Setting moodle.php back to default format (as created by
	admin/lang.php)

2004-01-26 Monday 09:26  moodler

	* lang/en/moodle.php: 
	
	Adding string for groups backup

2004-01-26 Monday 08:55  moodler

	* config-dist.php: 
	
	Undoing some wacko formatting ... What were you trying to do,
	Gustav?

2004-01-26 Monday 05:56  bobopinna

	* lang/it/editor.php: 
	
	Updated by Roberto -Bobo- Pinna

2004-01-26 Monday 04:29  moodler

	* mod/survey/index.php: 
	
	Added dividers

2004-01-26 Monday 04:27  moodler

	* mod/: assignment/mod.html, chat/index.php, choice/index.php: 
	
	Added dividers and improved display of section

2004-01-26 Monday 04:21  moodler

	* mod/glossary/index.php: 
	
	New dividers

2004-01-26 Monday 04:07  moodler

	* mod/: assignment/index.php, quiz/index.php, resource/index.php: 
	
	Better dividers in the table

2004-01-26 Monday 03:51  moodler

	* mod/resource/index.php: 
	
	Use dividers on the resource page

2004-01-26 Monday 03:47  moodler

	* lib/weblib.php: 
	
	Better for CSS

2004-01-26 Monday 03:26  bobopinna

	* lang/it/editor.php: 
	
	Updated by Roberto -Bobo- Pinna

2004-01-26 Monday 02:38  bobopinna

	* lang/it/: appointment.php, auth.php, chat.php, dialogue.php,
	error.php, event.php, forum.php, moodle.php, pix.php, quiz.php,
	resource.php, docs/licence.html, docs/teacher.html: 
	
	Updated by Roberto -Bobo- Pinna

2004-01-26 Monday 02:14  moodler

	* theme/: UPGRADE.txt, brightretro/styles.php,
	cordoroyblue/styles.php, garden/styles.php, oceanblue/styles.php,
	poweraid/config.php, poweraid/styles.php, standard/styles.php,
	standardblue/styles.php, standardgreen/styles.php,
	standardlogo/styles.php, standardred/styles.php,
	standardwhite/styles.php: 
	
	New style for tabledivider, and some fixups

2004-01-26 Monday 01:54  moodler

	* lib/weblib.php: 
	
	Er, much better wayto do dividiers

2004-01-26 Monday 01:48  moodler

	* mod/forum/index.php: 
	
	MOds to use dividers between sections

2004-01-26 Monday 01:48  moodler

	* lib/weblib.php: 
	
	Mod to print_table to allow dividers between rows (used on forum
	listing)

2004-01-26 Monday 01:15  moodler

	* lib/weblib.php: 
	
	Adding more tags for matsh

2004-01-26 Monday 01:13  moodler

	* lib/datalib.php: 
	
	Get groupmode when returning a list of instances

2004-01-26 Monday 01:12  moodler

	* lib/moodlelib.php: 
	
	Clarification to some group logic

2004-01-26 Monday 00:57  moodler

	* mod/forum/index.php: 
	
	Remove the forum links as well (for group forums when user not in
	group)

2004-01-26 Monday 00:05  moodler

	* mod/forum/index.php: 
	
	Subscribe links accurately reflect what is possible according to
	the user's group status.
	
	Section numbers now printed once per section

2004-01-25 Sunday 20:34  moodler

	* theme/standard/styles.php: 
	
	Put $themename back again

2004-01-25 Sunday 13:00  stronk7

	* mod/forum/restorelib.php: 
	
	Now userid and groupid fields are recoded correctly in the restore
	process. This should make the backup utility group-compliant !!
	(when talking about forums, of course) :-)

2004-01-25 Sunday 12:57  stronk7

	* backup/: STATUS.txt, restore_execute.html, restorelib.php,
	version.php: 
	
	Now groups and members are restored and recoded when restoring
	courses.  Existing courses are searched by name+description to add
	members to existing groups (when restoring over another course).

2004-01-25 Sunday 12:34  gustav_delius

	* mod/: choice/mod.html, exercise/submissions.php, forum/lib.php,
	forum/post.html, glossary/edit.html, glossary/formats.php,
	glossary/import.html, glossary/lib.php, glossary/mod.html,
	glossary/print.php, journal/lib.php, journal/view.php,
	quiz/description.html, quiz/editmultianswer.php, quiz/lib.php,
	quiz/match.html, quiz/multichoice.html, quiz/numerical.html,
	quiz/randomsamatch.html, quiz/shortanswer.html,
	quiz/truefalse.html, resource/details.php, resource/mod.html,
	survey/details.php, survey/lib.php: 
	
	replaced incorrectly closed html tags, see bug 365

2004-01-25 Sunday 11:36  gustav_delius

	* course/edit.html, lib/datalib.php, theme/standard/styles.php,
	user/edit.html: 
	
	minor fixes, including bugs 997, 998

2004-01-25 Sunday 11:26  stronk7

	* backup/: backup_execute.html, backuplib.php: 
	
	Groups are now included in backup too. I start working in restore
	now.

2004-01-25 Sunday 11:04  gustav_delius

	* config-dist.php, lang/en/moodle.php: 
	
	removed empty lines, which for example messed up the display of the
	license terms

2004-01-25 Sunday 09:04  gustav_delius

	* mod/forum/lib.php: 
	
	reset timelimit so that script does not get timed out when posting
	to many users

2004-01-25 Sunday 09:02  gustav_delius

	* theme/standard/footer.html: 
	
	added missing </center>

2004-01-25 Sunday 09:00  gustav_delius

	* course/lib.php: 
	
	added alt text to some icons

2004-01-25 Sunday 08:49  gustav_delius

	* course/: lib.php, info.php: 
	
	apply filter_text to course summary

2004-01-25 Sunday 06:51  moodler

	* admin/cron.php: 
	
	Run cron.php as admin user so timezones etc work

2004-01-25 Sunday 05:50  moodler

	* lang/de/editor.php: 
	
	Shorter string to help editor display
	
	http://moodle.org/mod/forum/discuss.php?d=4791

2004-01-25 Sunday 01:37  moodler

	* lib/setup.php: 
	
	If $CFG->opentogoogle is defined then
	
	   - google can get in as guest
	
	   - visitiors referred from google get in as guest

2004-01-25 Sunday 01:35  moodler

	* lib/moodlelib.php: 
	
	New function guest_user to create a guest user record and return it

2004-01-24 Saturday 20:05  willcast

	* mod/glossary/: dynalink.php, lib.php: 
	
	- Solving bug 995:    Blank aliases caused the autolinking feature
	to mess the whole thing...

2004-01-23 Friday 09:02  rkingdon

	* mod/exercise/: backuplib.php, lib.php, upload.php: 
	
	Fixes to Backup and upload (now allows teachers multiple uploads in
	a short period)

2004-01-23 Friday 05:23  moodler

	* lang/en/: forum.php, moodle.php: 
	
	New strings

2004-01-23 Friday 05:21  moodler

	* mod/forum/subscribe.php: 
	
	Prevent people from subscribing to group forums is they aren't in a
	group

2004-01-23 Friday 05:01  moodler

	* mod/forum/discuss.php: 
	
	Always show correct current group in popup menu

2004-01-23 Friday 04:48  moodler

	* mod/forum/lib.php: 
	
	Fixes for recent_activity and cron to use the new groupid stuff

2004-01-23 Friday 04:34  moodler

	* mod/resource/coursefiles.php: 
	
	Zipping now works in the filemanager popup from resources.

2004-01-23 Friday 04:06  moodler

	* mod/forum/: backuplib.php, discuss.php, lib.php, post.html,
	post.php, restorelib.php, version.php, db/mysql.php, db/mysql.sql,
	db/postgres7.php, db/postgres7.sql: 
	
	Improvements to forum groups.
	
	New forum_discussions->groupid now stores the group ID for the
	discussion.

2004-01-23 Friday 00:51  moodler

	* lib/javascript.php: 
	
	Load overlib.js as an external Javascript file, on all pages

2004-01-23 Friday 00:40  moodler

	* lib/md5.js: 
	
	MD5 library for home-made security

2004-01-23 Friday 00:35  moodler

	* lib/overlib.js: 
	
	Overlib function for slick popups

2004-01-23 Friday 00:30  moodler

	* course/enrol.php: 
	
	FIxes to cope with this case:
	
	  - student authenticates
	  - teacher enrols the student manually
	  - student tries to enter course
	
	http://moodle.org/mod/forum/discuss.php?d=4529#20493

2004-01-22 Thursday 12:27  stronk7

	* backup/: backuplib.php, restorelib.php, version.php: 
	
	Now groupmode in course_modules is supported too.

2004-01-21 Wednesday 09:13  moodler

	* mod/quiz/lib.php: 
	
	For now just avoid public categories.
	
	It would be nice if instead a check was made to make sure that the
	category wasn't being used by other courses, then even public
	categories could be deleted.

2004-01-21 Wednesday 08:44  moodler

	* mod/quiz/lib.php: 
	
	New function quiz_delete_course() which deletes all the leftover
	stuff while a course is being deleted

2004-01-21 Wednesday 08:15  moodler

	* lib/moodlelib.php: 
	
	In remove_course_contents() look for a module function called
	module_delete_course and run it as well.  This is mainly for
	quizzes at the moment but basically it runs cleanup stuff whenever
	a course is being emptied

2004-01-21 Wednesday 08:04  moodler

	* mod/quiz/lib.php: 
	
	Only list categories that belong to real courses

2004-01-21 Wednesday 04:09  moodler

	* lang/fr_ca/moodle.php: 
	
	Fixed buggy date string

2004-01-20 Tuesday 21:02  andre_bln

	* lang/de/help/richtext.html: 
	
	new german version richtext.html

2004-01-20 Tuesday 19:22  moodler

	* mod/quiz/lib.php: 
	
	Slight fix for null case (Add Choose item on popup menus)

2004-01-20 Tuesday 09:25  rkingdon

	* mod/workshop/: lib.php, submissions.php, upload.php, view.php: 
	
	Fix bug in Analysis of Assessments

2004-01-20 Tuesday 05:58  moodler

	* lang/es_ar/: README.txt, assignment.php, auth.php, choice.php,
	forum.php, journal.php, moodle.php, quiz.php, resource.php,
	survey.php: 
	
	Removing defunct language

2004-01-20 Tuesday 05:54  moodler

	* admin/cron.php: 
	
	Flush it

2004-01-20 Tuesday 05:51  moodler

	* mod/forum/: discuss.php, lib.php: 
	
	- Prevent users from replying in groups other then own.
	
	- groups menu at discussion level

2004-01-20 Tuesday 05:50  moodler

	* lang/de_du/: assignment.php, moodle.php: 
	
	Some fixes

2004-01-20 Tuesday 05:49  moodler

	* lang/tr/moodle.php: 
	
	Fixed locale

2004-01-20 Tuesday 05:27  moodler

	* lib/weblib.php: 
	
	Added lang and mathml tags to allowed tags

2004-01-20 Tuesday 03:27  moodler

	* lang/pl/moodle.php: 
	
	Corrected a string

2004-01-20 Tuesday 03:22  moodler

	* lang/en/resource.php, files/mimetypes.php, mod/resource/view.php:
	
	
	Support for auto embedding of WMV files

2004-01-20 Tuesday 03:19  moodler

	* lang/fa/: README.txt, assignment.php, auth.php, chat.php,
	choice.php, forum.php, journal.php, moodle.php, quiz.php,
	resource.php, survey.php, workshop.php: 
	
	New Farsi translation by Adel Ghazikhani <a_g1981@yahoo.com>

2004-01-20 Tuesday 02:03  moodler

	* filter/multilang/multilang.php: 
	
	Make sure XML is enabled

2004-01-20 Tuesday 00:56  moodler

	* filter/multilang/: README.txt, multilang.php: 
	
	Working code by Gaëtan Frenoy to allow texts to contain multiple
	languages!
	
	See:  http://moodle.org/mod/forum/discuss.php?d=2760
        
2004-01-20 Tuesday 00:51  moodler

	* lib/weblib.php: 
	
	Added stripos function and allow filters to work even when courseid
	isn't set.

2004-01-20 Tuesday 00:50  moodler

	* index.php: 
	
	Use format_text on the site-info

2004-01-20 Tuesday 00:46  moodler

	* lib/gdlib.php: 
	
	Ignore errors on chown

2004-01-18 Sunday 13:34  koenr

	* lang/nl/exercise.php: 
	
	trying to improve the translation by using the module

2004-01-18 Sunday 01:52  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	
		  Further problems with the percentage displays fixed

2004-01-18 Sunday 00:55  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	
		  Error in percentage calculations for T/F items fixed
	(screen display only)

2004-01-17 Saturday 22:17  moodler

	* mod/quiz/: index.php, lib.php: 
	
	Some fixes for displaying empty grades in quizzes
	
	suggested by Marilyn Fleming
	http://moodle.org/mod/forum/discuss.php?d=4636

2004-01-17 Saturday 18:05  koenr

	* lang/nl/: auth.php, chat.php: 
	
	missing strings

2004-01-17 Saturday 07:41  les_kopari

	* mod/exercise/db/oci8po.sql: 
	
	Translated from MySQL.

2004-01-17 Saturday 06:18  les_kopari

	* mod/attendance/db/oci8po.sql: 
	
	Added one column and modified test cases.

2004-01-17 Saturday 05:02  les_kopari

	* lib/db/schemaGroups_members.xml: 
	
	Renamed.

2004-01-17 Saturday 04:59  les_kopari

	* lib/db/schemaExecutionListing.html: 
	
	Another test run.

2004-01-17 Saturday 04:57  les_kopari

	* lib/db/schemaCourse_groups_members.xml: 
	
	Renamed to schemaGroups_members.xml

2004-01-17 Saturday 04:56  les_kopari

	* lib/db/schemaCourse_groups.xml: 
	
	Renamed to schemaGroups.xml

2004-01-17 Saturday 04:51  les_kopari

	* lib/db/: schemaEvent.xml, schemaGroups.xml: 
	
	Renamed table.

2004-01-17 Saturday 04:49  les_kopari

	* lib/db/schemaCourse_modules.xml: 
	
	Test run with new columns and tables.

2004-01-17 Saturday 04:42  les_kopari

	* lib/db/: schemaConfig.xml, schemaCourse.xml,
	schemaCourse_display.xml: 
	
	New columns.

2004-01-17 Saturday 04:41  les_kopari

	* lib/db/schema.php: 
	
	New columns and tables.

2004-01-17 Saturday 02:27  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	
	    Report lines after a matching question in screen display and
	Excel fixed.

2004-01-17 Saturday 02:18  moodler

	* mod/glossary/showentry.php: 
	
	A very quick and dirty try .... Williams?  What do you think?

2004-01-17 Saturday 01:47  moodler

	* version.php, lib/moodlelib.php, lib/db/mysql.php,
	lib/db/mysql.sql, lib/db/postgres7.php, lib/db/postgres7.sql: 
	
	EARLY SUPPORT FOR CALENDARS AND EVENTS
	--------------------------------------
	
	New functions and tables, based on work from Gustav Delius (see
	http://moodle.org/mod/forum/discuss.php?d=4466)
	
	This forms the core of a new system to store, track and utilise
	event information in all modules, as well as allowing external
	calendars to be synchronised with new information.

2004-01-17 Saturday 01:16  les_kopari

	* lib/db/schemaCourse_modules.xml: 
	
	New field.

2004-01-17 Saturday 01:06  les_kopari

	* lib/db/schemaCourse.xml: 
	
	Correct defaults.

2004-01-17 Saturday 00:55  les_kopari

	* lib/db/schemaCourse.xml: 
	
	Added groupmode, groupmodeforce.

2004-01-16 Friday 23:08  moodler

	* admin/users.php, course/lib.php: 
	
	Use is_internal_email function (see bug 978)

2004-01-16 Friday 22:49  moodler

	* mod/forum/view.php: 
	
	Editing teachers can always get into forums

2004-01-16 Friday 21:39  moodler

	* course/lib.php, files/index.php: 
	
	Only editing teachers can see files

2004-01-16 Friday 13:36  koenr

	* lang/nl/README.txt: 
	
	Hans insisted

2004-01-16 Friday 13:34  koenr

	* lang/nl/moodle.php: 
	
	mising strings

2004-01-16 Friday 10:32  giro123

	* lang/es/: attendance.php, choice.php, dialogue.php, forum.php,
	moodle.php, quiz.php, resource.php, workshop.php: 
	
	[no log message]

2004-01-16 Friday 05:14  moodler

	* lang/en/chat.php, mod/chat/report.php: 
	
	
	Chat sessions can now be deleted

2004-01-16 Friday 04:16  moodler

	* mod/forum/lib.php: 
	
	Links color = black

2004-01-16 Friday 03:39  moodler

	* mod/glossary/showentry.php: 
	
	Require user to login to see glossary entries (if a course is
	specified)

2004-01-16 Friday 03:32  moodler

	* mod/forum/lib.php: 
	
	Add some styles in the posts so the autolinks look OK.

2004-01-16 Friday 03:23  moodler

	* course/lib.php: 
	
	Small improvement to log-gathering for activities - works better
	with glossary logs

2004-01-16 Friday 02:51  moodler

	* mod/forum/lib.php: 
	
	Pass courseid to format_text explicitly

2004-01-16 Friday 02:49  moodler

	* lib/weblib.php: 
	
	Fixes so that $courseid can be passes to format_text (and this
	filter_text)

2004-01-16 Friday 02:23  moodler

	* admin/cron.php: 
	
	Output the time in the cron output

2004-01-16 Friday 01:17  moodler

	* auth/imap/config.html, auth/imap/lib.php, auth/nntp/config.html,
	auth/nntp/lib.php, auth/pop3/config.html, auth/pop3/lib.php,
	lang/en/auth.php: 
	
	UNTESTED changes to allow multiple hosts to be used for
	POP3/IMAP/NNTP authentication
	
	Please test them.

2004-01-15 Thursday 22:42  moodler

	* mod/forum/post.html: 
	
	When using the HTML editor, don't provide format options

2004-01-15 Thursday 11:02  paca70

	* lang/fi/: assignment.php, countries.php, forum.php, glossary.php:
	
	
	Updates

2004-01-15 Thursday 11:01  paca70

	* lang/fi/webquest.php: 
	
	Initial version

2004-01-15 Thursday 10:57  paca70

	* lang/fi/: quiz.php, resource.php: 
	
	Updates

2004-01-15 Thursday 10:50  giro123

	* lang/es/: quiz.php, workshop.php, pix.php: 
	
	[no log message]

2004-01-15 Thursday 10:38  paca70

	* lang/fi/: label.php, pix.php: 
	
	Initial translation

2004-01-15 Thursday 10:26  paca70

	* lang/fi/exercise.php: 
	
	Initial translation

2004-01-15 Thursday 10:21  paca70

	* lang/fi/error.php: 
	
	Initial translation

2004-01-15 Thursday 10:18  paca70

	* lang/fi/editor.php: 
	
	Updates

2004-01-15 Thursday 10:17  paca70

	* lang/fi/dialogue.php: 
	
	Initial translation

2004-01-15 Thursday 10:06  paca70

	* lang/fi/: chat.php, choice.php: 
	
	Updates

2004-01-15 Thursday 10:05  paca70

	* lang/fi/attendance.php: 
	
	Initial translation

2004-01-15 Thursday 09:56  villate

	* lang/pt/: dialogue.php, editor.php: 
	
	New files from version 1.2

2004-01-15 Thursday 09:43  paca70

	* lang/fi/moodle.php: 
	
	Updates

2004-01-15 Thursday 09:08  villate

	* lang/pt/: assignment.php, attendance.php, auth.php, chat.php,
	countries.php: 
	
	Updated to the 1.2 version

2004-01-15 Thursday 07:26  moodler

	* mod/quiz/lib.php: 
	
	Menus on quiz editing no longer need the submit buttons

2004-01-15 Thursday 02:22  moodler

	* course/group.php: 
	
	FIxed a small typo preventing group display

2004-01-15 Thursday 00:44  moodler

	* mod/chat/lib.php: 
	
	Don't show old chat users in recent activity

2004-01-14 Wednesday 23:52  moodler

	* course/log.php: 
	
	Double-check bad input data

2004-01-14 Wednesday 23:26  moodler

	* mod/forum/view.php: 
	
	Save forum log url in a more standard way

2004-01-14 Wednesday 23:21  moodler

	* lang/en/moodle.php: 
	
	Added "All activities"

2004-01-14 Wednesday 23:17  moodler

	* lib/weblib.php: 
	
	Added log links for teachers from each activity page

2004-01-14 Wednesday 23:17  moodler

	* course/: lib.php, log.php: 
	
	Logs can now be divided up by activity!

2004-01-14 Wednesday 10:25  paca70

	* backup/db/postgres7.sql: 
	
	Added missing "("

2004-01-14 Wednesday 10:13  paca70

	* lib/db/postgres7.php: 
	
	FIXED: script was calling fix_course_sortorder() before courseorder
	have been renamed to coursecount.

2004-01-14 Wednesday 09:53  moodler

	* user/view.php: 
	
	Extra parameter for robustness

2004-01-14 Wednesday 08:56  moodler

	* mod/quiz/format/webct/: TODO.txt, format.php: 
	
	Latest files from Denis

2004-01-14 Wednesday 05:47  stigbjarne

	* lang/no/docs/faq.html: 
	
	New file. For now, mostly headers and infotext translated. Answers:
	Still in english.

2004-01-14 Wednesday 05:33  moodler

	* user/view.php: 
	
	Clean output for old entries

2004-01-14 Wednesday 05:31  moodler

	* user/edit.php: 
	
	Clean all data in user profile

2004-01-14 Wednesday 05:07  moodler

	* user/view.php: 
	
	User descriptions weren't being filtered!   They are now.  :-)

2004-01-14 Wednesday 05:01  moodler

	* mod/forum/lib.php: 
	
	Fixed two typos - seems to be working properly now

2004-01-14 Wednesday 05:01  stigbjarne

	* lang/no/help/workshop/: gradingassessments.html, index.html: 
	
	New file

2004-01-14 Wednesday 04:16  stigbjarne

	* lang/no/help/workshop/submissionofexamples.html: 
	
	New file

2004-01-14 Wednesday 03:50  moodler

	* mod/forum/: backuplib.php, lib.php, restorelib.php, version.php,
	db/mysql.php, db/mysql.sql, db/postgres7.php, db/postgres7.sql: 
	
	Some improvements in efficiency of Recent Activity.
	
	There is now a new field in forum_discussions which has the userid
	of the author in it.  This saves a lookup every time to
	forum_posts.
	
	There is also some caching and rearrangement of the logic.
	
	It seems to work OK, I'm about to do some speed tests on moodle.org

2004-01-14 Wednesday 01:12  moodler

	* mod/forum/lib.php: 
	
	Even in visible-groups mode, only show recent activity of one's own
	group
	
	Not sure if this is right though

2004-01-14 Wednesday 00:27  moodler

	* course/index.php: 
	
	Obey "forcelogin"

2004-01-14 Wednesday 00:27  moodler

	* index.php, admin/config.html, lang/en/moodle.php,
	lib/defaults.php, login/index.php: 
	
	A new configuration setting - "forcelogin".
	
	Default is false, everything is as it is now.
	
	If turned on, then users are forced to log in before being able to
	see the front page or the course listings.

2004-01-14 Wednesday 00:22  koenr

	* lang/nl/docs/teacher.html: 
	
	added link to index of helpfiles

2004-01-13 Tuesday 19:47  moodler

	* course/view.php: 
	
	May avoid a cookie issue

2004-01-13 Tuesday 19:25  moodler

	* mod/quiz/report/overview/report.php: 
	
	Make it easier to click on attempts

2004-01-13 Tuesday 19:10  moodler

	* lang/en/docs/teacher.html: 
	
	Added links to the other help files

2004-01-13 Tuesday 18:24  moodler

	* mod/journal/: backuplib.php, edit.php, lib.php, mod.html,
	restorelib.php, version.php, view.php, db/mysql.php, db/mysql.sql,
	db/postgres7.php, db/postgres7.sql: 
	
	Journal questions can now use HTML editor, plus new field
	'introformat'

2004-01-13 Tuesday 13:19  koenr

	* lang/nl/help/quiz/: formatgift.html, import.html: 
	
	keeping track of the changes

2004-01-13 Tuesday 06:32  thetrinity

	* lang/en/help/quiz/formatgift.html: 
	
	Implemented Matching Questions.

2004-01-13 Tuesday 06:27  thetrinity

	* mod/quiz/format/gift/: examples.txt, format.php: 
	
	Implemented Matching Questions.

2004-01-13 Tuesday 05:48  willcast

	* mod/glossary/edit.html: 
	
	- Solving bug 971:    Some default settings override db fields when
	editing an entry.

2004-01-13 Tuesday 02:16  stigbjarne

	* lang/no/help/workshop/: anonymous.html, finalgrades.html,
	resubmit.html, ungradedassessments_teacher.html: 
	
	New file

2004-01-12 Monday 23:54  moodler

	* login/signup.php: 
	
	Strip tags from new user's names and email.  Thanks to Paul Shew.

2004-01-12 Monday 18:32  moodler

	* theme/cordoroyblue/header.html: 
	
	Fixes for buggy stuff

2004-01-12 Monday 11:27  koenr

	* lang/nl/help/quiz/: formatgift.html, import.html: 
	
	updated

2004-01-12 Monday 09:35  koenr

	* lang/nl/help/: index.html, quiz/index.html: 
	
	updated and put in (Dutch) alphabetical order. All indexfiles
	should be alphabeticaly ordered now.

2004-01-12 Monday 09:30  koenr

	* lang/nl/help/quiz/: formatblackboard.html, formatctm.html,
	formatcustom.html, formatmissingword.html, import.html: 
	
	changed title to fit logicaly in indexfile

2004-01-12 Monday 09:20  moodler

	* course/group.php: 
	
	Don't print description box if there is no description.

2004-01-12 Monday 09:20  moodler

	* mod/forum/lib.php: 
	
	This is a ridiculously complicated solution to showing only those
	posts in recent activity that one should see.
	
	It's temporary.
	
	I have a more efficient solution in mind but it will take at least
	one new database field - I'll tackle it later.

2004-01-12 Monday 08:30  moodler

	* mod/quiz/attempt.php: 
	
	Some fixes to clarify handling of the number of attempts

2004-01-12 Monday 08:09  bobopinna

	* lang/it/: attendance.php, choice.php, forum.php, moodle.php,
	quiz.php, resource.php, workshop.php: 
	
	Updated by Bobo

2004-01-12 Monday 06:51  moodler

	* course/group.php: 
	
	And make sure the group is from this course!

2004-01-12 Monday 06:48  moodler

	* course/group.php: 
	
	Secure group viewing when in separate mode

2004-01-12 Monday 05:11  moodler

	* lang/fr/moodle.php: 
	
	Replaced missing string

2004-01-12 Monday 05:06  moodler

	* lang/fr/moodle.php: 
	
	A number of fixes (fixed by simply saving with admin/lang.php)

2004-01-12 Monday 02:24  andre_bln

	* lang/de/help/: resource/index.html, resource/mods.html,
	resource/program.html, resource/resourcetype.html,
	resource/summary.html, workshop/Overview.html,
	workshop/assessmentofexamples.html, workshop/elements.html,
	workshop/mods.html, workshop/teachersgradings.html: 
	
	german language files version 20.11.2003

2004-01-12 Monday 00:24  mits

	* lang/ja/: README, moodle.php: 
	
	some new translation added.

2004-01-11 Sunday 19:58  thetrinity

	* lang/en/help/quiz/: formatgift.html, import.html: 
	
	Fixed typo and minor polishing for GIFT filter docs.

2004-01-11 Sunday 19:54  thetrinity

	* mod/quiz/format/gift/: examples.txt, format.php: 
	
	Fixed typo and minor polishing.

2004-01-11 Sunday 18:36  moodler

	* mod/journal/lib.php: 
	
	Bug #966 - journal_grades should return NULL if no grade

2004-01-11 Sunday 14:19  koenr

	* lang/nl/quiz.php: 
	
	filling in missing strings

2004-01-11 Sunday 14:18  koenr

	* lang/nl/error.php: 
	
	translated by koen Roggemans

2004-01-11 Sunday 13:55  koenr

	* lang/nl/help/quiz/: formataiken.html, formatgift.html: 
	
	translated by koen Roggemans

2004-01-11 Sunday 10:44  koenr

	* lang/nl/: exercise.php, moodle.php, resource.php: 
	
	corrected some typo's and ugly tranlations

2004-01-11 Sunday 10:37  moodler

	* course/student.php: 
	
	Bug 965

2004-01-11 Sunday 10:09  moodler

	* admin/user.php: 
	
	No need to require this file

2004-01-11 Sunday 10:08  moodler

	* admin/index.php: 
	
	Use is_internal_auth function instead

2004-01-11 Sunday 09:46  moodler

	* mod/forum/: discuss.php, lib.php, version.php, view.php: 
	
	First version of support in groups in the forums.
	
	Still needs plenty of testing.	 There is no GUI yet for turning on
	the groupmode just for the forum (this will be on the course page)
	but you can put a 1 (visible) or 2 (separate) in the course_modules
	table.

2004-01-11 Sunday 09:44  moodler

	* lib/moodlelib.php: 
	
	Work done on group functions

2004-01-11 Sunday 09:44  moodler

	* version.php, lib/db/mysql.php, lib/db/mysql.sql,
	lib/db/postgres7.php, lib/db/postgres7.sql: 
	
	Added groupmode setting to course_modules

2004-01-10 Saturday 18:50  moodler

	* lang/en/quiz.php, mod/quiz/format/webct/format.php: 
	
	Added strings for WebCT Import format

2004-01-10 Saturday 18:43  moodler

	* mod/quiz/format/webct/format.php: 
	
	WebCT Import format!!  (untested)
	
	Contribution from Denis Rebaud!

2004-01-10 Saturday 17:57  moodler

	* lang/en_us/moodle.php: 
	
	Grammar fixes for "updating" and "editing"

2004-01-10 Saturday 17:56  moodler

	* lang/en/moodle.php: 
	
	Some grammar fixes (for modules named starting with vowels)

2004-01-10 Saturday 08:52  moodler

	* lib/datalib.php: 
	
	Sort group members by last access by default

2004-01-10 Saturday 08:49  moodler

	* course/group.php: 
	
	Use the new print_user function for the group

2004-01-10 Saturday 08:47  moodler

	* lib/weblib.php: 
	
	Links in print_user are absolute

2004-01-10 Saturday 08:41  moodler

	* lib/weblib.php, user/edit.php, user/index.php, user/lib.php,
	user/view.php: 
	
	Completely got rid of user/lib.php
	
	  - print_user() went to weblib.php and got tidied up
	
	  - The graphics functions went to lib/gdlib.php
	
	See Bug 922

2004-01-10 Saturday 08:38  moodler

	* lib/gdlib.php: 
	
	New library for collecting routines related to GD

2004-01-10 Saturday 06:25  moodler

	* course/loginas.php: 
	
	When logging in as a user, take on their "current group" setting
	too, then afterwards return teacher to their old setting

2004-01-10 Saturday 01:50  thetrinity

	* mod/quiz/format/gift/: examples.txt, format.php: 
	
	Converted to  UNIX file type.

2004-01-10 Saturday 01:39  thetrinity

	* mod/quiz/format/gift/: docs.html, examples.txt, format.php: 
	
	Fixed typo

2004-01-10 Saturday 01:24  thetrinity

	* lang/en/help/quiz/: formatgift.html, import.html: 
	
	Updated docs to latest revisions of GIFT import filter

2004-01-09 Friday 23:39  moodler

	* mod/quiz/: lib.php, multichoice.html, shortanswer.html: 
	
	Increased QUIZ_MAX_NUMBER_ANSWERS to 10, and actually made it apply
	to everythin

2004-01-09 Friday 19:39  thetrinity

	* mod/quiz/format/gift/examples.txt: 
	
	examples.txt added

2004-01-09 Friday 19:35  thetrinity

	* mod/quiz/format/gift/: docs.html, format.php: 
	
	Integrated Multiple Answers and inline comments options. Made
	examples.txt. Documentation now moved.

2004-01-09 Friday 14:04  gniske

	* lang/da/: choice.php, error.php, forum.php, moodle.php,
	resource.php: 
	
	Adding missing strings Made som few corrections in existing
	translation

2004-01-09 Friday 08:54  moodler

	* course/index.php: 
	
	Don't move courses from delete categories to the "zero" category
	
	(Make sure the grandparents are home before sending the kids
	there!)

2004-01-09 Friday 08:49  martignoni

	* lang/fr/docs/intro.html: 
	
	One sentence corrected

2004-01-09 Friday 08:15  martignoni

	* lang/fr/: assignment.php, attendance.php, auth.php, choice.php,
	quiz.php, resource.php, survey.php, workshop.php: 
	
	Changed to single quoted strings

2004-01-09 Friday 06:31  martignoni

	* lang/fr/forum.php: 
	
	Changed to single quoted strings

2004-01-09 Friday 04:57  moodler

	* mod/quiz/edit.php: 
	
	Fixed a small bug introduced yesterday

2004-01-09 Friday 00:47  moodler

	* mod/resource/view.php: 
	
	Updated with the new location of the Flash script

2004-01-09 Friday 00:46  moodler

	* lib/: mp3player.swf, mp3player/mp3player.fla.zip,
	mp3player/mp3player.swf: 
	
	Including the MP3 player source along with it.

2004-01-08 Thursday 23:16  moodler

	* mod/resource/details.php: 
	
	Old settings weren't being remembered - fixed now.

2004-01-08 Thursday 22:52  moodler

	* mod/resource/view.php: 
	
	More tweaks when displaying embedded resources

2004-01-08 Thursday 22:36  moodler

	* mod/resource/view.php: 
	
	Some tidying up of the recent layout

2004-01-08 Thursday 19:31  moodler

	* mod/resource/view.php: 
	
	Some cleaning up and native support for streaming MP3! (using
	Flash)

2004-01-08 Thursday 19:30  moodler

	* lib/mp3player.swf: 
	
	A general-purpose MP3 player in Flash

2004-01-08 Thursday 11:02  martignoni

	* lang/fr/moodle.php: 
	
	Converted to single quote strings

2004-01-08 Thursday 07:05  martignoni

	* lang/fr/: chat.php, countries.php, journal.php, moodle.php: 
	
	Converted to single quoted strings

2004-01-08 Thursday 05:19  moodler

	* lang/en/help/uploadusers.html: 
	
	Add fixes from Zig

2004-01-08 Thursday 04:37  moodler

	* version.php: 
	
	Bumping the version

2004-01-08 Thursday 04:20  moodler

	* lang/en/resource.php, mod/resource/view.php: 
	
	Fixed long-standing problem with popup windows.
	
	Now when you go to the using the navbar, they popup and leave some
	navigation behind.
	
	Also fixed a recent bug with embedded images

2004-01-08 Thursday 03:00  fiedorow

	* admin/uploaduser.php: 
	
	Apply addslashes to adminuser data

2004-01-07 Wednesday 20:50  moodler

	* lib/datalib.php: 
	
	Fix for case calling get_courses("all") when there is no user

2004-01-07 Wednesday 19:51  fiedorow

	* admin/uploaduser.php: 
	
	Apply addslashes to data

2004-01-07 Wednesday 19:10  moodler

	* lang/en/docs/coding.html: 
	
	Add info about addslashes()

2004-01-07 Wednesday 05:41  moodler

	* lang/en/help/quiz/: formataiken.html, formatgift.html,
	import.html, index.html: 
	
	Improved documentation for Quiz filters

2004-01-07 Wednesday 05:23  stigbjarne

	* lang/no/help/workshop/assignmenttype.html: 
	
	New file

2004-01-07 Wednesday 05:16  moodler

	* mod/quiz/edit.php: 
	
	Fixed header

2004-01-07 Wednesday 05:10  moodler

	* mod/quiz/edit.php: 
	
	Some cleaning up of the edit screen (especially in non-quiz mode)

2004-01-07 Wednesday 04:59  stigbjarne

	* lang/no/help/workshop/breakdownoffinalgrade.html: 
	
	New file

2004-01-07 Wednesday 04:41  stigbjarne

	* lang/no/help/workshop/: graded.html, leaguetable.html,
	nassessmentsofteachersexamples.html, showinggrades.html: 
	
	New file

2004-01-07 Wednesday 04:37  moodler

	* lang/no/: assignment.php, attendance.php, auth.php, chat.php,
	choice.php, countries.php, dialogue.php, editor.php, exercise.php,
	forum.php, glossary.php, journal.php, label.php, moodle.php,
	pix.php, quiz.php, resource.php, survey.php, workshop.php: 
	
	Massive fix-up job on Norwegian ... I'm not sure what Stig was
	thinking checking in those older files ...

2004-01-07 Wednesday 04:25  martignoni

	* lang/fr/: choice.php, forum.php: 
	
	More strings translated

2004-01-07 Wednesday 04:22  martignoni

	* lang/fr/attendance.php: 
	
	More strings translated

2004-01-07 Wednesday 04:18  stigbjarne

	* lang/no/help/workshop/managing.html: 
	
	New file

2004-01-07 Wednesday 00:15  andre_bln

	* lang/de/help/: groupmode.html, groupmodeforce.html: 
	
	german language files 05012004

2004-01-07 Wednesday 00:14  koenr

	* lang/nl/help/uploadusers.html: 
	
	followed change in Englisch version

2004-01-07 Wednesday 00:12  andre_bln

	* lang/de/: choice.php, dialogue.php, exercise.php, forum.php,
	moodle.php, quiz.php, docs/files.php, help/mods.html: 
	
	german language files 05012004

2004-01-06 Tuesday 22:55  moodler

	* admin/uploaduser.php: 
	
	SOme fixes to use the notify function all the way through

2004-01-06 Tuesday 22:54  moodler

	* lang/en/: error.php, moodle.php: 
	
	New strings and fixed strings, rewritten by lang.php

2004-01-06 Tuesday 19:13  moodler

	* lang/en/help/uploadusers.html: 
	
	Info about commas added

2004-01-06 Tuesday 12:25  fiedorow

	* admin/uploaduser.php: 
	
	Fixed bug in setting optionalDefaults outside the main loop

2004-01-06 Tuesday 11:42  koenr

	* lang/nl/help/uploadusers.html: 
	
	translated by Koen Roggemans

2004-01-06 Tuesday 11:41  koenr

	* lang/nl/moodle.php: 
	
	filling in missing strings

2004-01-06 Tuesday 11:24  fiedorow

	* admin/uploaduser.php: 
	
	optionalDefaults are now set using settings from Admin account

2004-01-06 Tuesday 10:55  koenr

	* lang/nl/moodle.php: 
	
	Changing little errors and ugly translations

2004-01-06 Tuesday 09:33  fiedorow

	* admin/uploaduser.php: 
	
	Restored feedback messages, added multilingual support, added
	decoding of encoded commas in the data

2004-01-06 Tuesday 08:37  martignoni

	* lang/fr/moodle.php: 
	
	Some typos corrected

2004-01-06 Tuesday 06:00  moodler

	* lang/en/help/uploadusers.html: 
	
	Fixed a bug - thanks Zig!

2004-01-06 Tuesday 02:35  martignoni

	* lang/fr/moodle.php: 
	
	'fullnamedisplay' had missing escape chars ('\') before the '$'
	char (thanks Eloy !)

2004-01-06 Tuesday 02:29  stigbjarne

	* lang/no/help/workshop/: includeself.html, selfassessment.html,
	ungradedassessments_student.html: 
	
	New file

2004-01-05 Monday 22:15  moodler

	* admin/uploaduser.php: 
	
	Added a field that was missing

2004-01-05 Monday 19:32  moodler

	* lang/en/help/index.html: 
	
	Add new help file to index

2004-01-05 Monday 19:30  moodler

	* lang/en/help/uploadusers.html: 
	
	Added a course to the example

2004-01-05 Monday 19:29  moodler

	* lang/en/help/uploadusers.html: 
	
	Help file for user uploads

2004-01-05 Monday 18:48  moodler

	* admin/uploaduser.php: 
	
	Some formatting tweaks

2004-01-05 Monday 18:35  moodler

	* admin/: index.php, users.php: 
	
	Add a link to the upload user script in the admin menus

2004-01-05 Monday 18:33  moodler

	* lang/en/moodle.php: 
	
	Some new strings related to user importing

2004-01-05 Monday 18:32  moodler

	* admin/uploaduser.php: 
	
	Cleaned up the script to fit coding guidelines better.
	
	I haven't tested this yet, or touched the main parsing routine

2004-01-05 Monday 18:19  thetrinity

	* mod/quiz/format/gift/docs.html: 
	
	Changed to UNIX file type and removed tabs for documentation. o U

2004-01-05 Monday 17:49  thetrinity

	* mod/quiz/format/gift/docs.html: 
	
	Brings documentation up to date with rev.1.2 of gift/format.php

2004-01-05 Monday 10:21  stronk7

	* mod/workshop/: backuplib.php, restorelib.php: 
	
	Added support to teacherloading, assessmentstodrop and donotuse
	fields in workshop module.

2004-01-04 Sunday 23:50  andre_bln

	* lang/de/: README.txt, appointment.php, assignment.php,
	attendance.php, auth.php, chat.php, chatarea.php, choice.php,
	countries.php, dialogue.php, editor.php, event.php, exercise.php,
	forum.php, glossary.php, journal.php, label.php, moodle.php,
	pix.php, quiz.php, resource.php, scheduler.php, survey.php,
	text.html, webquest.php, workshop.php: 
	
	german language files 29.12.2003

2004-01-04 Sunday 16:57  stronk7

	* backup/: backuplib.php, restorelib.php: 
	
	Now groupmode and groupmodeforce (course table) are in backup and
	restore too.

2004-01-04 Sunday 16:27  stronk7

	* backup/backup_scheduled.php: 
	
	Now, when the status is RUNNING, the function checks how much old
	is that status in backup_logs table. If there is no activity in
	that period, then the script status is unlocked automatically. 
	This prevents to become RUNNING for ever !!!

2004-01-04 Sunday 14:58  stronk7

	* backup/restorelib.php: 
	
	Added addslashes() to check for existing users, because some
	characters can break the query (old users containing ', for
	example).

2004-01-04 Sunday 04:48  stronk7

	* backup/lib.php: 
	
	Changed code to use the insert_record() function in the
	backup/restore backup_putid() function. To solve bug 946
	(http://moodle.org/bugs/bug.php?op=show&bugid=946).

2004-01-04 Sunday 03:51  stronk7

	* lib/db/mysql.sql: 
	
	Removed duplicate showreports field in course table!! That
	(yy)yanked and (pp)pasted lines!! :-) Thanks to Juan Pablo, from
	Bolivia.

2004-01-03 Saturday 21:04  moodler

	* login/index.php: 
	
	Fix appearance of Guest User's name.

2004-01-03 Saturday 18:07  moodler

	* admin/uploaduser.php: 
	
	New version of the uploaduser script from Zbigniew Fiedorowicz and
	Steve Zeidner
	
	  http://moodle.org/mod/forum/discuss.php?d=2367#19283

2004-01-03 Saturday 14:24  koenr

	* lang/nl/survey.php: 
	
	updated some ugly translations

2004-01-03 Saturday 12:53  stronk7

	* lib/moodlelib.php: 
	
	Add one more eregi_replace, because the 'alnum' allows the comma
	char and it can cause some problems in filenames.
	
	Off-topic: This is my 1st commit with my new eMac !! My old iMac
	screen died two days ago... :-( but I've recovered everything :-)

2004-01-03 Saturday 07:41  moodler

	* user/edit.php: 
	
	Fixed missing bracket

2004-01-02 Friday 22:31  moodler

	* login/index.php: 
	
	Better fix

2004-01-02 Friday 22:20  moodler

	* login/index.php: 
	
	Don't carry description around in USER session variable ... can be
	big

2004-01-02 Friday 10:12  les_kopari

	* lib/db/schema.php: 
	
	Adding remaining schema.xml files, one per table...still more to
	come.
	
	See execution listing for test results thus far.

2004-01-02 Friday 10:06  les_kopari

	* lib/db/: schemaUser_admins.xml, schemaExecutionListing.html: 
	
	Initial.

2004-01-02 Friday 10:02  les_kopari

	* lib/db/: schemaModules.xml, schemaScale.xml, schemaUser.xml: 
	
	Initial.

2004-01-02 Friday 09:59  les_kopari

	* lib/db/: schemaCourse_sections.xml, schemaLog.xml,
	schemaLog_display.xml: 
	
	Initial.

2004-01-02 Friday 09:56  les_kopari

	* lib/db/: schemaCourse_groups.xml,
	schemaCourse_groups_members.xml, schemaCourse_modules.xml: 
	
	Initial.

2004-01-02 Friday 09:54  les_kopari

	* lib/db/: schemaCourse_categories.xml, schemaCourse_display.xml: 
	
	Initial add.

2004-01-02 Friday 06:11  moodler

	* user/edit.php: 
	
	Added an error message to catch some cases of sessions not working

2004-01-02 Friday 02:25  villate

	* lang/pt/moodle.php: 
	
	It now uses "backup" for the name of the backup files.

2004-01-01 Thursday 11:41  les_kopari

	* lib/db/: schemaCourse.xml, schemaConfig.xml: 
	
	Initial add...separate .xml file for each table.

2004-01-01 Thursday 11:38  les_kopari

	* lib/db/schema.php: 
	
	Initial add...just the first two tables, config and course.

2004-01-01 Thursday 10:45  koenr

	* lang/nl/help/: groupmode.html, groupmodeforce.html: 
	
	translated by Koen Roggemans

2004-01-01 Thursday 10:44  koenr

	* lang/nl/: choice.php, forum.php, moodle.php: 
	
	filling in missing strings

2004-01-01 Thursday 07:12  kaipe

	* mod/quiz/editmultianswer.php: 
	
	As this page uses the multianswer import format, the require_once
	statements have been updated to fit the new plug-in paths for the
	import formats.

2004-01-01 Thursday 07:01  kaipe

	* mod/quiz/lib.php: 
	
	Short-answer fixes: As the wild card feature makes it possible for
	a response to match more than one answer alternative, I made sure
	that the alternative with the highest grade would count.  I also
	fixed bug #945 for the short answer case.

2004-01-01 Thursday 04:47  kaipe

	* mod/quiz/attempt.php: 
	
	Fixed bug that could cause duplication of attempt numbers.  This
	bug came to the surface when the possibility to delete attempts was
	introduced in report/overview/report.php

2004-01-01 Thursday 00:36  moodler

	* lib/weblib.php: 
	
	On group images use description in the title ...

2003-12-31 Wednesday 22:35  moodler

	* lang/en/choice.php: 
	
	Strings for new setting

2003-12-31 Wednesday 22:35  moodler

	* mod/choice/: backuplib.php, mod.html, restorelib.php,
	version.php, view.php, db/mysql.php, db/mysql.sql,
	db/postgres7.php, db/postgres7.sql: 
	
	New setting makes it optional to show column of people who didn't
	answer

2003-12-31 Wednesday 20:52  moodler

	* lang/en/forum.php: 
	
	New strings for forum settings (allow students to view ratings of
	others)

2003-12-31 Wednesday 20:48  moodler

	* mod/forum/: backuplib.php, lib.php, mod.html, restorelib.php,
	version.php, db/mysql.php, db/mysql.sql, db/postgres7.php,
	db/postgres7.sql: 
	
	New option to allow students to see aggregate ratings on other
	posts (anonymous)

2003-12-31 Wednesday 11:22  kaipe

	* mod/quiz/lib.php: 
	
	Fixed a single/double quote issue (again)

2003-12-31 Wednesday 07:22  moodler

	* lang/en/docs/philosophy.html: 
	
	Shapes not shape

2003-12-31 Wednesday 06:16  moodler

	* lib/datalib.php: 
	
	Temporary sorting order on group members

2003-12-31 Wednesday 05:40  moodler

	* mod/forum/lib.php: 
	
	Display group icon in forum is a group is defined

2003-12-31 Wednesday 05:39  moodler

	* course/: group.php, groups-summary.html, groups.php: 
	
	Changes to improve group images

2003-12-31 Wednesday 05:39  moodler

	* lib/weblib.php: 
	
	Some improvements when displaying PNGs

2003-12-31 Wednesday 01:29  martignoni

	* lang/fr/workshop.php: 
	
	Tweeking again (still needs work!)

2003-12-31 Wednesday 00:07  moodler

	* lang/en/moodle.php: 
	
	Small fixes

2003-12-31 Wednesday 00:05  moodler

	* lang/en/moodle.php: 
	
	Some re-wording of English backup strings

2003-12-30 Tuesday 22:44  moodler

	* mod/forum/index.php: 
	
	Don't try to display forums if there aren't any

2003-12-30 Tuesday 13:32  martignoni

	* lang/fr/: workshop.php, help/workshop/finalgrades.html: 
	
	More translation

2003-12-30 Tuesday 11:06  moodler

	* lib/datalib.php: 
	
	Fix when storing group memberships in USER session

2003-12-30 Tuesday 10:57  martignoni

	* lang/fr/workshop.php: 
	
	Small modifications

2003-12-30 Tuesday 10:42  moodler

	* course/format/: social/format.php, topics/format.php,
	weeks/format.php: 
	
	Fix up group icon display in certain situations

2003-12-30 Tuesday 10:39  moodler

	* course/groups.php: 
	
	Improvements to timekeeping etc

2003-12-30 Tuesday 10:24  moodler

	* course/groups.php: 
	
	Fixed up references to old tables names

2003-12-30 Tuesday 10:19  moodler

	* lib/datalib.php: 
	
	Slight fix for MySQL 4

2003-12-30 Tuesday 10:09  moodler

	* course/group.php: 
	
	Fix reference to new table name

2003-12-30 Tuesday 10:07  moodler

	* lib/: datalib.php, moodlelib.php, db/mysql.php, db/mysql.sql,
	db/postgres7.php, db/postgres7.sql: 
	
	Need to change table name!  It was tougher than I thought to work
	around the reserved word "group"

2003-12-30 Tuesday 09:36  moodler

	* lang/en/moodle.php: 
	
	New strings for groups

2003-12-30 Tuesday 09:35  moodler

	* lang/en/help/: groupmode.html, groupmodeforce.html: 
	
	Some help files

2003-12-30 Tuesday 09:18  moodler

	* version.php, course/category.php, course/edit.html,
	course/edit.php, course/group.php, course/groups-edit.html,
	course/groups-summary.html, course/groups.php, course/index.php,
	course/format/social/format.php, course/format/topics/format.php,
	course/format/weeks/format.php, lib/datalib.php, lib/moodlelib.php,
	lib/weblib.php, lib/db/mysql.php, lib/db/mysql.sql,
	lib/db/postgres7.php, lib/db/postgres7.sql, pix/g/f1.png,
	pix/g/f2.png, user/pixgroup.php: 
	
	
	This is the first check-in of support for groups.
	
	It's very early (it doesn't actually do anything yet!) but you can
	define groups and get an idea of how the interface is shaping up. 
	I also wanted to show that I have actually done something on this!
	:-)
	
	From here my plan is to add group support to the modules, one by
	one (forums first), then go back and clean up some of the central
	interfaces, graphics etc.
	
	Finally, test, test, test and get 1.2 out well before the end of
	February.

2003-12-30 Tuesday 08:17  martignoni

	* lang/fr/workshop.php: 
	
	Some tweeks again

2003-12-29 Monday 23:28  moodler

	* mod/quiz/lib.php: 
	
	Fixed some single/double quote issues

2003-12-29 Monday 23:04  moodler

	* mod/quiz/lib.php: 
	
	Bodgy HTML converted to nice clean XHTML fragments.
	
	Thanks to Jonathan Moore and all his work!

2003-12-29 Monday 22:54  moodler

	* mod/resource/details.php: 
	
	Improved navigation info in header

2003-12-29 Monday 22:53  moodler

	* mod/resource/view.php: 
	
	Big cleanup for logic in handling uploaded files, now shorter and
	clearer

2003-12-29 Monday 19:56  moodler

	* backup/: backup_scheduled.php, config.html: 
	
	Change default value for backup_sche_keep to be one day.
	
	(As the path of least impact on server resources)

2003-12-29 Monday 12:24  stronk7

	* backup/: backup_scheduled.php, config.html, version.php: 
	
	A new parameter (backup_sche_keep) is included. Oldest backup files
	will be deleted automatically. Try it !!

2003-12-29 Monday 12:22  stronk7

	* lang/: en/moodle.php, es/moodle.php: 
	
	Included some strings about the "Keep Backup Files" option.

2003-12-29 Monday 12:20  stronk7

	* backup/restorelib.php: 
	
	Little change in the form that duplicated course shortnames are
	handled. This should help when detecting copies of backup files.

2003-12-29 Monday 12:15  stronk7

	* backup/backup_check.html: 
	
	Changed to use clean_filename() function when calculating backup
	file name. Thanks Martin !! :-)

2003-12-29 Monday 10:28  martignoni

	* lang/fr/: moodle.php, workshop.php, docs/release.html,
	help/workshop/addingacomment.html,
	help/workshop/agreeassessments.html, help/workshop/anonymous.html,
	help/workshop/assignmenttype.html,
	help/workshop/breakdownoffinalgrade.html,
	help/workshop/calculatingfinalgrade.html,
	help/workshop/editingacomment.html: 
	
	More translations

2003-12-29 Monday 08:36  gniske

	* lang/da/: assignment.php, attendance.php, dialogue.php,
	exercise.php, glossary.php, moodle.php, quiz.php, resource.php,
	workshop.php, editor.php, pix.php: 
	
	Adding missing strings Made som few corrections in existing
	translation

2003-12-29 Monday 08:28  martignoni

	* lang/fr/workshop.php: 
	
	Some more tweeks

2003-12-29 Monday 03:17  martignoni

	* lang/fr/help/workshop/analysisofassessments.html: 
	
	Some tweaks and typos corrected

2003-12-29 Monday 01:41  martignoni

	* lang/fr/workshop.php: 
	
	Update to last version, with some modifications

2003-12-29 Monday 01:40  moodler

	* mod/quiz/lib.php: 
	
	Some preliminary code to allow wildcards in short answers.  Based
	on code sent by Thomas Robb

2003-12-29 Monday 01:28  moodler

	* mod/quiz/index.php: 
	
	Better info about quizzes

2003-12-29 Monday 01:24  moodler

	* mod/quiz/report.php: 
	
	Edit button on quiz reports

2003-12-28 Sunday 03:15  stronk7

	* backup/backup_scheduled.php: 
	
	Solve more bugs in set_field("backup_courses"... calls.

2003-12-27 Saturday 21:56  moodler

	* theme/: UPGRADE.txt, standard/styles.php,
	standardblue/styles.php, standardgreen/styles.php,
	standardlogo/styles.php, standardred/styles.php,
	standardwhite/styles.php: 
	
	Added two new styles for smallinfo displays on the side

2003-12-27 Saturday 21:49  moodler

	* mod/forum/lib.php: 
	
	Added new styles for latest news listings  smallinfo and
	smallinfohead

2003-12-27 Saturday 14:57  martignoni

	* lang/fr/help/workshop/analysisofassessments.html: 
	
	Translation complete

2003-12-27 Saturday 08:36  martignoni

	* lang/fr/help/workshop/analysisofassessments.html: 
	
	A little bit more translated

2003-12-27 Saturday 05:05  koenr

	* lang/nl/: dialogue.php, exercise.php, moodle.php: 
	
	filling in missing strings

2003-12-27 Saturday 02:42  koenr

	* lang/nl/attendance.php: 
	
	Adapting translation to users fro Holland

2003-12-27 Saturday 00:33  moodler

	* pix/i/group.gif: 
	
	New group icon

2003-12-26 Friday 20:08  moodler

	* backup/backup_scheduled.php: 
	
	Add the site's shortname to the email subject

2003-12-26 Friday 19:14  moodler

	* backup/backup_scheduled.php: 
	
	FIxed a small bug when updating the next time

2003-12-26 Friday 19:13  moodler

	* lang/en/moodle.php: 
	
	Added a missing string

2003-12-26 Friday 15:11  martignoni

	* lang/fr/help/workshop/: addingacomment.html,
	agreeassessments.html, analysisofassessments.html, anonymous.html,
	assessmentofexamples.html: 
	
	Beginning of translation of folder Workshop

2003-12-26 Friday 12:59  martignoni

	* lang/fr/help/choice/: index.html, options.html: 
	
	Typos corrected

2003-12-26 Friday 12:52  martignoni

	* lang/fr/help/survey/: index.html, mods.html: 
	
	Survey folder translation complete

2003-12-25 Thursday 19:50  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	
		  Null data caused errors so placed an IF statement around
	SWITCH
		     at line 920

2003-12-24 Wednesday 09:33  les_kopari

	* mod/attendance/db/schema.xml: 
	
	Inserts for MySQL and PostGRES.

2003-12-24 Wednesday 09:28  les_kopari

	* mod/attendance/db/: schema.xml, schema.php: 
	
	Initial add.

2003-12-24 Wednesday 06:49  rkingdon

	* mod/workshop/restorelib.php: 
	
	Fixes to restore.

2003-12-24 Wednesday 06:47  rkingdon

	* lang/en/help/exercise/: administration.html, finalgrades.html,
	grade.html, managing.html, moreinfo.html: 
	
	Modified help files for late submissions and reduction of the
	number of phases.

2003-12-24 Wednesday 06:45  rkingdon

	* lang/en/exercise.php: 
	
	New strings for the handling of late submissions.

2003-12-24 Wednesday 06:43  rkingdon

	* mod/exercise/: backuplib.php, index.php, lib.php, restorelib.php,
	submissions.php, upload.php, version.php, view.php, db/mysql.php,
	db/mysql.sql: 
	
	A new version (2003121000). Fixes to backup/restore. Addition of
	"late" work and the reduction of the number of phases to 3 (from
	4).

2003-12-24 Wednesday 06:38  rkingdon

	* lang/en/dialogue.php: 
	
	One string for open dialogue list.

2003-12-24 Wednesday 06:36  rkingdon

	* mod/dialogue/: backuplib.php, lib.php, restorelib.php: 
	
	Bugs fixed in backup and restore. Dialogue now notifies if there
	are any open dialogues.

2003-12-24 Wednesday 04:10  stronk7

	* backup/config.html, backup/version.php, lang/es/moodle.php: 
	
	Now admin/configuration/backup strings are included.  Happy
	Christmas :-)

2003-12-24 Wednesday 04:03  stronk7

	* lang/: es/moodle.php, en/moodle.php: 
	
	Now admin/configuration/backup strings are included.  Happy
	Christmas :-)

2003-12-24 Wednesday 01:06  martignoni

	* lang/fr/docs/future.html: 
	
	Update to new roadmap

2003-12-23 Tuesday 21:52  moodler

	* lang/en/docs/future.html: 
	
	Updated

2003-12-23 Tuesday 14:21  martignoni

	* lang/fr/help/chat/index.html: 
	
	Typo corrected

2003-12-23 Tuesday 14:19  martignoni

	* lang/fr/help/quiz/index.html: 
	
	Typos corrected

2003-12-23 Tuesday 14:12  martignoni

	* lang/fr/help/quiz/: index.html, questiontypes.html, random.html,
	randomsamatch.html, repeatattempts.html, review.html,
	shortanswer.html, shuffleanswers.html, shufflequestions.html,
	timeopen.html, truefalse.html: 
	
	Help folder translation complete

2003-12-23 Tuesday 12:21  koenr

	* lang/nl/attendance.php: 
	
	modifications by evelien roos

2003-12-23 Tuesday 05:41  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	
		  Possible division by 0 fixed with if branch line 132

2003-12-23 Tuesday 03:58  moodler

	* lang/en/moodle.php, login/signup.php, login/signup_form.html: 
	
	Ask for email address again to help avoid typos

2003-12-23 Tuesday 01:08  koenr

	* lang/nl/docs/docstyles.css: 
	
	necessary for styles

2003-12-23 Tuesday 01:07  koenr

	* lang/nl/docs/teacher.html: 
	
	updated css-file location

2003-12-23 Tuesday 01:05  koenr

	* lang/nl/attendance.php: 
	
	translated by Koen Roggemans

2003-12-22 Monday 12:52  andersbe

	* lang/sv/: LAESMIG.txt, assignment.php, attendance.php, auth.php,
	chat.php, choice.php, countries.php, dialogue.php, editor.php,
	exercise.php, forum.php, glossary.php, journal.php, label.php,
	moodle.php, quiz.php, resource.php, survey.php, webquest.php,
	workshop.php, help/cookies.html, help/courseavailability.html,
	help/coursecategory.html, help/courseformats.html,
	help/coursefullname.html, help/coursegrades.html,
	help/coursenewsitems.html, help/coursenumsections.html,
	help/courserecent.html, help/coursereports.html,
	help/courseshortname.html, help/coursestartdate.html,
	help/courseuploadsize.html, help/emoticons.html,
	help/enrolmentkey.html, help/guestaccess.html, help/html.html,
	help/index.html, help/langedit.html, help/mods.html,
	help/picture.html, help/questions.html, help/reading.html,
	help/richtext.html, help/scales.html, help/summaries.html,
	help/surveys.html, help/teachers.html, help/text.html,
	help/textformat.html, help/wiki.html, help/writing.html,
	help/assignment/assignmenttype.html, help/assignment/index.html,
	help/assignment/mods.html, help/assignment/resubmit.html,
	help/attendance/index.html, help/attendance/mods.html,
	help/chat/chatting.html, help/chat/index.html, help/chat/mods.html,
	help/choice/index.html, help/choice/mods.html,
	help/choice/options.html, help/dialogue/addsubject.html,
	help/dialogue/closedialogue.html, help/dialogue/deleteafter.html,
	help/dialogue/dialoguetype.html, help/dialogue/index.html,
	help/dialogue/info.html, help/dialogue/maildefault.html,
	help/dialogue/mods.html, help/dialogue/multiple.html,
	help/dialogue/sendmail.html, help/dialogue/writing.html,
	help/exercise/administration.html, help/exercise/elements.html,
	help/exercise/finalgrades.html, help/exercise/grade.html,
	help/exercise/grading.html, help/exercise/gradinggrade.html,
	help/exercise/gradingstrategy.html, help/exercise/managing.html,
	help/exercise/mods.html, help/exercise/moreinfo.html,
	help/exercise/nelements.html, help/exercise/specimen.html,
	help/exercise/submissionofdescriptions.html,
	help/exercise/takeownership.html, help/exercise/usemax.html,
	help/forum/allowdiscussions.html, help/forum/attachment.html,
	help/forum/forumtype.html, help/forum/index.html,
	help/forum/maxattachmentsize.html, help/forum/mods.html,
	help/forum/ratings.html, help/forum/subscription.html,
	help/glossary/allowcomments.html,
	help/glossary/allowduplicatedentries.html,
	help/glossary/casesensitive.html,
	help/glossary/defaultapproval.html, help/glossary/description.html,
	help/glossary/displayformat.html, help/glossary/fullmatch.html,
	help/glossary/globalglossary.html, help/glossary/index.html,
	help/glossary/mainglossary.html, help/glossary/mods.html,
	help/glossary/shows.html, help/glossary/studentcanpost.html,
	help/glossary/usedynalink.html, help/journal/index.html,
	help/journal/mods.html, help/label/mods.html,
	help/quiz/attempts.html, help/quiz/categories.html,
	help/quiz/correctanswers.html, help/quiz/createmultiple.html,
	help/quiz/description.html,
	help/quiz/eachattemptbuildsonthelast.html, help/quiz/feedback.html,
	help/quiz/formatblackboard.html, help/quiz/formatctm.html,
	help/quiz/formatcustom.html, help/quiz/formatmissingword.html,
	help/quiz/grademethod.html, help/quiz/import.html,
	help/quiz/index.html, help/quiz/match.html,
	help/quiz/maxgrade.html, help/quiz/mods.html,
	help/quiz/multianswer.html, help/quiz/multichoice.html,
	help/quiz/numerical.html, help/quiz/questiontypes.html,
	help/quiz/random.html, help/quiz/randommatch.html,
	help/quiz/randomsamatch.html, help/quiz/repeatattempts.html,
	help/quiz/review.html, help/quiz/shortanswer.html,
	help/quiz/shuffleanswers.html, help/quiz/shufflequestions.html,
	help/quiz/timeopen.html, help/quiz/truefalse.html,
	help/resource/index.html, help/resource/mods.html,
	help/resource/program.html, help/resource/resourcetype.html,
	help/resource/summary.html, help/survey/index.html,
	help/survey/mods.html, help/workshop/addingacomment.html,
	help/workshop/agreeassessments.html, help/workshop/anonymous.html,
	help/workshop/assessmentofexamples.html,
	help/workshop/assignmenttype.html,
	help/workshop/breakdownoffinalgrade.html,
	help/workshop/calculatingfinalgrade.html,
	help/workshop/editingacomment.html, help/workshop/elements.html,
	help/workshop/finalgrades.html, help/workshop/graded.html,
	help/workshop/grading.html, help/workshop/gradingassessments.html,
	help/workshop/gradingstrategy.html,
	help/workshop/gradingsubmissions.html,
	help/workshop/includeself.html,
	help/workshop/includeteachersgrade.html, help/workshop/index.html,
	help/workshop/leaguetable.html, help/workshop/managing.html,
	help/workshop/mods.html,
	help/workshop/nassessmentsofstudentsubmissions.html,
	help/workshop/nassessmentsofteachersexamples.html,
	help/workshop/nelements.html, help/workshop/numberofassessors.html,
	help/workshop/overallocation.html, help/workshop/resubmit.html,
	help/workshop/selfassessment.html,
	help/workshop/showinggrades.html, help/workshop/specimen.html,
	help/workshop/submissionofexamples.html,
	help/workshop/teachersgradings.html,
	help/workshop/ungradedassessments_student.html,
	help/workshop/ungradedassessments_teacher.html: 
	
	All the strings in the php-files and all the help-files are
	translated as of 2003-12-22 All standard and all development
	modules are included.  Some php-files required for Moodle 1.2 are
	also included.
	
	Alla strängar i php-filerna och alla hjälpfiler är översatta t o m
	2003-12-22 Det gäller alla standard- och utvecklingsmoduler. Några
	programfiler för Moodle 1.2 finns också med.
        
2003-12-22 Monday 12:11  koenr

	* lang/nl/help/attendance/mods.html: 
	
	translated by Koen Roggemans

2003-12-22 Monday 11:22  koenr

	* lang/nl/webquest.php: 
	
	initial translation

2003-12-22 Monday 11:15  koenr

	* lang/nl/: dialogue.php, dialogue.php: 
	
	minor changes in translation

2003-12-22 Monday 11:03  koenr

	* lang/nl/help/dialogue/: addsubject.html, closedialogue.html,
	deleteafter.html, dialoguetype.html, info.html, maildefault.html,
	mods.html, multiple.html, sendmail.html, writing.html: 
	
	translated by Koen Roggemans

2003-12-22 Monday 07:55  koenr

	* lang/nl/dialogue.php: 
	
	translated by Koen Roggemans

2003-12-22 Monday 07:09  moodler

	* mod/quiz/format/gift/format.php: 
	
	Latest version from Paul Shew

2003-12-21 Sunday 18:43  moodler

	* lib/weblib.php: 
	
	Some improvements to style_sheet_setup based on this from John Dell
	
	  http://moodle.org/mod/forum/discuss.php?d=4171

2003-12-21 Sunday 18:11  moodler

	* lang/ar/: assignment.php, chat.php, choice.php, countries.php,
	forum.php, label.php, moodle.php, quiz.php: 
	
	SOme formatting fixes using new language editor

2003-12-21 Sunday 13:27  andre_bln

	* lang/de/: README, assignment.php, attendance.php, auth.php,
	dialogue.php, editor.php, exercise.php, forum.php, glossary.php,
	journal.php, moodle.php, quiz.php, resource.php, webquest.php,
	workshop.php, docs/cvs.html, docs/developer.html, docs/faq.html,
	docs/other.html: 
	
	German language files 21.12.03

2003-12-21 Sunday 10:03  martignoni

	* lang/fr/: docs/features.html, help/quiz/index.html,
	help/quiz/match.html, help/quiz/maxgrade.html, help/quiz/mods.html,
	help/quiz/multianswer.html, help/quiz/multichoice.html,
	help/quiz/numerical.html: 
	
	Some more files of help folder integrated

2003-12-21 Sunday 06:23  martignoni

	* lang/fr/: quiz.php, docs/features.html, docs/release.html: 
	
	Modification: "mise en correspondance" -> "appariement"

2003-12-21 Sunday 06:14  martignoni

	* lang/fr/help/quiz/: attempts.html, formatblackboard.html,
	formatcustom.html, formatmissingword.html: 
	
	Some typos corrected

2003-12-21 Sunday 05:56  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	
	   Bug in percentage calculation for on-screen display fixed

2003-12-20 Saturday 21:10  moodler

	* course/index.php: 
	
	When deleting a category, send children courses to live with
	grandma

2003-12-20 Saturday 20:52  moodler

	* course/: edit.php, view.php, format/README.txt,
	format/social.php, format/topics.php, format/weeks.php,
	format/social/format.php, format/topics/format.php,
	format/weeks/format.php: 
	
	
	Modification of the course format plugin structures so that it fits
	in with other plugin formats in Moodle.

2003-12-19 Friday 18:47  moodler

	* index.php: 
	
	Shorter search box to help smaller screens

2003-12-19 Friday 07:12  martignoni

	* lang/fr/help/quiz/: attempts.html, categories.html,
	correctanswers.html, createmultiple.html, description.html,
	feedback.html, formatblackboard.html, formatcustom.html,
	formatmissingword.html, grademethod.html, import.html: 
	
	Some more help files translated

2003-12-18 Thursday 23:37  moodler

	* lang/de/pgassignment.php: 
	
	Remove pgassignment

2003-12-18 Thursday 23:22  koenr

	* lang/nl/help/exercise/nelements.html: 
	
	translated by Koen Roggemans

2003-12-18 Thursday 23:21  koenr

	* lang/nl/help/exercise/elements.html: 
	
	typo

2003-12-18 Thursday 15:36  koenr

	* lang/nl/: moodle.php, quiz.php, resource.php: 
	
	filling in missing strings

2003-12-18 Thursday 14:52  koenr

	* lang/nl/help/exercise/managing.html: 
	
	Translated by Koen Roggemans

2003-12-18 Thursday 14:49  martignoni

	* lang/fr/help/resource/: index.html, program.html,
	resourcetype.html: 
	
	Some typos corrected

2003-12-18 Thursday 14:34  martignoni

	* lang/fr/help/wiki.html: 
	
	File translation complete

2003-12-18 Thursday 11:14  martignoni

	* lang/fr/help/journal/mods.html: 
	
	Journal help folder translated

2003-12-18 Thursday 11:03  martignoni

	* lang/fr/: README, TERMS, docs/teacher.html: 
	
	Some terms added

2003-12-18 Thursday 09:59  martignoni

	* lang/fr/moodle.php: 
	
	Small corrections

2003-12-18 Thursday 08:58  martignoni

	* lang/fr/docs/teacher.html: 
	
	Some typos corrected

2003-12-18 Thursday 08:46  moodler

	* admin/config.php: 
	
	Clean sessioncookie variable

2003-12-18 Thursday 08:23  martignoni

	* lang/fr/: README, docs/philosophy.html: 
	
	Translation of "connected" and "separate" (thanks to JF Nadeau)

2003-12-18 Thursday 08:07  martignoni

	* lang/fr/help/choice/: index.html, mods.html, options.html: 
	
	Choice folder translation complete

2003-12-18 Thursday 07:40  martignoni

	* lang/fr/help/resource/resourcetype.html: 
	
	Modification of "Fichier"

2003-12-18 Thursday 07:38  martignoni

	* lang/fr/resource.php: 
	
	Small typo corrected

2003-12-18 Thursday 07:35  martignoni

	* lang/fr/help/resource/resourcetype.html: 
	
	Re-order alphabetically the different items

2003-12-18 Thursday 07:32  martignoni

	* lang/fr/resource.php: 
	
	Typo corrected

2003-12-18 Thursday 07:30  martignoni

	* lang/fr/: resource.php, help/resource/resourcetype.html: 
	
	Change name of resources "Page Web" and "Lien vers une page Web" to
	resp. "Page web (interne)" and "Page web (externe)"

2003-12-17 Wednesday 14:37  koenr

	* lang/nl/help/exercise/: gradinggrade.html, gradingstrategy.html,
	mods.html: 
	
	Translated by Koen Roggemans

2003-12-17 Wednesday 14:02  martignoni

	* lang/fr/docs/: features.html, release.html: 
	
	Small correction: fils de discussion -> discussion

2003-12-17 Wednesday 13:58  martignoni

	* lang/fr/help/chat/: chatting.html, index.html, mods.html: 
	
	Chat directory completely translated

2003-12-17 Wednesday 12:33  martignoni

	* lang/fr/help/resource/: index.html, mods.html, program.html: 
	
	Folder ressource translation complete

2003-12-17 Wednesday 12:26  martignoni

	* lang/fr/help/forum/: index.html, mods.html: 
	
	Forum folder translation complete

2003-12-17 Wednesday 12:21  martignoni

	* lang/fr/help/assignment/: assignmenttype.html, index.html,
	mods.html: 
	
	Assignment translation complete

2003-12-17 Wednesday 12:07  martignoni

	* lang/fr/help/: surveys.html, forum/allowdiscussions.html: 
	
	More updates of help folder

2003-12-17 Wednesday 11:53  martignoni

	* lang/fr/: TERMS, help/cookies.html, help/courseavailability.html,
	help/coursecategory.html, help/courseformats.html,
	help/coursegrades.html, help/coursenewsitems.html,
	help/coursenumsections.html, help/courserecent.html,
	help/courseshortname.html, help/coursestartdate.html,
	help/emoticons.html, help/enrolmentkey.html, help/guestaccess.html,
	help/html.html, help/index.html, help/langedit.html,
	help/mods.html, help/picture.html, help/questions.html,
	help/richtext.html, help/scales.html, help/summaries.html,
	help/surveys.html, help/assignment/assignmenttype.html,
	help/assignment/resubmit.html, help/forum/allowdiscussions.html,
	help/forum/attachment.html, help/forum/forumtype.html,
	help/forum/ratings.html, help/forum/subscription.html,
	help/resource/resourcetype.html, help/resource/summary.html: 
	
	Update of help files (help directory)

2003-12-17 Wednesday 07:32  moodler

	* mod/quiz/format/: aiken.php, aon.php, blackboard.php,
	coursetestmanager.php, missingword.php, multianswer.php, qti.php,
	webct.php: 
	
	Removed old versions of quiz format plugins

2003-12-17 Wednesday 05:49  moodler

	* mod/quiz/view.php: 
	
	More accurate info on link to reports

2003-12-17 Wednesday 05:35  moodler

	* mod/quiz/quizfile.php: 
	
	A small fix for showing pictures in randomly-selected questions

2003-12-17 Wednesday 05:04  moodler

	* mod/quiz/report/overview/report.php: 
	
	Improved overview, now allows deleting and shows more info.
	
	Thanks very much for Thomas Robb for submitting the original
	modification with the new functionality ... I ended up doing a lot
	of cleaning up and reworking of it but it wouldn't have been done
	without Thom's work.

2003-12-17 Wednesday 05:02  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	
	    Percentages displayed as numbers rather than strings in Excel

2003-12-17 Wednesday 04:53  moodler

	* lang/en/: moodle.php, quiz.php: 
	
	Some new strings (related to quiz reports)

2003-12-17 Wednesday 04:08  koenr

	* lang/nl/help/workshop/elements.html: 
	
	misspell corrected

2003-12-17 Wednesday 04:03  koenr

	* lang/nl/help/exercise/: grading.html, moreinfo.html,
	specimen.html, submissionofdescriptions.html: 
	
	translated by Koen Roggemans

2003-12-17 Wednesday 00:57  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	[no log message]

2003-12-16 Tuesday 19:36  moodler

	* course/format/: topics.php, weeks.php: 
	
	Strip tags from activity name when moving

2003-12-16 Tuesday 19:32  moodler

	* course/lib.php: 
	
	Strip tags from activity names when moving

2003-12-16 Tuesday 19:22  moodler

	* lang/no/moodle.php: 
	
	Emergency fix for this file ... it had lots of bad strings in it

2003-12-16 Tuesday 05:53  stigbjarne

	* lang/no/: attendance.php, auth.php, chat.php, countries.php,
	dialogue.php, editor.php, exercise.php, glossary.php, label.php,
	pix.php, workshop.php: 
	
	New file

2003-12-16 Tuesday 05:51  stigbjarne

	* lang/no/: docs/files.php, assignment.php, choice.php, forum.php,
	journal.php, moodle.php, quiz.php, resource.php, survey.php: 
	
	Improved and extended

2003-12-16 Tuesday 04:01  paca70

	* lang/fi/moodle.php: 
	
	More updates by Joni Rosenberg

2003-12-16 Tuesday 00:54  bobopinna

	* lang/it/: assignment.php, forum.php, glossary.php, moodle.php,
	quiz.php, resource.php, survey.php, workshop.php: 
	
	A revision by Bobo.

2003-12-15 Monday 21:31  moodler

	* user/edit.php: 
	
	Fixed a typo (not using $CFG->admin)

2003-12-15 Monday 04:13  martignoni

	* lang/fr/README: 
	
	Updated to last changes (docs folder translation completed)

2003-12-14 Sunday 19:58  moodler

	* version.php: 
	
	Bump.  It's unbelievable how fast time is going.  The last update
	from a week ago literally seems like yesterday.

2003-12-14 Sunday 16:56  stronk7

	* admin/cron.php: 
	
	max_execution_time and memory_limit to allow backup of large
	installations.	(I've executed it with 50 courses)

2003-12-14 Sunday 16:54  stronk7

	* backup/: STATUS.txt, backup_scheduled.php, version.php: 
	
	Now an email is sent to the admin when some course backup is
	excecuted.  TODO:    - View logs    - Language strings

2003-12-14 Sunday 11:27  martignoni

	* lang/fr/docs/coding.html: 
	
	Translation completed

2003-12-14 Sunday 08:59  martignoni

	* lang/fr/docs/other.html: 
	
	Translation completed

2003-12-14 Sunday 07:03  moodler

	* lib/weblib.php: 
	
	FIxed some faulty form 'target's that weren't using $CFG->framename

2003-12-14 Sunday 07:01  martignoni

	* lang/fr/docs/philosophy.html: 
	
	Translation completed

2003-12-14 Sunday 06:57  julmis

	* lib/editor/htmlarea.php: 
	
	added wordClean function and new table operations - column sizes
	are calculated automatically from   table width

2003-12-14 Sunday 05:26  martignoni

	* lang/fr/docs/philosophy.html: 
	
	First bit of translation

2003-12-13 Saturday 19:27  moodler

	* admin/cron.php: 
	
	No functional change, just me being a fussy Moodler

2003-12-13 Saturday 18:54  moodler

	* user/view.php: 
	
	Align rows to top

2003-12-13 Saturday 16:00  stronk7

	* backup/: STATUS.txt, backup_scheduled.php, version.php: 
	
	Now scheduled backups seem to be fully functional. Please, test it
	!! TODO:    - Insert info about process in backup_log	 - Be able
	to see that info from admin/backup.php	  - Email to the admin with
	the execution progress	  - Create all languaje strings Bye :-)

2003-12-13 Saturday 15:57  stronk7

	* admin/cron.php: 
	
	Little change to inform in standard output.

2003-12-13 Saturday 15:02  martignoni

	* lang/fr/docs/background.html: 
	
	Translation completed

2003-12-13 Saturday 13:40  martignoni

	* lang/fr/docs/background.html: 
	
	First part of translation

2003-12-13 Saturday 12:00  martignoni

	* lang/fr/docs/licence.html: 
	
	Translation complete

2003-12-13 Saturday 10:51  martignoni

	* lang/fr/docs/future.html: 
	
	Translation complete

2003-12-13 Saturday 10:10  martignoni

	* lang/fr/docs/cvs.html: 
	
	Translation terminated

2003-12-12 Friday 22:27  moodler

	* lib/weblib.php: 
	
	Prevent funny-looking text when trying to highlight a null string

2003-12-12 Friday 18:30  moodler

	* mod/quiz/view.php: 
	
	Improved description of interim final grade

2003-12-12 Friday 18:09  moodler

	* mod/quiz/report/overview/report.php: 
	
	Name of final grade column makes more sense now

2003-12-12 Friday 13:52  martignoni

	* lang/fr/docs/cvs.html: 
	
	Initial bit of translation

2003-12-12 Friday 12:29  martignoni

	* lang/fr/docs/developer.html: 
	
	Small correction (entities not correctly coded)

2003-12-12 Friday 12:19  martignoni

	* lang/fr/docs/developer.html: 
	
	Finally terminated!

2003-12-12 Friday 11:36  stronk7

	* backup/backup_scheduled.php: 
	
	Included backup's cron function (not implemented)

2003-12-12 Friday 11:35  stronk7

	* admin/cron.php: 
	
	Included call to backup's cron function (not implemented).

2003-12-12 Friday 06:54  moodler

	* admin/auth.php: 
	
	 Fixed a buglet when changing pages via menu inside a frameset

2003-12-12 Friday 03:41  martignoni

	* lang/fr/docs/developer.html: 
	
	A bit more again!

2003-12-12 Friday 00:46  moodler

	* mod/forum/post.php: 
	
	Don't show replies when re-editing a post.

2003-12-12 Friday 00:21  martignoni

	* lang/fr/docs/developer.html: 
	
	A bit more translation

2003-12-12 Friday 00:20  moodler

	* mod/forum/post.php: 
	
	This has been annoying me for ages, and the fix is so simple.
	
	When replying to a post that already has replies - the replies are
	listed in threaded form.

2003-12-11 Thursday 23:50  moodler

	* mod/quiz/format/gift/docs.html: 
	
	Put docs here temporarily until the format settles down

2003-12-11 Thursday 23:35  moodler

	* mod/quiz/: format.php, import.php, lib.php, format/README,
	format/README.txt, format/custom.php, format/default.php,
	format/aiken/format.php, format/aon/format.php,
	format/blackboard/format.php, format/coursetestmanager/format.php,
	format/gift/format.php, format/missingword/format.php,
	format/multianswer/format.php, format/qti/format.php,
	format/webct/format.php: 
	
	Reworking of the plug-in format for import/export files.
	
	Each format is now in it's own subdirectory, which allows the
	format to have as many files as it likes.  The formats are now
	detected automatically (no need to edit lib.php anymore) and the
	parent class is now in mod/quiz/format.php
	
	Lastly, I added Paul Shew's new GIFT format.

2003-12-11 Thursday 23:22  moodler

	* lang/en/quiz.php: 
	
	Name some of the newer formats

2003-12-11 Thursday 21:26  paca70

	* lang/fi/dialogue.php: 
	
	Translation from Janne Mikkonen

2003-12-11 Thursday 21:24  paca70

	* lang/fi/: dialogue.php, help/dialogue/addsubject.html,
	help/dialogue/closedialogue.html, help/dialogue/deleteafter.html,
	help/dialogue/dialoguetype.html, help/dialogue/info.html,
	help/dialogue/maildefault.html, help/dialogue/mods.html,
	help/dialogue/multiple.html, help/dialogue/sendmail.html,
	help/dialogue/writing.html: 
	
	initial translation and helpfiles for dialogue module.	Thanks to
	Janne Mikkonen.

2003-12-11 Thursday 15:53  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	[no log message]

2003-12-11 Thursday 04:59  moodler

	* user/edit.html: 
	
	Added a little option to disable user image upload

2003-12-10 Wednesday 23:22  moodler

	* course/: editsection.html, editsection.php: 
	
	Cleaned up this form a little to make it more consistent

2003-12-10 Wednesday 14:03  martignoni

	* lang/fr/resource.php: 
	
	Update to last mods of 'en' language

2003-12-10 Wednesday 13:25  martignoni

	* lang/fr/quiz.php: 
	
	Update to the last mods of 'en' language

2003-12-10 Wednesday 13:12  martignoni

	* lang/fr/moodle.php: 
	
	Update to the last changes of 'en' language

2003-12-10 Wednesday 12:03  kaipe

	* mod/quiz/category.php, mod/quiz/edit.php, mod/quiz/import.php,
	mod/quiz/index.php, mod/quiz/lib.php, mod/quiz/multiple.php,
	mod/quiz/question.php, lang/en/quiz.php: 
	
	The Quizzes page is given an "Edit questions" button that links to
	a possibility to edit questions without opening a quiz.

2003-12-10 Wednesday 08:47  stronk7

	* backup/STATUS.txt: 
	
	Start the cron integration task for scheduled backups...

2003-12-10 Wednesday 08:36  moodler

	* mod/glossary/view.php: 
	
	A little spacing on the display

2003-12-10 Wednesday 08:29  moodler

	* mod/glossary/: comment.html, comment.php, comments.php: 
	
	Hope you don't mind, Will, but I had to do some cleaning up of the
	comments pages
	
	   - comments look more like forums
	   - glossary entry is displayed consistently
	   - workflow makes more sense to me at least (more like forums)
	   - code is shorter   :-)

2003-12-10 Wednesday 08:06  moodler

	* mod/glossary/: comments.php, lib.php: 
	
	Simplification of the comments page and more forum-like comments

2003-12-10 Wednesday 03:26  stigbjarne

	* lang/no/help/workshop/mods.html: 
	
	New file

2003-12-10 Wednesday 03:20  stigbjarne

	* lang/no/help/workshop/calculatingfinalgrade.html: 
	
	New file

2003-12-10 Wednesday 01:43  stigbjarne

	* lang/no/help/exercise/gradinggrade.html: 
	
	New file

2003-12-10 Wednesday 01:37  stigbjarne

	* lang/no/help/workshop/editingacomment.html: 
	
	Minor changes

2003-12-10 Wednesday 01:19  stigbjarne

	* lang/no/help/workshop/: gradingsubmissions.html,
	includeteachersgrade.html: 
	
	New file

2003-12-10 Wednesday 00:47  moodler

	* mod/glossary/lib.php: 
	
	FIxed size of comment icon

2003-12-10 Wednesday 00:44  moodler

	* mod/glossary/edit.html: 
	
	Whoops left a typo

2003-12-10 Wednesday 00:43  moodler

	* mod/glossary/edit.html: 
	
	Changed some font size

2003-12-09 Tuesday 23:49  moodler

	* lang/en_us/: assignment.php, attendance.php, auth.php, chat.php,
	choice.php, countries.php, editor.php, forum.php, glossary.php,
	journal.php, label.php, moodle.php, quiz.php, resource.php,
	survey.php, workshop.php: 
	
	FIxed up quotes (double -> single) and some ommissions

2003-12-09 Tuesday 23:38  moodler

	* lang/en_us/: moodle.php, help/enrolmentkey.html,
	help/guestaccess.html: 
	
	Fixed some enrol -> enroll

2003-12-09 Tuesday 23:30  moodler

	* lang/en/glossary.php: 
	
	Some English fixes

2003-12-09 Tuesday 23:29  moodler

	* lang/en/help/glossary/: defaultapproval.html, destination.html,
	filetoimport.html, globalglossary.html, importcategories.html,
	linkcategory.html, shows.html: 
	
	Some cleanups in the English

2003-12-09 Tuesday 23:21  martignoni

	* lang/fr/auth.php: 
	
	Fixing missing quotes

2003-12-09 Tuesday 23:17  moodler

	* lang/en/help/glossary/aliases.html: 
	
	Clean up

2003-12-09 Tuesday 23:15  martignoni

	* lang/fr/moodle.php: 
	
	Added feminine form e.g. for "Modifier un(e)"

2003-12-09 Tuesday 23:15  moodler

	* lang/en/help/glossary/entbypage.html: 
	
	Some cleanup of English version

2003-12-09 Tuesday 23:03  martignoni

	* lang/fr/moodle.php: 
	
	Added feminine form for e.g. "ajouté un(e)"
        
2003-12-09 Tuesday 22:58  martignoni

	* lang/fr/: moodle.php, resource.php, survey.php, docs/faq.html,
	docs/features.html, docs/release.html, docs/teacher.html: 
	
	Change "texte pur" to better "texte" everywhere

2003-12-09 Tuesday 14:56  giro123

	* lang/es/docs/credits.html: 
	
	[no log message]

2003-12-09 Tuesday 08:16  stronk7

	* backup/STATUS.txt: 
	
	Included (TODO) a new feature to select manually the desired
	activities to backup (an Przemyslaw Stencel idea).  See
	http://moodle.org/mod/forum/discuss.php?d=3964

2003-12-09 Tuesday 08:14  andre_bln

	* lang/de/docs/: future.html, install.html: 
	
	new version german translation

2003-12-09 Tuesday 01:07  stigbjarne

	* lang/no/help/workshop/: addingacomment.html,
	assessmentofexamples.html: 
	
	New file

2003-12-09 Tuesday 00:15  moodler

	* files/index.php: 
	
	Fixed bug 812 about editing text files with backslashes in them.

2003-12-08 Monday 22:07  moodler

	* lang/en/docs/coding.html: 
	
	Fixed up some ommissions about database structure

2003-12-08 Monday 20:00  moodler

	* mod/resource/: config.html, details.php, lib.php: 
	
	New defaults for popup window settings, which is window off, but
	all sub-settings on.
	
	These default defaults can be defined on the page
	
	  Admin -> Config -> Modules -> Resource -> Settings

2003-12-08 Monday 19:55  moodler

	* lang/en/resource.php: 
	
	New strings for resource setting screen

2003-12-08 Monday 18:00  moodler

	* mod/quiz/format/default.php: 
	
	Fix to allow quiz import to deal with Macintosh OS files (from Paul
	Shew)

2003-12-08 Monday 14:50  stronk7

	* backup/: db/mysql.php, db/mysql.sql, db/oci8po.sql,
	db/postgres7.sql, version.php: 
	
	Creation of needed DB structures (prefix_backup_courses and
	prefix_backup_log) to store info about scheduled backups.
	
	NOTE: PostreSQL and Oracle not tested !!

2003-12-08 Monday 09:42  stronk7

	* lang/es/moodle.php: 
	
	Included the 'firstdayofweek' entry to show week days ordered.

2003-12-08 Monday 09:20  moodler

	* lib/weblib.php: 
	
	Larger steps on minutes when printing times  - see bug 912

2003-12-08 Monday 07:10  stigbjarne

	* lang/no/README: 
	
	Minor changes

2003-12-08 Monday 07:01  stigbjarne

	* lang/no/help/quiz/index.html: 
	
	New file

2003-12-08 Monday 06:49  stigbjarne

	* lang/no/help/quiz/questiontypes.html: 
	
	Improved and extended

2003-12-08 Monday 05:32  moodler

	* lib/editor/courseimages.php: 
	
	Use filemtime instead of filectime

2003-12-08 Monday 05:31  moodler

	* files/index.php: 
	
	Use filemtime not filectime

2003-12-08 Monday 05:15  moodler

	* version.php: 
	
	Bumping it

2003-12-08 Monday 05:05  stigbjarne

	* lang/no/help/exercise/finalgrades.html: 
	
	New file

2003-12-08 Monday 05:03  moodler

	* mod/workshop/lib.php: 
	
	Fixing a typo I spotted in the CVS diffs.  :-)

2003-12-08 Monday 03:49  stigbjarne

	* lang/no/help/exercise/moreinfo.html: 
	
	New file

2003-12-08 Monday 03:43  stigbjarne

	* lang/no/help/exercise/: nelements.html, takeownership.html: 
	
	New file

2003-12-08 Monday 02:41  stigbjarne

	* lang/no/help/quiz/multianswer.html: 
	
	New file

2003-12-08 Monday 02:20  stigbjarne

	* lang/no/help/quiz/: eachattemptbuildsonthelast.html, mods.html,
	numerical.html: 
	
	New file

2003-12-08 Monday 01:58  stigbjarne

	* lang/no/help/workshop/: nassessmentsofstudentsubmissions.html,
	nelements.html, specimen.html, teachersgradings.html: 
	
	New file

2003-12-08 Monday 01:22  rkingdon

	* mod/workshop/lib.php: 
	
	Fixed bug #863.

2003-12-08 Monday 00:31  stigbjarne

	* lang/no/help/exercise/specimen.html: 
	
	New file

2003-12-07 Sunday 22:58  moodler

	* lang/es/: appointment.php, assignment.php, attendance.php,
	auth.php, chat.php, choice.php, countries.php, dialogue.php,
	editor.php, forum.php, glossary.php, journal.php, label.php,
	moodle.php, quiz.php, resource.php, survey.php, webquest.php,
	workshop.php: 
	
	Converted to new format using 'single quotes'

2003-12-07 Sunday 22:11  moodler

	* admin/index.php: 
	
	Turn off time limits on all upgrades

2003-12-07 Sunday 14:24  koenr

	* lang/nl/help/exercise/grade.html: 
	
	translated by Koen Roggemans

2003-12-07 Sunday 14:20  koenr

	* lang/nl/help/exercise/finalgrades.html: 
	
	translated by Koen Roggemans

2003-12-07 Sunday 09:27  koenr

	* lang/nl/help/exercise/: elements.html, takeownership.html: 
	
	translated by Koen Roggemans

2003-12-07 Sunday 05:49  moodler

	* config-dist.php: 
	
	Fixed up some examples

2003-12-07 Sunday 04:52  koenr

	* lang/nl/help/exercise/usemax.html: 
	
	translated by Koen Roggemans

2003-12-07 Sunday 04:26  koenr

	* lang/nl/help/exercise/administration.html: 
	
	translated by Koen Roggemans

2003-12-07 Sunday 03:55  koenr

	* lang/nl/workshop.php: 
	
	filling in missing string

2003-12-07 Sunday 02:00  koenr

	* lang/nl/help/workshop/analysisofassessments.html: 
	
	translated by Koen Roggemans

2003-12-07 Sunday 01:59  koenr

	* lang/nl/help/workshop/index.html: 
	
	filling in missing links

2003-12-06 Saturday 21:57  moodler

	* mod/glossary/: comment.gif, comments.php: 
	
	New, smaller comment icon

2003-12-06 Saturday 05:15  koenr

	* lang/nl/help/glossary/index.html: 
	
	missing closing tag </blockquote>

2003-12-05 Friday 23:34  moodler

	* mod/resource/view.php: 
	
	Fix for image display - see Bug 695    Thanks, Gustav

2003-12-05 Friday 22:47  moodler

	* lib/compatible.php: 
	
	Add a check for GD library

2003-12-05 Friday 22:43  moodler

	* lib/compatible.php: 
	
	A little script to quickly check compatibility on servers.

2003-12-05 Friday 09:55  rkingdon

	* mod/workshop/: lib.php, submissions.php: 
	
	Added the setting of League Table options to the Administration
	page.

2003-12-05 Friday 09:53  rkingdon

	* lang/en/workshop.php: 
	
	Minor change to League table options.

2003-12-05 Friday 05:34  stigbjarne

	* lang/no/README.txt: 
	
	Minor changes

2003-12-05 Friday 05:33  stigbjarne

	* lang/no/README: 
	
	Fixed error

2003-12-05 Friday 05:17  stigbjarne

	* lang/no/help/glossary/casesensitive.html: 
	
	Minor changes

2003-12-05 Friday 05:17  stigbjarne

	* lang/no/help/glossary/: displayformat.html, entbypage.html,
	filetoimport.html, importcategories.html, index.html,
	linkcategory.html, usedynalink.html: 
	
	New file

2003-12-05 Friday 04:36  stigbjarne

	* lang/no/help/glossary/: destination.html, shows.html: 
	
	New file

2003-12-04 Thursday 19:22  moodler

	* auth/pop3/: config.html, lib.php: 
	
	Fixes for POP3 and TLS (new option)

2003-12-04 Thursday 19:10  moodler

	* admin/index.php: 
	
	Slight change to make packaging easier on Debian.  :-)

2003-12-04 Thursday 10:47  rkingdon

	* mod/exercise/index.php: 
	
	Minor change to student listing in index.php.

2003-12-04 Thursday 10:45  rkingdon

	* mod/workshop/submissions.php: 
	
	Correction to Final Grades.

2003-12-04 Thursday 09:12  giro123

	* lang/es/: docs/credits.html, editor.php, glossary.php,
	moodle.php, quiz.php, resource.php, workshop.php, help/text.html,
	help/textformat.html: 
	
	[no log message]

2003-12-04 Thursday 01:22  stigbjarne

	* lang/no/help/: glossary/allowcomments.html,
	glossary/allowduplicatedentries.html, glossary/casesensitive.html,
	glossary/defaultapproval.html, glossary/description.html,
	glossary/fullmatch.html, glossary/globalglossary.html,
	glossary/mainglossary.html, glossary/mods.html,
	glossary/studentcanpost.html, exercise/grade.html,
	exercise/mods.html, exercise/submissionofdescriptions.html,
	quiz/repeatattempts.html: 
	
	New file

2003-12-03 Wednesday 15:54  koenr

	* lang/nl/help/glossary/index.html: 
	
	corrected little html-error

2003-12-03 Wednesday 15:51  koenr

	* lang/nl/help/glossary/: destination.html, entbypage.html,
	filetoimport.html, importcategories.html, linkcategory.html: 
	
	translated by koen roggemans

2003-12-03 Wednesday 15:50  koenr

	* lang/nl/help/glossary/index.html: 
	
	filling in missing links

2003-12-03 Wednesday 14:56  koenr

	* lang/nl/glossary.php: 
	
	filling in missing strings

2003-12-03 Wednesday 10:33  willcast

	* mod/glossary/lib.php: 
	
	- First step towards Tom Murdock's suggestions on a global search
	feature (if it is ever implented)...
	
	Added a new funtion: module_search( $course, $searchterms,
	$extended, $glossary = NULL)
	
	It returns all entries that matches the specified criteria in any
	glossaries within a given $course. It performs an $extended search
	if necessary.
	
	It restrict the search to only one $glossary if specified
	(currently used by the internal search function of the module).

2003-12-03 Wednesday 09:38  rkingdon

	* mod/exercise/lib.php: 
	
	Tidy up return of grades in exercise_grades routine.

2003-12-03 Wednesday 09:34  julmis

	* lib/editor/htmlarea.php: 
	
	Improvement to table editing. If table border is set to zero you'll
	still see the dotted border.

2003-12-03 Wednesday 07:33  moodler

	* lang/fr_ca/: assignment.php, chat.php, choice.php, forum.php,
	moodle.php, quiz.php, resource.php, workshop.php, docs/README.txt,
	docs/docstyles.css, docs/faq.html, docs/features.html,
	docs/files.php, docs/install.html, docs/installamp.html,
	docs/intro.html, docs/module_files.txt, docs/teacher.html,
	docs/upgrade.html, help/cookies.html, help/courseavailability.html,
	help/coursecategory.html, help/coursegrades.html,
	help/courserecent.html, help/coursestartdate.html,
	help/emoticons.html, help/html.html, help/index.html,
	help/langedit.html, help/mods.html, help/questions.html,
	help/reading.html, help/richtext.html, help/scales.html,
	help/summaries.html, help/surveys.html, help/text.html,
	help/assignment/assignmenttype.html, help/assignment/index.html,
	help/assignment/mods.html, help/assignment/resubmit.html,
	help/chat/chatting.html, help/chat/index.html, help/chat/mods.html,
	help/choice/index.html, help/choice/mods.html,
	help/choice/options.html, help/forum/allowdiscussions.html,
	help/forum/attachment.html, help/forum/forumtype.html,
	help/forum/index.html, help/forum/mods.html,
	help/forum/ratings.html, help/forum/subscription.html,
	help/journal/index.html, help/journal/mods.html,
	help/quiz/attempts.html, help/quiz/categories.html,
	help/quiz/correctanswers.html, help/quiz/createmultiple.html,
	help/quiz/description.html, help/quiz/feedback.html,
	help/quiz/formatblackboard.html, help/quiz/formatcustom.html,
	help/quiz/formatmissingword.html, help/quiz/grademethod.html,
	help/quiz/import.html, help/quiz/index.html, help/quiz/match.html,
	help/quiz/maxgrade.html, help/quiz/mods.html,
	help/quiz/multianswer.html, help/quiz/multichoice.html,
	help/quiz/numerical.html, help/quiz/questiontypes.html,
	help/quiz/random.html, help/quiz/randomsamatch.html,
	help/quiz/repeatattempts.html, help/quiz/review.html,
	help/quiz/shortanswer.html, help/quiz/shuffleanswers.html,
	help/quiz/shufflequestions.html, help/quiz/timeopen.html,
	help/quiz/truefalse.html, help/resource/index.html,
	help/resource/mods.html, help/resource/program.html,
	help/resource/resourcetype.html, help/resource/summary.html,
	help/survey/index.html, help/survey/mods.html,
	help/workshop/addingacomment.html,
	help/workshop/agreeassessments.html, help/workshop/anonymous.html,
	help/workshop/assessmentofexamples.html,
	help/workshop/assignmenttype.html,
	help/workshop/breakdownoffinalgrade.html,
	help/workshop/calculatingfinalgrade.html,
	help/workshop/editingacomment.html, help/workshop/elements.html,
	help/workshop/finalgrades.html, help/workshop/graded.html,
	help/workshop/grading.html, help/workshop/gradingassessments.html,
	help/workshop/gradingstrategy.html,
	help/workshop/gradingsubmissions.html,
	help/workshop/includeself.html,
	help/workshop/includeteachersgrade.html, help/workshop/index.html,
	help/workshop/leaguetable.html, help/workshop/managing.html,
	help/workshop/mods.html,
	help/workshop/nassessmentsofstudentsubmissions.html,
	help/workshop/nassessmentsofteachersexamples.html,
	help/workshop/nelements.html, help/workshop/numberofassessors.html,
	help/workshop/overallocation.html, help/workshop/resubmit.html,
	help/workshop/selfassessment.html,
	help/workshop/showinggrades.html, help/workshop/specimen.html,
	help/workshop/submissionofexamples.html,
	help/workshop/teachersgradings.html,
	help/workshop/ungradedassessments_student.html,
	help/workshop/ungradedassessments_teacher.html: 
	
	Latest version from Jean-François Nadeau
        
2003-12-03 Wednesday 06:22  koenr

	* lang/nl/help/quiz/index.html: 
	
	updating links

2003-12-03 Wednesday 06:19  koenr

	* lang/nl/help/quiz/discrimination.html: 
	
	translated by Koen Roggemans

2003-12-03 Wednesday 05:51  koenr

	* lang/nl/workshop.php: 
	
	filling in missing strings

2003-12-03 Wednesday 05:30  koenr

	* lang/nl/: moodle.php, quiz.php, resource.php: 
	
	filling in missing strings

2003-12-02 Tuesday 23:29  moodler

	* lang/en/moodle.php: 
	
	FIxed names for names

2003-12-02 Tuesday 23:28  moodler

	* lang/en_us/moodle.php: 
	
	Fixed up names for names

2003-12-02 Tuesday 10:53  willcast

	* mod/glossary/edit.html: 
	
	- Bringing order to chaos (thanks Martin)

2003-12-02 Tuesday 08:58  paca70

	* mod/: exercise/db/postgres7.php, exercise/db/postgres7.sql,
	dialogue/db/postgres7.php, dialogue/db/postgres7.sql: 
	
	Initial version for postgresql.

2003-12-02 Tuesday 08:21  moodler

	* lib/datalib.php: 
	
	Undoing that last checkin while I examine the consequences for
	other database types

2003-12-02 Tuesday 07:42  paca70

	* lib/datalib.php: 
	
	To fix postgresql 7.4  default values.	Starting with v. 7.4
	postgres is returning default-values with datatype in form:
	'default value'::data type This cannot be inserted back to database
	so DEFAULT keyword must be used.

2003-12-02 Tuesday 07:24  moodler

	* lang/en/docs/credits.html: 
	
	Add credits for Snoopy

2003-12-02 Tuesday 06:43  willcast

	* mod/glossary/lib.php: 
	
	- Missing a $firstname $lastname... :(	Changed to fullname

2003-12-02 Tuesday 06:35  willcast

	* lang/en/glossary.php: 
	
	- Some fixes when deleting entries and glossaries.  - Changing the
	way the comments are shown - Saving a couple of lines in the Add
	Entry screen.

2003-12-02 Tuesday 06:34  moodler

	* lib/moodlelib.php: 
	
	Take post_max_size into account when calculating maximum sizes.

2003-12-02 Tuesday 06:32  willcast

	* mod/glossary/: deleteentry.php, edit.html, lib.php: 
	
	- Some fixes when deleting entries and glossaries.  - Changing the
	way the comments are shown - Saving a couple of lines in the Add
	Entry screen.

2003-12-02 Tuesday 01:08  mudrd8mz

	* lang/cz/docs/: docstyles.css, files.php, install.html: 
	
	Just updated due to changes in documentation structure.

2003-12-02 Tuesday 01:06  mudrd8mz

	* lang/cz/help/index.html: 
	
	Initial czech version

2003-12-02 Tuesday 01:04  mudrd8mz

	* lang/cz/quiz.php: 
	
	A lot of changes made here! Question names and other strings are
	now transalted according to czech educational terminology. Some
	meaningless transaltions fixed.

2003-12-02 Tuesday 01:00  mudrd8mz

	* lang/cz/pix.php: 
	
	Initial czech version

2003-12-02 Tuesday 00:58  mudrd8mz

	* lang/cz/: moodle.php, resource.php, workshop.php: 
	
	Filled missing strings

2003-12-02 Tuesday 00:56  mudrd8mz

	* lang/cz/: glossary.php, label.php: 
	
	Initial czech version

2003-12-02 Tuesday 00:55  mudrd8mz

	* lang/cz/forum.php: 
	
	Filled missing strings.

2003-12-02 Tuesday 00:54  mudrd8mz

	* lang/cz/countries.php: 
	
	'Czech Republic' and 'Slovak Republic' translated into Czech, the
	rest left in English

2003-12-02 Tuesday 00:52  mudrd8mz

	* lang/cz/assignment.php: 
	
	Filled missing strings

2003-12-02 Tuesday 00:51  mudrd8mz

	* lang/cz/README: 
	
	Some transaltion notes added.

2003-12-01 Monday 19:53  moodler

	* lang/en/auth.php: 
	
	FIxed missing quotes

2003-12-01 Monday 15:24  koenr

	* lang/nl/glossary.php: 
	
	filling in missing strings changed item to invoer

2003-12-01 Monday 14:58  paca70

	* backup/db/postgres7.sql: 
	
	Now backuptables gets created. (Still untested)

2003-12-01 Monday 14:57  koenr

	* lang/nl/exercise.php: 
	
	initial translation

2003-12-01 Monday 14:28  paca70

	* lib/datalib.php: 
	
	To fix postgres column renaming.

2003-12-01 Monday 14:00  stronk7

	* backup/: backup_scheduled.php, try.php: 
	
	Wow !! Now backup of one course is ENTIRELY encapsulated inside
	backup_scheduled.php.  And a backup of EVERY course can be executed
	invoking try.php.  Backing up to a custom directory is working too
	!! They are preliminary versions, of course, but seem to work fine
	:-) Now I'm going to make all the necessay structures to support
	the cron system and to be able to inform the admin about every
	scheduled backup process.  Ciao :-)

2003-12-01 Monday 13:39  stronk7

	* backup/backuplib.php: 
	
	Take out another notice in backup.

2003-12-01 Monday 12:38  stronk7

	* backup/lib.php: 
	
	Take out one notice...

2003-12-01 Monday 12:25  stronk7

	* backup/: backuplib.php, lib.php: 
	
	Added support in copy_zip_to_course_dir() to save course backup
	file in a custom directory (via $preferences->backup_destination). 
	Needed in scheduled backups.

2003-12-01 Monday 12:24  jungwirr

	* lang/en/attendance.php: 
	
	
	added missing strings dynsectionshort autoattendshort gradeshort

2003-12-01 Monday 09:18  rkingdon

	* mod/exercise/: assessments.php, lib.php: 
	
	Fix minor bug in Administration page.

2003-12-01 Monday 05:50  rkingdon

	* lang/en/workshop.php: 
	
	Extra strings for analysis of assessments.

2003-12-01 Monday 04:21  moodler

	* mod/quiz/format/aiken.php: 
	
	Allow A. B. C.	in addition to A) B) C)

2003-12-01 Monday 04:19  rkingdon

	* mod/workshop/: lib.php, submissions.php, version.php, view.php,
	db/mysql.php, db/mysql.sql: 
	
	New version (2003113000), Analysis of Assessments added.

2003-12-01 Monday 04:16  rkingdon

	* lang/en/help/workshop/analysisofassessments.html: 
	
	New Workshop help file for the analysis of assessments.

2003-12-01 Monday 00:15  andre_bln

	* lang/de/docs/: README.txt, background.html, credits.html,
	cvs.html, developer.html, faq.html, features.html, future.html,
	install.html, intro.html, licence.html, module_files.txt,
	other.html, philosophy.html, release.html, teacher.html: 
	
	new version german translation *.html-files

2003-12-01 Monday 00:01  moodler

	* admin/cron.php: 
	
	If a file called cronextra.php exists in the dataroot then cron
	will run that too.  This allows sites to have "special"
	maintenance.

2003-11-30 Sunday 22:47  moodler

	* lang/en/moodle.php: 
	
	Fixed missing string adminhelpbackup

2003-11-30 Sunday 22:37  moodler

	* mod/quiz/: lib.php, format/aiken.php: 
	
	New format called "Aiken format" by Thomas Robb (and Art Lader) to
	allow import of questions like this:
	
	Every seriously injured person is likely to go into A) shock.  B)
	infection.  C) hemorrhage.  D) respiratory pain.  ANSWER: A

2003-11-30 Sunday 18:12  mits

	* lang/ja/: README, moodle.php: 
	
	new translation and polished few.

2003-11-30 Sunday 13:57  stronk7

	* backup/: STATUS.txt, version.php: 
	
	Going to "Create the script". Bump.

2003-11-30 Sunday 13:56  stronk7

	* backup/config.html: 
	
	Destination folder is included too.

2003-11-30 Sunday 13:37  stronk7

	* backup/config.html: 
	
	Now weekdays, active and execution time are included, too.

2003-11-30 Sunday 10:58  stronk7

	* admin/backup.php: 
	
	Scheduled weekdays are now stored in DB

2003-11-30 Sunday 06:57  moodler

	* lang/: zh_cn/moodle.php, zh_tw/moodle.php: 
	
	Switch firstname with lastname

2003-11-30 Sunday 06:44  moodler

	* lang/en/moodle.php: 
	
	Plural "Given name(s)" looks silly in English and isn't needed. 
	Might be for Spanish or Arabic though.

2003-11-30 Sunday 06:40  moodler

	* lang/: zh_cn/moodle.php, zh_tw/moodle.php: 
	
	Display FAMILY names first

2003-11-30 Sunday 06:38  moodler

	* lang/ja/moodle.php: 
	
	Display family names FIRST

2003-11-30 Sunday 06:15  moodler

	* lang/hu/moodle.php: 
	
	Reverse the names ...

2003-11-30 Sunday 06:02  moodler

	* version.php: 
	
	Bump

2003-11-30 Sunday 06:02  moodler

	* lang/en/moodle.php, lib/defaults.php, admin/config.html,
	lib/moodlelib.php: 
	
	Final pieces to allow site-wide configuration of name display.
	
	Site variable can override order of "firstname lastname" or it can
	leave it up to the language packs.

2003-11-30 Sunday 00:41  moodler

	* lang/en/docs/coding.html: 
	
	Tweaks

2003-11-30 Sunday 00:40  moodler

	* lang/en/docs/coding.html: 
	
	Style fixes

2003-11-30 Sunday 00:31  moodler

	* lang/en/docs/coding.html: 
	
	Added information about databases

2003-11-29 Saturday 19:43  giro123

	* lang/es/README.txt: 
	
	[no log message]

2003-11-29 Saturday 16:35  moodler

	* lib/editor/htmlarea.php: 
	
	Bugfix - don't use control keys if alt key is also down (to fix
	Polish)

2003-11-29 Saturday 06:26  moodler

	* admin/user.php: 
	
	Fixed typo from last night

2003-11-28 Friday 18:27  moodler

	* lib/weblib.php: 
	
	Fix navigation buttons for hidden buttons

2003-11-28 Friday 18:19  moodler

	* lang/en/resource.php: 
	
	Fixed notefile string

2003-11-28 Friday 08:16  moodler

	* user/index.php: 
	
	Use fullname display for actual name in list

2003-11-28 Friday 07:47  moodler

	* mod/survey/lib.php: 
	
	Use fullname function for names

2003-11-28 Friday 07:45  moodler

	* mod/journal/lib.php: 
	
	Use fullname function for displaying names

2003-11-28 Friday 07:42  moodler

	* mod/dialogue/dialogues.php: 
	
	Use fullname for displaying names

2003-11-28 Friday 07:41  moodler

	* mod/choice/: report.php, view.php: 
	
	Display names using fullname function

2003-11-28 Friday 07:37  moodler

	* mod/chat/report.php: 
	
	Make sure teacher override is there

2003-11-28 Friday 07:35  moodler

	* mod/chat/: lib.php, report.php, users.php: 
	
	DIsplay names using the fullname function

2003-11-28 Friday 05:59  stigbjarne

	* lang/no/help/: glossary/aliases.html, exercise/usemax.html: 
	
	New file

2003-11-28 Friday 05:53  stigbjarne

	* lang/no/help/workshop/editingacomment.html: 
	
	New file

2003-11-28 Friday 05:43  stigbjarne

	* lang/no/help/quiz/description.html: 
	
	New file

2003-11-28 Friday 05:40  stigbjarne

	* lang/no/help/quiz/import.html: 
	
	Minor changes

2003-11-28 Friday 05:25  stigbjarne

	* lang/no/help/quiz/: shufflequestions.html, timeopen.html,
	truefalse.html: 
	
	Minor changes

2003-11-28 Friday 05:21  stigbjarne

	* lang/no/help/quiz/grademethod.html: 
	
	Minor changes

2003-11-28 Friday 05:15  stigbjarne

	* lang/no/help/quiz/attempts.html: 
	
	Minor changes

2003-11-28 Friday 05:08  stigbjarne

	* lang/no/: LES_MEG.txt, README, docs/README.txt: 
	
	Minor changes

2003-11-28 Friday 05:04  stigbjarne

	* lang/no/README.txt: 
	
	Minor changes

2003-11-28 Friday 04:56  stigbjarne

	* lang/no/README.txt: 
	
	Minor changes

2003-11-28 Friday 04:48  stigbjarne

	* lang/no/: README.txt, README.txt: 
	
	Minor changes

2003-11-28 Friday 03:06  moodler

	* mod/assignment/lib.php: 
	
	Use fullname function

2003-11-28 Friday 03:02  moodler

	* login/change_password.php: 
	
	Use fullname function for names

2003-11-28 Friday 03:00  moodler

	* lib/weblib.php: 
	
	Use fullname function for name in login string

2003-11-28 Friday 02:57  moodler

	* lib/moodlelib.php: 
	
	Tiny hack for Qmail - I've come across one system which REQUIRED
	the IsQmail method of phpmailer to be used.
	
	This is now possible just by specifying "qmail" in the smtphosts
	field.

2003-11-28 Friday 02:53  moodler

	* lib/moodlelib.php: 
	
	Some changes to use fullname function for names

2003-11-28 Friday 02:47  moodler

	* lib/ipatlas/plot.php: 
	
	Use fullname() function for name

2003-11-28 Friday 02:43  moodler

	* course/user.php: 
	
	Use fullname function

2003-11-28 Friday 02:41  moodler

	* course/unenrol.php: 
	
	Use fullname function to display names

2003-11-28 Friday 02:37  moodler

	* course/: student.php, teacher.php: 
	
	Use fullname function.	Sorting is still wrong though and the
	selection mechanism sucks.

2003-11-28 Friday 02:35  moodler

	* course/loginas.php: 
	
	Use fullname function for names

2003-11-28 Friday 02:33  moodler

	* course/loggraph.php: 
	
	Use fullname() function for names

2003-11-28 Friday 02:32  moodler

	* course/lib.php: 
	
	Use fullname for Guest name

2003-11-28 Friday 02:31  moodler

	* admin/: creators.php, register.php, user.php: 
	
	Implemented more fullname() calls

2003-11-28 Friday 02:06  stigbjarne

	* lang/no/help/: dialogue/addsubject.html,
	dialogue/closedialogue.html, dialogue/deleteafter.html,
	dialogue/dialoguetype.html, dialogue/index.html,
	dialogue/info.html, dialogue/maildefault.html, dialogue/mods.html,
	dialogue/multiple.html, dialogue/sendmail.html,
	dialogue/writing.html, journal/index.html, journal/mods.html,
	label/mods.html, resource/index.html, resource/mods.html,
	resource/program.html, survey/index.html, survey/mods.html: 
	
	New file

2003-11-28 Friday 01:18  stigbjarne

	* lang/no/help/chat/: chatting.html, index.html, mods.html: 
	
	New file

2003-11-28 Friday 01:08  stigbjarne

	* lang/no/help/: choice/index.html, choice/mods.html,
	forum/index.html, forum/maxattachmentsize.html, forum/mods.html,
	forum/ratings.html, attendance/index.html, attendance/mods.html: 
	
	New file

2003-11-28 Friday 01:04  stigbjarne

	* lang/no/help/: cookies.html, courseavailability.html,
	coursegrades.html, coursereports.html, courseuploadsize.html,
	index.html, scales.html, assignment/index.html,
	assignment/mods.html: 
	
	New file

2003-11-28 Friday 01:01  stigbjarne

	* lang/no/LES_MEG.txt: 
	
	New file

2003-11-28 Friday 00:58  stigbjarne

	* lang/no/docs/features.html: 
	
	Improved and extended

2003-11-28 Friday 00:52  stigbjarne

	* lang/no/help/: assignment/assignmenttype.html,
	assignment/resubmit.html, choice/options.html,
	forum/allowdiscussions.html, forum/attachment.html,
	forum/forumtype.html, forum/subscription.html,
	resource/resourcetype.html, resource/summary.html: 
	
	Improved and extended

2003-11-28 Friday 00:47  stigbjarne

	* lang/no/help/: coursecategory.html, courseformats.html,
	coursefullname.html, coursenewsitems.html, coursenumsections.html,
	courserecent.html, courseshortname.html, coursestartdate.html,
	emoticons.html, enrolmentkey.html, guestaccess.html, html.html,
	langedit.html, mods.html, picture.html, questions.html,
	reading.html, richtext.html, summaries.html, surveys.html,
	teachers.html, text.html, textformat.html, wiki.html, writing.html:
	
	
	Improved and extended

2003-11-28 Friday 00:45  stigbjarne

	* lang/no/docs/: README.txt, install.html, intro.html,
	module_files.txt, teacher.html, upgrade.html: 
	
	Minor changes

2003-11-27 Thursday 20:02  moodler

	* lang/en/resource.php: 
	
	Fixing a broken line

2003-11-27 Thursday 20:01  moodler

	* lang/en/resource.php: 
	
	Editing as necessary :)  Can't have all that HTML formatting in the
	strings ...

2003-11-27 Thursday 19:27  willcast

	* lang/en/resource.php, mod/resource/lib.php: 
	
	- Adding error trapping to the fetching function and giving error
	messages accordandly.  - Adding Moodle as the web agent!!! :)
	
	PLEASE, edit the new language strings if necessary.

2003-11-27 Thursday 18:19  moodler

	* mod/resource/lib.php: 
	
	Removed some tabs

2003-11-27 Thursday 18:18  willcast

	* mod/resource/view.php: 
	
	- Fixing bug that was preveting uploaded files to be shown...
	
	Uploaded files parsing is not ready so it's desabled by code...

2003-11-27 Thursday 18:11  moodler

	* lang/en/resource.php, mod/resource/config.html,
	mod/resource/fetch.php, mod/resource/lib.php,
	mod/resource/view.php: 
	
	A few rearrangments in the new code for filtered external pages

2003-11-27 Thursday 15:50  stronk7

	* backup/config.html: 
	
	Small change to save scheduled days always in
	0=Sunday....6=Saturday format, independent from the visual display
	of the week. :-) It uses the "firstdayofweek" string in every
	languaje pack (defaults to 0-Sunday)

2003-11-27 Thursday 15:42  stronk7

	* backup/config.html: 
	
	Comment some debug. I forgot it, sorry. :-(

2003-11-27 Thursday 15:38  stronk7

	* backup/config.html: 
	
	Changed empty->isset !! Arghh

2003-11-27 Thursday 15:33  stronk7

	* backup/lib.php: 
	
	Return backup_config records as an object instead of an array.

2003-11-27 Thursday 15:27  stronk7

	* admin/backup.php, admin/configure.php, admin/index.php,
	backup/config.html, backup/lib.php, backup/version.php: 
	
	Initial release of the configure backup.  It now uses backup_config
	instead of config.  Not finished !!

2003-11-27 Thursday 14:57  stronk7

	* backup/db/mysql.php: 
	
	Solved one small typo with prefix.. :-)

2003-11-27 Thursday 14:53  stronk7

	* backup/db/: mysql.php, mysql.sql, oci8po.sql, postgres7.sql: 
	
	Included support for new backup_config table.  (postgresql and
	oracle versions not tested !!)

2003-11-27 Thursday 11:19  paca70

	* lang/fi/: assignment.php, auth.php, chat.php, choice.php,
	forum.php, journal.php, moodle.php, pgassignment.php, quiz.php,
	resource.php, survey.php, workshop.php: 
	
	More Finnish translation from Teemu Sumi.

2003-11-27 Thursday 11:09  willcast

	* mod/resource/: fetch.php, lib.php: 
	
	- External webpage resources now are parsed and automatic links are
	added to the glossary terms... Only if $CFG->filterexternalpages is
	enabled.

2003-11-27 Thursday 11:08  paca70

	* lang/fi/docs/teacher.html: 
	
	One small correction.

2003-11-27 Thursday 11:04  willcast

	* mod/resource/: fetch.php, lib.php, view.php: 
	
	- External webpage resources now are parsed and automatic links are
	added to the glossary terms... Only if $CFG->filterexternalpages is
	enabled.

2003-11-27 Thursday 11:02  willcast

	* lib/snoopy/Snoopy.class.inc: 
	
	- Adding a new class to fetch remote files through PHP.

2003-11-27 Thursday 11:01  paca70

	* lang/fi/docs/teacher.html: 
	
	Finnish teachers manual. Thanks to Lasse Utti.

2003-11-27 Thursday 09:52  moodler

	* lang/en/docs/credits.html: 
	
	Eloy's "war name"  :-)

2003-11-27 Thursday 09:23  moodler

	* file.php: 
	
	Decode pathinfo in case it has encoded spaces etc in it

2003-11-27 Thursday 06:52  moodler

	* mod/quiz/report/simplestat/report.php: 
	
	Different format on headers for text downloads to improve
	performance on more browsers

2003-11-27 Thursday 05:32  willcast

	* mod/glossary/: db/mysql.php, version.php: 
	
	- Deleting inconsistent records on glossary_alias due to the last
	fixed bug.

2003-11-27 Thursday 00:26  andre_bln

	* lang/de/: assignment.php, attendance.php, auth.php, chat.php,
	choice.php, countries.php, dialogue.php, editor.php, exercise.php,
	forum.php, glossary.php, journal.php, label.php, moodle.php,
	pgassignment.php, pix.php, quiz.php, resource.php, survey.php,
	webquest.php, workshop.php: 
	
	new version completed php-files CVS
	-------------------------------------------------------------------
	---

2003-11-26 Wednesday 23:10  moodler

	* mod/survey/download.php: 
	
	Worksheet name can't be longer than 31 characters

2003-11-26 Wednesday 21:25  willcast

	* mod/glossary/edit.php: 
	
	- Fixing bug regarding the aliases (pointed out by Sho Fukamachi
	also)

2003-11-26 Wednesday 14:21  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	[no log message]

2003-11-26 Wednesday 08:07  moodler

	* lang/en/docs/credits.html: 
	
	Peter Taylor got upgraded  :-)

2003-11-26 Wednesday 06:42  willcast

	* mod/glossary/view.php: 
	
	- Fixing typo (pointed out by Sho Fukamachi)

2003-11-26 Wednesday 06:38  willcast

	* mod/glossary/: export.php, lib.php: 
	
	- Removing tags from glossary name when exporting the entries.

2003-11-26 Wednesday 05:10  paca70

	* lang/fi/: assignment.php, auth.php, chat.php, choice.php,
	editor.php, forum.php, journal.php, moodle.php, pgassignment.php,
	quiz.php, resource.php, survey.php, docs/README.txt,
	docs/files.php, docs/install.html, docs/intro.html,
	help/coursecategory.html, help/courseformats.html,
	help/coursefullname.html, help/coursenewsitems.html,
	help/coursenumsections.html, help/courserecent.html,
	help/courseshortname.html, help/coursestartdate.html,
	help/enrolmentkey.html, help/guestaccess.html, help/html.html,
	help/langedit.html, help/mods.html, help/picture.html,
	help/questions.html, help/reading.html, help/richtext.html,
	help/surveys.html, help/teachers.html, help/text.html,
	help/textformat.html, help/writing.html,
	help/assignment/assignmenttype.html, help/assignment/resubmit.html,
	help/choice/options.html, help/forum/allowdiscussions.html,
	help/forum/attachment.html, help/forum/forumtype.html,
	help/forum/ratings.html, help/forum/subscription.html,
	help/pgassignment/anonymous.html,
	help/pgassignment/assignmenttype.html,
	help/pgassignment/breakdownoffinalgrade.html,
	help/pgassignment/calculatingfinalgrade.html,
	help/pgassignment/elements.html,
	help/pgassignment/finalgrades.html, help/pgassignment/graded.html,
	help/pgassignment/grading.html,
	help/pgassignment/gradingcomments.html,
	help/pgassignment/includeself.html,
	help/pgassignment/managing.html,
	help/pgassignment/numberofassessors.html,
	help/pgassignment/resubmit.html,
	help/pgassignment/showinggrades.html,
	help/pgassignment/specimen.html,
	help/pgassignment/teachersgradings.html, help/quiz/attempts.html,
	help/quiz/categories.html, help/quiz/correctanswers.html,
	help/quiz/feedback.html, help/quiz/grademethod.html,
	help/quiz/import.html, help/quiz/maxgrade.html,
	help/quiz/multichoice.html, help/quiz/questiontypes.html,
	help/quiz/randommatch.html, help/quiz/review.html,
	help/quiz/shortanswer.html, help/quiz/timeopen.html,
	help/quiz/truefalse.html, help/resource/resourcetype.html,
	help/resource/summary.html: 
	
	Converting back to iso-8859-1. Sorry for this mess...

2003-11-26 Wednesday 03:47  moodler

	* lang/en/resource.php, mod/resource/config.html,
	mod/resource/details.php, mod/resource/lib.php: 
	
	Another setting to allow a default URL in webpage and weblink

2003-11-26 Wednesday 02:54  stronk7

	* backup/STATUS.txt: 
	
	Updated to include scheduled backup status.

2003-11-26 Wednesday 01:42  andre_bln

	* lang/de/help/glossary/: destination.html, entbypage.html,
	filetoimport.html, importcategories.html, linkcategory.html: 
	
	add new german translation html-files

2003-11-26 Wednesday 01:39  andre_bln

	* lang/de/help/label/mods.html: 
	
	add new german translation html-file

2003-11-25 Tuesday 17:37  moodler

	* lang/en/quiz.php: 
	
	Grade is in the main file already

2003-11-25 Tuesday 17:37  moodler

	* mod/quiz/report/fullstat/report.php: 
	
	Use "grade" string from the main language pack

2003-11-25 Tuesday 15:38  trobb

	* lang/en/quiz.php, mod/quiz/report/fullstat/report.php: 
	
	[no log message]

2003-11-25 Tuesday 14:53  andre_bln

	* lang/de/help/: cookies.html, courseavailability.html,
	coursegrades.html, coursereports.html, courseuploadsize.html: 
	
	german translation new html-files

2003-11-25 Tuesday 09:44  willcast

	* mod/glossary/: dynalink.php, edit.php, lib.php, view.php: 
	
	- Fixed two bugs: Teacher's modified or added entries were being
	set as not approved if the default approval status is off.  - Fixed
	bug when trying to display entries with ? in the definitions or
	aliases.

2003-11-25 Tuesday 08:37  willcast

	* mod/glossary/lib.php: 
	
	- Student can't edit their own entries solved.

2003-11-25 Tuesday 06:08  andre_bln

	* lang/de/: assignment.php, attendance.php, auth.php, chat.php,
	choice.php, countries.php, dialogue.php, editor.php, exercise.php,
	forum.php, glossary.php, journal.php, label.php, moodle.php,
	pgassignment.php, pix.php, quiz.php, resource.php, survey.php,
	text.html, webquest.php, workshop.php: 
	
	new version german php-files ( jetzt vollständig ??
        
2003-11-25 Tuesday 05:31  moodler

	* lang/en/help/quiz/discrimination.html: 
	
	A little tidy

2003-11-25 Tuesday 05:30  moodler

	* lang/en/help/quiz/discrimination.html: 
	
	New file from Tom Robb

2003-11-25 Tuesday 04:35  trobb

	* lang/en/quiz.php: 
	
	[no log message]

2003-11-25 Tuesday 04:30  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	[no log message]

2003-11-25 Tuesday 04:15  moodler

	* lang/en/moodle.php: 
	
	Removed some bogus Control-M's

2003-11-25 Tuesday 00:01  moodler

	* mod/resource/: config.html, details.php, lib.php: 
	
	Added a new setting called "resource_websearch" ... it is simply a
	URL that is offered to users as a place to to find URLs.  By
	default it's google.com, but could easily be a local repository of
	files.

2003-11-25 Tuesday 00:00  moodler

	* lang/en/resource.php: 
	
	Added a new help string

2003-11-24 Monday 20:19  moodler

	* lib/weblib.php: 
	
	Added new navmenu function that now prints next/previous buttons -
	it's based on code from Gustav Delius.	Thanks, Gustav!

2003-11-24 Monday 16:07  trobb

	* lang/en/quiz.php: 
	
	[no log message]

2003-11-24 Monday 07:15  andre_bln

	* lang/de/help/: attendance/mods.html, dialogue/addsubject.html,
	dialogue/closedialogue.html, dialogue/deleteafter.html,
	dialogue/dialoguetype.html, dialogue/info.html,
	dialogue/maildefault.html, dialogue/mods.html,
	dialogue/multiple.html, dialogue/sendmail.html,
	dialogue/writing.html: 
	
	add german translation help-files

2003-11-23 Sunday 23:50  andre_bln

	* lang/de/help/: choice/index.html, choice/mods.html,
	choice/options.html, chat/chatting.html: 
	
	new version german translation

2003-11-23 Sunday 23:46  andre_bln

	* lang/de/help/: coursecategory.html, courseformats.html,
	coursefullname.html, coursenewsitems.html, coursenumsections.html,
	courserecent.html, courseshortname.html, coursestartdate.html,
	emoticons.html, enrolmentkey.html, guestaccess.html, html.html,
	langedit.html, mods.html, picture.html, questions.html,
	reading.html, richtext.html, summaries.html, surveys.html,
	teachers.html, text.html, textformat.html, wiki.html, writing.html:
	
	
	new version german translation *.html-files

2003-11-23 Sunday 23:09  andre_bln

	* lang/de/: attendance.php, countries.php, dialogue.php,
	editor.php, exercise.php, glossary.php, label.php, pix.php,
	webquest.php: 
	
	new german translation php-files

2003-11-23 Sunday 17:48  moodler

	* mod/exercise/mod.html: 
	
	No need for HTML editor stuff

2003-11-23 Sunday 17:23  moodler

	* course/mod.php: 
	
	Some logic for focussing cursor

2003-11-23 Sunday 17:16  moodler

	* mod/label/mod.html: 
	
	Use the new method for calling html editor

2003-11-23 Sunday 14:28  andre_bln

	* lang/de/help/exercise/: administration.html, elements.html,
	finalgrades.html, grade.html, grading.html, gradinggrade.html,
	gradingstrategy.html, managing.html, mods.html, moreinfo.html,
	nelements.html, specimen.html, submissionofdescriptions.html,
	takeownership.html, usemax.html: 
	
	add german translation exercise help-files

2003-11-23 Sunday 14:27  andre_bln

	* lang/de/help/glossary/: aliases.html, allowcomments.html,
	allowduplicatedentries.html, casesensitive.html,
	defaultapproval.html, description.html, displayformat.html,
	fullmatch.html, globalglossary.html, index.html, mainglossary.html,
	mods.html, shows.html, studentcanpost.html, usedynalink.html: 
	
	add glossary help-files

2003-11-23 Sunday 14:21  andre_bln

	* lang/de/help/forum/: allowdiscussions.html, attachment.html,
	forumtype.html, index.html, maxattachmentsize.html, mods.html,
	ratings.html, subscription.html: 
	
	new version german translation *.html-files

2003-11-23 Sunday 14:11  andre_bln

	* lang/de/help/quiz/: attempts.html, categories.html,
	correctanswers.html, createmultiple.html, description.html,
	feedback.html, formatblackboard.html, formatctm.html,
	formatcustom.html, formatmissingword.html, grademethod.html,
	import.html, index.html, match.html, maxgrade.html, mods.html,
	multianswer.html, multichoice.html, numerical.html,
	questiontypes.html, random.html, randomsamatch.html,
	repeatattempts.html, review.html, shortanswer.html,
	shuffleanswers.html, shufflequestions.html, timeopen.html,
	truefalse.html: 
	
	new version german translation *.html-files

2003-11-23 Sunday 14:07  andre_bln

	* lang/de/help/workshop/: leaguetable.html, managing.html,
	nassessmentsofstudentsubmissions.html,
	nassessmentsofteachersexamples.html, nelements.html,
	numberofassessors.html, overallocation.html, resubmit.html,
	selfassessment.html, showinggrades.html, specimen.html,
	submissionofexamples.html, ungradedassessments_student.html,
	ungradedassessments_teacher.html: 
	
	new version german translation *.html-files

2003-11-23 Sunday 13:54  andre_bln

	* lang/de/help/workshop/: addingacomment.html,
	agreeassessments.html, anonymous.html, assignmenttype.html,
	breakdownoffinalgrade.html, calculatingfinalgrade.html,
	editingacomment.html, finalgrades.html, graded.html, grading.html,
	gradingassessments.html, gradingstrategy.html,
	gradingsubmissions.html, includeself.html,
	includeteachersgrade.html: 
	
	new version german translation *.html-files

2003-11-23 Sunday 13:40  koenr

	* lang/nl/: glossary.php, quiz.php: 
	
	filling in missing strings

2003-11-23 Sunday 13:37  andre_bln

	* lang/de/help/workshop/index.html: 
	
	new version german translation *.html-files

2003-11-23 Sunday 10:41  andre_bln

	* lang/de/: forum.php, moodle.php, resource.php, workshop.php: 
	
	
	new version german translation *.html- Files

2003-11-23 Sunday 03:15  stronk7

	* course/outline_rep.php: 
	
	Search for any 'view%' string in the module log, instead of exact
	matching.

2003-11-22 Saturday 18:46  willcast

	* mod/glossary/lib.php: 
	
	- Properly deleting attached files when a glossary is deleted.

2003-11-22 Saturday 17:01  willcast

	* mod/glossary/: lib.php, view.php: 
	
	- Minor fix (locating the send ratings button correctely when the
	mode is entry.)

2003-11-22 Saturday 16:31  willcast

	* lang/en/help/glossary/: aliases.html, index.html: 
	
	- Minor change (aliases by Keywords, more intuitive, I think)

2003-11-22 Saturday 14:01  giro123

	* lang/es/editor.php: 
	
	Trad. Sergio Alfaro

2003-11-22 Saturday 12:21  stronk7

	* backup/version.php: 
	
	Bump !! Some important changes incoming next days !!

2003-11-22 Saturday 12:02  stronk7

	* mod/glossary/: backuplib.php, restorelib.php: 
	
	Now glossary_ratings are in backup/restore too. !! Solved one
	errors with glossary_alias.  Updated "graphical structure" of the
	module.

2003-11-22 Saturday 01:00  moodler

	* admin/timezone.php: 
	
	Quick script to slam timezones

2003-11-21 Friday 19:14  moodler

	* mod/assignment/view.php: 
	
	Fixed bug 902 when displaying scale grades for offline assignments

2003-11-21 Friday 18:45  moodler

	* lang/en/quiz.php: 
	
	Converted back to single quotes, and removed "grade", "grades"
	strings

2003-11-21 Friday 18:43  moodler

	* mod/quiz/report/fullstat/report.php: 
	
	Use main translation for grade

2003-11-21 Friday 18:42  moodler

	* mod/quiz/backuplib.php: 
	
	Use main translation for "grades"

2003-11-21 Friday 15:56  trobb

	* lang/en/quiz.php: 
	
	[no log message]

2003-11-21 Friday 15:53  trobb

	* lang/en/quiz.php: 
	
	[no log message]

2003-11-21 Friday 14:51  stronk7

	* mod/glossary/restorelib.php: 
	
	Some needed scales recoding previous to ratings... :-)

2003-11-21 Friday 14:24  andre_bln

	* lang/de/: forum.php, moodle.php, resource.php, workshop.php: 
	
	new version help-files in german

2003-11-21 Friday 14:20  trobb

	* lang/en/quiz.php, mod/quiz/report/fullstat/report.php: 
	
	[no log message]

2003-11-21 Friday 13:35  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	[no log message]

2003-11-21 Friday 13:31  trobb

	* lang/en/quiz.php: 
	
	[no log message]

2003-11-21 Friday 11:04  willcast

	* mod/glossary/config.html: 
	
	- Minor fix (removing a notice)

2003-11-21 Friday 11:00  willcast

	* mod/glossary/db/mysql.php: 
	
	- Compatibility issue. (Eloy, try this one).

2003-11-21 Friday 10:42  willcast

	* mod/glossary/: backuplib.php, restorelib.php: 
	
	- Grading enabled.... finally.

2003-11-21 Friday 10:34  willcast

	* lang/en/glossary.php: 
	
	- Grading enabled.... finally.

2003-11-21 Friday 10:29  willcast

	* mod/glossary/: TODO.txt, lib.php, mod.html, version.php,
	view.php, db/mysql.php, db/mysql.sql, formats/2.php, formats/3.php,
	formats/4.php, formats/5.php, formats/6.php, rate.php, report.php: 
	
	- Grading enabled.... finally.

2003-11-21 Friday 06:08  trobb

	* mod/quiz/report/fullstat/report.php: 
	
	[no log message]

2003-11-21 Friday 06:03  moodler

	* mod/label/lib.php: 
	
	Removed unnecessary functions

2003-11-21 Friday 04:54  moodler

	* course/lib.php: 
	
	Whoops forgot a debugging statement

2003-11-21 Friday 04:54  moodler

	* course/lib.php: 
	
	For recent activity, only parse modules that are enabled

2003-11-21 Friday 04:30  moodler

	* lang/gl/: README.txt, assignment.php, auth.php, chat.php,
	choice.php, forum.php, journal.php, moodle.php, quiz.php,
	resource.php, survey.php, workshop.php, docs/background.html,
	docs/coding.html, docs/credits.html, docs/cvs.html,
	docs/developer.html, docs/faq.html, docs/features.html,
	docs/files.php, docs/future.html, docs/glossary.html,
	docs/install.html, docs/installamp.html, docs/intro.html,
	docs/licence.html, docs/other.html, docs/release.html,
	docs/teacher.html, docs/upgrade.html, help/cookies.html,
	help/courseavailability.html, help/coursecategory.html,
	help/courseformats.html, help/coursefullname.html,
	help/coursegrades.html, help/coursenewsitems.html,
	help/coursenumsections.html, help/courserecent.html,
	help/courseshortname.html, help/coursestartdate.html,
	help/emoticons.html, help/enrolmentkey.html, help/guestaccess.html,
	help/html.html, help/index.html, help/langedit.html,
	help/mods.html, help/picture.html, help/questions.html,
	help/reading.html, help/richtext.html, help/scales.html,
	help/summaries.html, help/surveys.html, help/teachers.html,
	help/text.html, help/textformat.html, help/wiki.html,
	help/writing.html, help/assignment/assignmenttype.html,
	help/assignment/index.html, help/assignment/mods.html,
	help/assignment/resubmit.html, help/chat/chatting.html,
	help/chat/index.html, help/chat/mods.html, help/choice/index.html,
	help/choice/mods.html, help/choice/options.html,
	help/forum/allowdiscussions.html, help/forum/attachment.html,
	help/forum/forumtype.html, help/forum/index.html,
	help/forum/mods.html, help/forum/ratings.html,
	help/forum/subscription.html, help/journal/index.html,
	help/journal/mods.html, help/quiz/attempts.html,
	help/quiz/categories.html, help/quiz/correctanswers.html,
	help/quiz/createmultiple.html, help/quiz/description.html,
	help/quiz/eachattemptbuildsonthelast.html, help/quiz/feedback.html,
	help/quiz/formatblackboard.html, help/quiz/formatcustom.html,
	help/quiz/formatmissingword.html, help/quiz/grademethod.html,
	help/quiz/import.html, help/quiz/index.html, help/quiz/match.html,
	help/quiz/maxgrade.html, help/quiz/mods.html,
	help/quiz/multianswer.html, help/quiz/multichoice.html,
	help/quiz/numerical.html, help/quiz/questiontypes.html,
	help/quiz/random.html, help/quiz/randomsamatch.html,
	help/quiz/repeatattempts.html, help/quiz/review.html,
	help/quiz/shortanswer.html, help/quiz/shuffleanswers.html,
	help/quiz/shufflequestions.html, help/quiz/timeopen.html,
	help/quiz/truefalse.html, help/resource/index.html,
	help/resource/mods.html, help/resource/program.html,
	help/resource/resourcetype.html, help/resource/summary.html,
	help/survey/index.html, help/survey/mods.html,
	help/workshop/addingacomment.html,
	help/workshop/agreeassessments.html, help/workshop/anonymous.html,
	help/workshop/assessmentofexamples.html,
	help/workshop/assignmenttype.html,
	help/workshop/breakdownoffinalgrade.html,
	help/workshop/calculatingfinalgrade.html,
	help/workshop/editingacomment.html, help/workshop/elements.html,
	help/workshop/finalgrades.html, help/workshop/graded.html,
	help/workshop/grading.html, help/workshop/gradingassessments.html,
	help/workshop/gradingstrategy.html,
	help/workshop/gradingsubmissions.html,
	help/workshop/includeself.html, help/workshop/index.html,
	help/workshop/managing.html, help/workshop/mods.html,
	help/workshop/nassessmentsofstudentsubmissions.html,
	help/workshop/nassessmentsofteachersexamples.html,
	help/workshop/nelements.html, help/workshop/numberofassessors.html,
	help/workshop/resubmit.html, help/workshop/selfassessment.html,
	help/workshop/showinggrades.html, help/workshop/specimen.html,
	help/workshop/submissionofexamples.html,
	help/workshop/teachersgradings.html,
	help/workshop/ungradedassessments_student.html,
	help/workshop/ungradedassessments_teacher.html: 
	
	New translation - Galego  (Sonia Álvarez López - sonial@uvigo.es)
        
2003-11-21 Friday 01:40  moodler

	* lang/ar/moodle.php: 
	
	Wrong case for rtl

2003-11-21 Friday 01:39  moodler

	* lang/ar/moodle.php: 
	
	Added direction again

2003-11-21 Friday 01:37  moodler

	* lang/ar/: chat.php, choice.php, forum.php, journal.php,
	moodle.php, resource.php, survey.php,
	help/assignment/assignmenttype.html, help/assignment/index.html,
	help/assignment/mods.html, help/assignment/resubmit.html,
	help/attendance/mods.html: 
	
	Latest translation from Dr Ali

2003-11-20 Thursday 23:06  moodler

	* user/edit.html: 
	
	Show current user image on editing page ...
	
	Bit of a hack ... not sure about the location .

2003-11-20 Thursday 21:24  moodler

	* mod/glossary/: config.html, lib.php, view.php: 
	
	Remove evil styles ;-)

2003-11-20 Thursday 21:18  moodler

	* lang/en/glossary.php: 
	
	Added some missing strings

2003-11-20 Thursday 20:55  willcast

	* mod/glossary/: lib.php, view.php: 
	
	- Removing my nice black lines around the tabs.. sniff... sniff
	
	8D

2003-11-20 Thursday 19:33  willcast

	* mod/glossary/: dynalink.php, lib.php, sql.php, tabs.html,
	view.php: 
	
	- Removing some Notices.. Thanks to Eloy for leting me know!

2003-11-20 Thursday 19:00  willcast

	* mod/glossary/lib.php: 
	
	- Found the bug with the Edit Categories button. Fixed.

2003-11-20 Thursday 18:50  willcast

	* mod/glossary/: lib.php, print.php, sql.php, view.php: 
	
	- Fixing minor bugs... Nothing related with the problems the
	glossary is presenting right now in moodle.org... :(

2003-11-20 Thursday 15:37  willcast

	* mod/glossary/: dynalink.php, tabs.html: 
	
	- Adding slashes to [,] and other characters to allow autolinking.

2003-11-20 Thursday 11:38  kaipe

	* mod/quiz/: lib.php, format/multianswer.php: 
	
	Made it possble to give negative grades for single multichoice
	answers in a question with embedded answers, as suggested by Koen
	Roggemans. The total score of the whole question must still be
	greater than or equeal to zero.

2003-11-20 Thursday 10:45  stronk7

	* course/outline_rep.php: 
	
	This report shows the total number of views for each activity in a
	course.  It is based in the "Outline User Activity Report". I
	commit it here, but you (Martin, of course) decide if you want to
	link to it from the "logs" page.

2003-11-20 Thursday 10:39  kaipe

	* mod/quiz/format/multianswer.php: 
	
	Added simplified aliases for answer types, as proposed by Thomas
	Robb. It is now possible to use these aliases: SHORTANSWER = SA =
	MW ; NUMERICAL = NM ; MULTICHOICE = MC

2003-11-20 Thursday 08:02  moodler

	* mod/quiz/report/fullstat/report.php: 
	
	New report from Thomas Robb - provides detailed statistics.  Needs
	some work.

2003-11-20 Thursday 08:01  moodler

	* mod/quiz/report.php: 
	
	Show standard reports first

2003-11-20 Thursday 07:51  moodler

	* lang/en/quiz.php: 
	
	Added "Detailed statistics"

2003-11-20 Thursday 03:47  moodler

	* admin/lang.php: 
	
	Escape double quotes too

2003-11-20 Thursday 03:23  moodler

	* mod/quiz/question.php: 
	
	Fixed authentication a little

2003-11-19 Wednesday 18:26  willcast

	* mod/glossary/tabs.html: 
	
	- fixed little bug on url called by the alphabet tab.

2003-11-19 Wednesday 09:54  rkingdon

	* mod/workshop/assessments.php: 
	
	Bug fixed in assesssubmission code.

2003-11-19 Wednesday 09:47  willcast

	* mod/glossary/view.php: 
	
	- Case sensitive search when click on a letter, fixed.	- Adding a
	display format manager. It controls the behavior of the display
	format when the user enter the glossary and when an auto-link is
	shown.	- Adding support to the new fullname function.

2003-11-19 Wednesday 09:35  willcast

	* lang/en/glossary.php, mod/glossary/TODO.txt,
	mod/glossary/config.html, mod/glossary/dynalink.php,
	mod/glossary/edit.php, mod/glossary/formats.php,
	mod/glossary/lib.php, mod/glossary/mod.html,
	mod/glossary/print.php, mod/glossary/sql.php,
	mod/glossary/version.php, mod/glossary/view.php,
	mod/glossary/db/mysql.php, mod/glossary/db/mysql.sql,
	mod/glossary/formats/2.php, mod/glossary/formats/3.php,
	mod/glossary/formats/6.php: 
	
	- Case sensitive search when click on a letter, fixed.	- Adding a
	display format manager. It controls the behavior of the display
	format when the user enter the glossary and when an auto-link is
	shown.	- Adding support to the new fullname function.

2003-11-19 Wednesday 08:45  moodler

	* mod/forum/lib.php: 
	
	Changes to use the new fullname function

2003-11-19 Wednesday 08:30  moodler

	* course/lib.php: 
	
	Names now use the new fullname function

2003-11-19 Wednesday 08:15  moodler

	* course/format/: social.php, topics.php, weeks.php: 
	
	Use the new fullname function

2003-11-19 Wednesday 08:12  moodler

	* user/edit.php, user/lib.php, user/view.php, admin/admin.php,
	admin/creators.php, admin/cron.php, admin/user.php: 
	
	Use the new fullname function

2003-11-19 Wednesday 07:59  moodler

	* lib/moodlelib.php: 
	
	This function is just a stub to stand in for a while until I have
	more time ... Following this I'll be converting all the other files
	around the place to use this function.

2003-11-19 Wednesday 00:15  moodler

	* admin/dbperformance.php: 
	
	Script to look at database performanceusing ADOdb tools

2003-11-18 Tuesday 23:55  moodler

	* user/view.php: 
	
	Show enrolled courses on user page to teachers
	
	See http://moodle.org/mod/forum/discuss.php?d=3562

2003-11-18 Tuesday 23:34  moodler

	* tags: 
	
	Latest tags

2003-11-18 Tuesday 18:55  moodler

	* theme/: UPGRADE.txt, standard/styles.php: 
	
	Mention new style

2003-11-18 Tuesday 18:52  moodler

	* course/lib.php: 
	
	Changed a style -> categoryname --> categorynumber

2003-11-18 Tuesday 06:29  willcast

	* mod/glossary/lib.php: 
	
	- Messing of A and IMG tags because of auto-linking fixed

2003-11-18 Tuesday 05:49  willcast

	* mod/glossary/: print.php, sql.php, view.php: 
	
	- Improved printer-friendly version - Cosmetic change in the main
	view of a glossary.

2003-11-18 Tuesday 00:01  julmis

	* lib/editor/popups/: dlg_ins_smile.php, insert_image.php,
	insert_table.php: 
	
	Increase size to popups for translations. So buttons or text would
	fit into popups.

2003-11-17 Monday 23:41  moodler

	* admin/lang.php: 
	
	Add a little language-changing menu here to make it easier

2003-11-17 Monday 23:28  moodler

	* lang/en/: assignment.php, attendance.php, auth.php, chat.php,
	choice.php, countries.php, dialogue.php, editor.php, exercise.php,
	forum.php, glossary.php, journal.php, label.php, moodle.php,
	pix.php, quiz.php, resource.php, survey.php, webquest.php,
	workshop.php: 
	
	New, speedier English translation.  All files and every line has
	changed.
	
	This is working OK in my testing, but please contact me immediately
	if you find any errors.

2003-11-17 Monday 23:26  moodler

	* admin/lang.php: 
	
	Language editor now saves strings with 'single quotes' which should
	
	     - simplify the files a bit
	     - speed up processing at run time

2003-11-17 Monday 19:41  willcast

	* mod/glossary/lib.php: 
	
	- Adding View comments link to the new display format

2003-11-17 Monday 19:25  willcast

	* mod/glossary/: lib.php, view.php, formats/6.php: 
	
	- Adding View comments link to the new display format

2003-11-17 Monday 18:28  willcast

	* mod/glossary/: comments.php, lib.php: 
	
	- Using user-defined functions to display comments properly.  -
	Adding a default view to auto-linked entries when the new display
	format is used (temporarly until the display format manager is
	done)

2003-11-17 Monday 17:07  willcast

	* mod/glossary/formats/6.php: 
	
	- Nice default view to the new format display.

2003-11-17 Monday 16:45  willcast

	* mod/glossary/formats/6.php, lang/en/glossary.php: 
	
	- New display format: Entry list (please, fix the translation if it
	is wrong).

2003-11-17 Monday 16:41  willcast

	* mod/glossary/: lib.php, showentry.php, view.php: 
	
	- Now you can override the display format of a glossary (useful to
	certain display format -asked by Tom Murdock-, automatic linking,
	etc)

2003-11-17 Monday 10:51  rkingdon

	* mod/exercise/: lib.php, db/mysql.php: 
	
	Removal of diagnostic messages in Administration page; correction
	to db/mysql.php

2003-11-17 Monday 10:29  giro123

	* lang/es/glossary.php: 
	
	[no log message]

2003-11-17 Monday 09:05  mits

	* lang/ja/help/: attendance/mods.html, dialogue/writing.html: 
	
	New help files.

2003-11-17 Monday 08:45  mits

	* lang/ja/: README, glossary.php, moodle.php, workshop.php: 
	
	translated some.

2003-11-17 Monday 08:45  mits

	* lang/ja/help/resource/: index.html, mods.html: 
	
	New help files added.

2003-11-17 Monday 04:40  willcast

	* mod/glossary/edit.html: 
	
	- Fixed bug regarding default setting' variable names

2003-11-16 Sunday 19:08  willcast

	* mod/glossary/: backuplib.php, restorelib.php: 
	
	- Backup/restore of the new field entbypage

2003-11-16 Sunday 18:56  willcast

	* lang/en/glossary.php: 
	
	- Added string used in the browse by author page (forgot to inlude
	it in the previous checkout)

2003-11-16 Sunday 18:40  moodler

	* lang/en_us/: assignment.php, attendance.php, auth.php, chat.php,
	choice.php, countries.php, editor.php, forum.php, glossary.php,
	journal.php, label.php, moodle.php, quiz.php, resource.php,
	workshop.php: 
	
	Updating en_us to match the latest English (should help with speed
	and memory usage on US installations)

2003-11-16 Sunday 18:19  moodler

	* lib/moodlelib.php: 
	
	Check for string before sorting it

2003-11-16 Sunday 17:56  moodler

	* course/: editsection.html, editsection.php: 
	
	Removed some old editor stuff causing problems in IE

2003-11-16 Sunday 14:49  stronk7

	* mod/forum/restorelib.php: 
	
	When restoring "teacher" forums, if it exists in destinatio course,
	discussions are merged mantaining a unique forum (previously, a
	second "teacher" forum was created). See bug 880
	(http://moodle.org/bugs/bug.php?op=show&bugid=880).

2003-11-16 Sunday 12:11  koenr

	* lang/nl/: editor.php, glossary.php, moodle.php, pix.php,
	workshop.php: 
	
	filling in missing strings...

2003-11-16 Sunday 09:13  willcast

	* mod/glossary/: lib.php, view.php: 
	
	- Improved browse by author.  - view.php?id=cm&show=[concept |
	alias ] done.

2003-11-15 Saturday 18:58  willcast

	* mod/glossary/TODO.txt: 
	
	- Todo list.

2003-11-15 Saturday 18:53  willcast

	* mod/glossary/view.php: 
	
	- Fixing a bug: Group breaks even when the only thing that change
	between an entry and the previous is its case.

2003-11-15 Saturday 17:12  giro123

	* lang/es/help/glossary/: aliases.html, allowcomments.html,
	casesensitive.html, defaultapproval.html, description.html,
	fullmatch.html, globalglossary.html, shows.html,
	allowduplicatedentries.html, displayformat.html, index.html,
	mainglossary.html, mods.html, studentcanpost.html: 
	
	[no log message]

2003-11-15 Saturday 07:55  willcast

	* lang/en/glossary.php, lang/en/help/glossary/destination.html,
	lang/en/help/glossary/entbypage.html,
	lang/en/help/glossary/filetoimport.html,
	lang/en/help/glossary/importcategories.html,
	lang/en/help/glossary/index.html,
	lang/en/help/glossary/linkcategory.html, mod/glossary/approve.php,
	mod/glossary/backuplib.php, mod/glossary/comment.php,
	mod/glossary/config.html, mod/glossary/deleteentry.html,
	mod/glossary/deleteentry.php, mod/glossary/dynalink.php,
	mod/glossary/edit.html, mod/glossary/edit.php,
	mod/glossary/editcategories.html, mod/glossary/editcategories.php,
	mod/glossary/export.php, mod/glossary/exportentry.php,
	mod/glossary/import.php, mod/glossary/lib.php,
	mod/glossary/mod.html, mod/glossary/print.php,
	mod/glossary/restorelib.php, mod/glossary/showentry.php,
	mod/glossary/tabs.html, mod/glossary/version.php,
	mod/glossary/view.php, mod/glossary/db/mysql.php,
	mod/glossary/db/mysql.sql, mod/glossary/db/postgres7.sql,
	mod/glossary/formats/2.php, mod/glossary/formats/3.php,
	mod/glossary/formats/4.php, mod/glossary/formats/5.php: 
	
	- Rewrite of the internal API in order to, hopefully, create an
	easy way to handle the flow of data internally and externally.	-
	Adding a new frame: Browse by Author - A new, friendly way to show
	entries (asked by Martin): view?id=cm&mode=term&hook=[concept |
	alias ] - Handling user activies, outline and complete.  - Properly
	showing new entries in recent activity box.  - Adding a flag to
	categories to specify if a category should or should not be
	automatically linked.  - Adding some missing strings and files as
	well.  - Adding a field to each glossary that specify how many
	entries by pages it should show.

2003-11-14 Friday 19:31  moodler

	* mod/quiz/lib.php: 
	
	Don't have the Javascript dialog on submitting an attempt if the
	quiz doesn't have a grade.

2003-11-14 Friday 11:28  selliott

	* mod/forum/lib.php: 
	
	modified print_recent_instance_activity to fix missing course value
	modified get_recent_posts to select course id from
	forum_discussions table

2003-11-14 Friday 11:16  selliott

	* lang/en/moodle.php: 
	
	Added some words for course/recent.php

2003-11-14 Friday 11:06  selliott

	* course/recent.php: 
	
	Created links for how many days to go back in report.

2003-11-14 Friday 10:34  moodler

	* mod/assignment/lib.php: 
	
	Check for existence of grades

2003-11-14 Friday 09:18  moodler

	* mod/glossary/dynalink.php: 
	
	No need to strip slashes in a filter ...

2003-11-14 Friday 07:38  rkingdon

	* mod/exercise/: lib.php, submissions.php, version.php,
	db/mysql.php, db/mysql.sql: 
	
	Indexes added to submissions, assessments and grades tables. 
	Administration page cleaned up slightly.

2003-11-14 Friday 07:06  moodler

	* version.php: 
	
	To cover the recent security fix.

2003-11-14 Friday 04:48  moodler

	* course/loginas.php, user/lib.php, user/view.php: 
	
	SECURITY FIX:  This patch prevents teachers from logging in as
	admins or		 course creators!  I'll make an
	announcement to registered		  administrators.

2003-11-13 Thursday 12:05  martignoni

	* lang/fr/docs/developer.html: 
	
	Just a bit more translated

2003-11-13 Thursday 10:39  giro123

	* lang/es/docs/intro.html: 
	
	[no log message]

2003-11-13 Thursday 08:25  rkingdon

	* mod/exercise/: assessments.php, lib.php, submissions.php,
	view.php: 
	
	Change to the handling of Error Banded asessments; Removed
	percentages from grades.

2003-11-13 Thursday 08:22  rkingdon

	* mod/workshop/: assessments.php, lib.php, restorelib.php: 
	
	Some minor improvements, see Workshop Forum.

2003-11-13 Thursday 08:19  rkingdon

	* lang/en/workshop.php: 
	
	A few more strings.

2003-11-13 Thursday 03:57  rkingdon

	* mod/dialogue/lib.php: 
	
	Change to new-style tabs.

2003-11-13 Thursday 03:39  rkingdon

	* mod/exercise/lib.php: 
	
	New style Tabs in Management page.

2003-11-12 Wednesday 04:44  martignoni

	* lang/fr/docs/developer.html: 
	
	A little bit more translated

2003-11-11 Tuesday 23:40  moodler

	* user/index.php: 
	
	Fixed paging bar at the bottom of the page

2003-11-11 Tuesday 23:39  moodler

	* lib/setup.php: 
	
	A workaround for a PHP bug with Turkish, and some fixed strings
	changed from "" to ''

2003-11-11 Tuesday 22:21  moodler

	* mod/glossary/dynalink.php: 
	
	urlencode the dynalinks so they don't give errors if they have
	quotes in them etc

2003-11-11 Tuesday 18:42  moodler

	* theme/cordoroyblue/pix/mod/label/icon.gif: 
	
	Added label icon to cordoroyblue example

2003-11-11 Tuesday 15:16  julmis

	* lib/editor/popups/: dlg_ins_char.php, dlg_ins_smile.php,
	insert_image.php, insert_table.php: 
	
	Fixing charset setting.

2003-11-11 Tuesday 08:13  moodler

	* version.php, mod/quiz/version.php, mod/quiz/db/mysql.php,
	mod/quiz/db/postgres7.php: 
	
	Added some bug-fixing code from Eloy Lafuente that fixes a quiz
	problem.
	
	What happens is that adding random questions used to set the
	timestamps of these questions to the same value.  This is fine in
	normal operation, but it stuffs up the backup of that course,
	overwriting the question.  When the course is restored, the missing
	questions cause quizzes to have lots of red notices like "Question
	not found".
	
	Anyhow, this patch should safely fix older installations that may
	have these duplicate questions lying around.
	
	THANKS ELOY!

2003-11-11 Tuesday 04:26  martignoni

	* lang/fr/docs/developer.html: 
	
	Corrected version

2003-11-11 Tuesday 04:24  martignoni

	* lang/fr/docs/developer.html: 
	
	Removing bad developer.html

2003-11-11 Tuesday 04:15  martignoni

	* lang/fr/docs/developer.html: 
	
	Initial bit of translation

2003-11-11 Tuesday 01:11  moodler

	* lang/el/help/: cookies.html, courseavailability.html,
	coursegrades.html, index.html, scales.html, chat/chatting.html,
	chat/index.html, chat/mods.html, journal/index.html,
	journal/mods.html, survey/index.html, survey/mods.html: 
	
	More new files

2003-11-11 Tuesday 01:08  moodler

	* lang/el/: assignment.php, auth.php, chat.php, choice.php,
	forum.php, journal.php, moodle.php, quiz.php, resource.php,
	survey.php, workshop.php, docs/coding.html, docs/faq.html,
	docs/installamp.html, docs/licence.html, docs/other.html,
	help/mods.html, help/questions.html, help/reading.html,
	help/richtext.html, help/textformat.html, help/writing.html,
	help/assignment/index.html, help/assignment/mods.html,
	help/choice/index.html, help/choice/mods.html,
	help/forum/index.html, help/forum/mods.html,
	help/quiz/description.html, help/quiz/formatblackboard.html,
	help/quiz/formatcustom.html, help/quiz/formatmissingword.html,
	help/quiz/import.html, help/quiz/index.html, help/quiz/mods.html,
	help/quiz/multianswer.html, help/quiz/numerical.html,
	help/quiz/questiontypes.html, help/quiz/repeatattempts.html,
	help/resource/index.html, help/resource/mods.html,
	help/resource/program.html, help/resource/resourcetype.html,
	help/resource/scales.html, help/workshop/assessmentofexamples.html,
	help/workshop/gradingsubmissions.html, help/workshop/index.html,
	help/workshop/mods.html, help/workshop/submissionofexamples.html,
	help/workshop/ungradedassessments_student.html,
	help/workshop/ungradedassessments_teacher.html: 
	
	Latest version of Greek, from geof@01infonet.gr

2003-11-10 Monday 22:27  moodler

	* mod/glossary/: edit.html, edit.php: 
	
	Undoing my changes to the editing functions, because it removed
	backward compatibility with 1.1.1 ... this way it works on both.

2003-11-10 Monday 18:49  mits

	* lang/ja/: dialogue.php, glossary.php, workshop.php: 
	
	translated some.

2003-11-10 Monday 17:22  mits

	* lang/ja/: README, pix.php: 
	
	New langfile added.

2003-11-10 Monday 14:39  koenr

	* lang/nl/help/glossary/index.html: 
	
	closing tags

2003-11-10 Monday 13:04  julmis

	* lib/editor/htmlarea.php: 
	
	Link correction to smileys

2003-11-10 Monday 12:49  martignoni

	* lang/fr/docs/release.html: 
	
	Typos corrected

2003-11-10 Monday 12:44  martignoni

	* lang/fr/docs/release.html: 
	
	Translation terminated!

2003-11-10 Monday 04:25  martignoni

	* lang/fr/docs/release.html: 
	
	A little bit more (again)!

2003-11-09 Sunday 23:59  martignoni

	* lang/fr/docs/release.html: 
	
	Translation almost finished

2003-11-09 Sunday 17:49  moodler

	* mod/journal/edit.php: 
	
	Removed text focus to avoid errors in IE

2003-11-09 Sunday 16:01  koenr

	* lang/nl/pix.php: 
	
	translated  by koen roggemans

2003-11-09 Sunday 16:00  koenr

	* lang/nl/editor.php: 
	
	filling in missing strings

2003-11-09 Sunday 14:04  koenr

	* lang/nl/help/glossary/aliases.html: 
	
	translated by Koen Roggemans

2003-11-09 Sunday 14:01  koenr

	* lang/nl/help/glossary/: index.html, mods.html: 
	
	updating...

2003-11-09 Sunday 14:01  koenr

	* lang/nl/: moodle.php, glossary.php: 
	
	filling in missing strings

2003-11-09 Sunday 04:35  willcast

	* mod/glossary/import.php: 
	
	- BUg when importing aliases

2003-11-09 Sunday 03:30  julmis

	* lib/editor/popups/insert_image.php: 
	
	Charset update

2003-11-08 Saturday 19:54  moodler

	* mod/glossary/edit.php: 
	
	Removed focus from header

2003-11-08 Saturday 19:35  moodler

	* mod/glossary/: print.php, view.php: 
	
	if the glossary is at site-level then don't require a login

2003-11-08 Saturday 19:29  willcast

	* mod/glossary/showentry.php: 
	
	- Setting as optional the course id so, by default, it look for
	entries in global glossaries (unless a glossary is specify that
	will search in both).

2003-11-08 Saturday 19:26  moodler

	* mod/glossary/: editcategories.html, editcategories.php: 
	
	Minimal formatting changes to center things

2003-11-08 Saturday 19:16  moodler

	* mod/glossary/: edit.html, edit.php: 
	
	Some cosmetic changes to the code to use the new html editor
	functions.
	
	No change in functionality at all.
	
	I was in the area trying to fix a bug on this page that only shows
	up in Internet Explorer (something to do with editor)

2003-11-08 Saturday 06:41  julmis

	* lib/editor/htmlarea.php: 
	
	Change insertSmile function to use insertHTML or pasteHTML method
	since insertimage method is not working so good in gecko based
	browsers

2003-11-08 Saturday 06:39  julmis

	* lib/editor/popups/dlg_ins_smile.php: 
	
	Changes to charset and window return value is now "string".

2003-11-08 Saturday 06:38  julmis

	* lib/editor/popups/insert_table.php: 
	
	Change charset to dynamic "print_string("thischarset")"

2003-11-08 Saturday 03:48  martignoni

	* lang/fr/docs/release.html: 
	
	Just a bit more translated

2003-11-08 Saturday 03:06  gniske

	* lang/da/moodle.php: 
	
	Adding missing strings Made som few corrections in existing
	translation

2003-11-07 Friday 13:50  martignoni

	* lang/fr/: README, TERMS, docs/files.php: 
	
	Some strings corrected

2003-11-07 Friday 13:48  martignoni

	* lang/fr/docs/release.html: 
	
	Just a bit more translated

2003-11-07 Friday 12:34  martignoni

	* lang/fr/docs/release.html: 
	
	File partially translated

2003-11-07 Friday 08:04  willcast

	* mod/glossary/lib.php: 
	
	- Missed that one.

2003-11-07 Friday 07:58  willcast

	* mod/glossary/: backuplib.php, import.php, lib.php,
	restorelib.php: 
	
	- Backup/restore and Import/export aliases.

2003-11-07 Friday 07:11  moodler

	* lib/moodlelib.php: 
	
	Forgot to check this in ... has a new function

2003-11-07 Friday 06:55  moodler

	* lang/en/pix.php, lib/weblib.php,
	lib/editor/popups/dlg_ins_smile.php: 
	
	New language file called pix.php for defining alt-text of pix
	files.
	
	Smileys code is changed over to use this, both in replace_smileys
	and in editor/popups/dlg_ins_smile.php
	
	Needs testing please!

2003-11-07 Friday 03:01  moodler

	* lib/html2text.php: 
	
	Modifications from Mark (main author) to be more robust with
	certain types of bad HTML code

2003-11-06 Thursday 23:59  moodler

	* lib/editor/popups/dlg_ins_smile.php: 
	
	Fixes to include ALT tags in smilies - by Janne Mikkonen

2003-11-06 Thursday 20:53  moodler

	* lib/weblib.php: 
	
	Added style as a valid tag

2003-11-06 Thursday 20:29  jungwirr

	* mod/attendance/view.php: 
	
	
	fixed foreach problem on line 125 per request from forums

2003-11-06 Thursday 20:14  moodler

	* lib/weblib.php: 
	
	Accidentally deleted a $CFG line

2003-11-06 Thursday 19:28  moodler

	* lang/en/docs/credits.html: 
	
	Added html2text function to credits

2003-11-06 Thursday 19:27  moodler

	* lib/weblib.php: 
	
	Use the new html2text function for converting html to text.
	
	This function is still being tested - it seems fast enough so far
	but I'm checking it in to do some further testing on moodle.org for
	a while.

2003-11-06 Thursday 19:25  moodler

	* lib/html2text.php: 
	
	A new function for converting HTML into text form

2003-11-06 Thursday 09:47  rkingdon

	* mod/exercise/lib.php: 
	
	Cosmetic change to Admin page.

2003-11-06 Thursday 09:44  rkingdon

	* lang/en/exercise.php: 
	
	Minor change to one string.

2003-11-06 Thursday 09:41  rkingdon

	* lang/en/exercise.php: 
	
	Extra strings for setting League Table parameters.

2003-11-06 Thursday 09:23  giro123

	* lang/es/: assignment.php, countries.php, forum.php, glossary.php,
	moodle.php, resource.php, webquest.php: 
	
	[no log message]

2003-11-06 Thursday 07:07  willcast

	* mod/glossary/: export.php, lib.php: 
	
	- Allowing to selectively export categories or entries based on
	current frame and view.

2003-11-06 Thursday 05:47  martignoni

	* lang/fr/: moodle.php, docs/install.html, help/guestaccess.html,
	help/surveys.html, help/forum/ratings.html: 
	
	Some corrections for consistency

2003-11-06 Thursday 05:25  martignoni

	* lang/fr/: auth.php, forum.php, moodle.php, docs/faq.html,
	docs/features.html, docs/install.html, docs/teacher.html,
	help/coursenewsitems.html, help/courseshortname.html,
	help/enrolmentkey.html, help/forum/subscription.html: 
	
	Replace every occurence of "e-mail" with the better french term
	"courriel"

2003-11-06 Thursday 05:12  willcast

	* lang/en/help/glossary/: index.html, mods.html: 
	
	- Adding missing files to index.html

2003-11-06 Thursday 05:12  martignoni

	* lang/fr/help/forum/ratings.html: 
	
	Coded accented characters with HTML entities codes

2003-11-06 Thursday 05:08  martignoni

	* lang/fr/: moodle.php, survey.php, workshop.php,
	help/forum/ratings.html: 
	
	Typo corrected for "barème"
        
2003-11-06 Thursday 05:02  martignoni

	* lang/fr/: README, TERMS: 
	
	Incorporation of french-canadian terms

2003-11-06 Thursday 04:25  julmis

	* lib/editor/popups/dlg_ins_char.php: 
	
	Print character set based on user settings -
	print_string("thischarset")

2003-11-06 Thursday 03:47  moodler

	* lib/weblib.php: 
	
	Add fancy help cursors on help icons

2003-11-06 Thursday 01:11  moodler

	* course/view.php: 
	
	I didn't like it as much as I thought.	:-)

2003-11-06 Thursday 01:10  moodler

	* course/view.php: 
	
	Putting link to course listing on the course front page.
	
	If anyone doesn't like this please say so!!

2003-11-06 Thursday 01:05  moodler

	* course/lib.php: 
	
	Search link should go to listing (it has a search box anyway)

2003-11-06 Thursday 01:00  moodler

	* lang/ar/: README, appointment.php, assignment.php, auth.php,
	chat.php, countries.php, label.php, moodle.php: 
	
	Latest updates from Dr Ali Abureesh.

2003-11-05 Wednesday 22:44  martignoni

	* lang/fr/: README, TERMS, workshop.php, help/cookies.html,
	help/courseavailability.html, help/coursegrades.html,
	help/courserecent.html, help/emoticons.html, help/html.html,
	help/index.html, help/langedit.html, help/mods.html,
	help/questions.html, help/reading.html, help/richtext.html,
	help/scales.html, help/summaries.html: 
	
	Integrating files translated by Jean-Francois Nadeau, with slight
	adaptations

2003-11-05 Wednesday 10:38  mits

	* lang/ja/: README, dialogue.php, editor.php, exercise.php,
	glossary.php, moodle.php, webquest.php, workshop.php: 
	
	Polished some and New translation added.

2003-11-05 Wednesday 10:31  rkingdon

	* mod/exercise/view.php: 
	
	Fixed a bug, referenced a non existent help file.

2003-11-05 Wednesday 10:02  rkingdon

	* mod/exercise/: assessments.php, lib.php, submissions.php,
	view.php: 
	
	Fixed a bug with re-submissions. Added options for the League table
	of submissions (show in phase 4).

2003-11-05 Wednesday 09:51  martignoni

	* lang/fr/help/: coursecategory.html, courseformats.html,
	coursefullname.html, coursenewsitems.html, coursenumsections.html,
	courseshortname.html, coursestartdate.html, enrolmentkey.html,
	guestaccess.html, picture.html, questions.html, surveys.html,
	text.html, assignment/assignmenttype.html,
	assignment/resubmit.html: 
	
	Changed special characters of all HTML files to entity codes

2003-11-05 Wednesday 08:41  willcast

	* mod/glossary/db/postgres7.sql: 
	
	- Removing tinyints from Postgresql's db squema.

2003-11-05 Wednesday 07:37  martignoni

	* lang/fr/: README, TERMS: 
	
	Added some strings

2003-11-05 Wednesday 07:27  willcast

	* mod/glossary/print.php: 
	
	- Fixed bug (printing-friendly version of an empty glossary)

2003-11-05 Wednesday 05:48  moodler

	* mod/forum/search.php: 
	
	Whoops typo

2003-11-05 Wednesday 05:47  moodler

	* mod/forum/search.php: 
	
	Improved fix to $search variable

2003-11-05 Wednesday 05:43  moodler

	* mod/forum/search.php: 
	
	Fixing up some handling when searching for strings with quotes in
	them

2003-11-05 Wednesday 04:46  willcast

	* mod/glossary/README.txt, mod/glossary/lib.php,
	mod/glossary/formats/2.php, mod/glossary/formats/3.php,
	mod/glossary/formats/4.php, mod/glossary/formats/5.php,
	lang/en/glossary.php: 
	
	- Aliases are now shown when displaying entries

2003-11-05 Wednesday 02:21  moodler

	* lang/sv/: LAESMIG.txt, README, assignment.php, attendance.php,
	auth.php, chat.php, choice.php, countries.php, dialogue.php,
	editor.php, exercise.php, forum.php, glossary.php, journal.php,
	label.php, moodle.php, quiz.php, resource.php, survey.php,
	webquest.php, workshop.php, docs/README.txt, docs/background.html,
	docs/coding.html, docs/credits.html, docs/cvs.html,
	docs/developer.html, docs/docstyles.css, docs/faq.html,
	docs/features.html, docs/files.php, docs/future.html,
	docs/glossary.html, docs/install.html, docs/installamp.html,
	docs/intro.html, docs/licence.html, docs/other.html,
	docs/philosophy.html, docs/release.html, docs/teacher.html,
	docs/upgrade.html, help/cookies.html, help/courseavailability.html,
	help/coursecategory.html, help/courseformats.html,
	help/coursefullname.html, help/coursegrades.html,
	help/coursenewsitems.html, help/coursenumsections.html,
	help/courserecent.html, help/coursereports.html,
	help/courseshortname.html, help/coursestartdate.html,
	help/courseuploadsize.html, help/emoticons.html,
	help/enrolmentkey.html, help/guestaccess.html, help/html.html,
	help/index.html, help/langedit.html, help/mods.html,
	help/picture.html, help/questions.html, help/reading.html,
	help/richtext.html, help/scales.html, help/summaries.html,
	help/surveys.html, help/teachers.html, help/text.html,
	help/textformat.html, help/wiki.html, help/writing.html,
	help/assignment/assignmenttype.html, help/assignment/index.html,
	help/assignment/mods.html, help/assignment/resubmit.html,
	help/attendance/index.html, help/attendance/mods.html,
	help/chat/chatting.html, help/chat/index.html, help/chat/mods.html,
	help/choice/index.html, help/choice/mods.html,
	help/choice/options.html, help/dialogue/addsubject.html,
	help/dialogue/closedialogue.html, help/dialogue/deleteafter.html,
	help/dialogue/dialoguetype.html, help/dialogue/index.html,
	help/dialogue/info.html, help/dialogue/maildefault.html,
	help/dialogue/mods.html, help/dialogue/multiple.html,
	help/dialogue/sendmail.html, help/dialogue/writing.html,
	help/exercise/administration.html, help/exercise/elements.html,
	help/exercise/finalgrades.html, help/exercise/grade.html,
	help/exercise/grading.html, help/exercise/gradinggrade.html,
	help/exercise/gradingstrategy.html, help/exercise/managing.html,
	help/exercise/mods.html, help/exercise/moreinfo.html,
	help/exercise/nelements.html, help/exercise/specimen.html,
	help/exercise/submissionofdescriptions.html,
	help/exercise/takeownership.html, help/exercise/usemax.html,
	help/forum/allowdiscussions.html, help/forum/attachment.html,
	help/forum/forumtype.html, help/forum/index.html,
	help/forum/maxattachmentsize.html, help/forum/mods.html,
	help/forum/ratings.html, help/forum/subscription.html,
	help/glossary/allowcomments.html,
	help/glossary/allowduplicatedentries.html,
	help/glossary/casesensitive.html,
	help/glossary/defaultapproval.html, help/glossary/description.html,
	help/glossary/displayformat.html, help/glossary/fullmatch.html,
	help/glossary/globalglossary.html, help/glossary/index.html,
	help/glossary/mainglossary.html, help/glossary/mods.html,
	help/glossary/shows.html, help/glossary/studentcanpost.html,
	help/glossary/usedynalink.html, help/journal/index.html,
	help/journal/mods.html, help/label/mods.html,
	help/quiz/attempts.html, help/quiz/categories.html,
	help/quiz/correctanswers.html, help/quiz/createmultiple.html,
	help/quiz/description.html,
	help/quiz/eachattemptbuildsonthelast.html, help/quiz/feedback.html,
	help/quiz/formatblackboard.html, help/quiz/formatctm.html,
	help/quiz/formatcustom.html, help/quiz/formatmissingword.html,
	help/quiz/grademethod.html, help/quiz/import.html,
	help/quiz/index.html, help/quiz/match.html,
	help/quiz/maxgrade.html, help/quiz/mods.html,
	help/quiz/multianswer.html, help/quiz/multichoice.html,
	help/quiz/numerical.html, help/quiz/questiontypes.html,
	help/quiz/random.html, help/quiz/randommatch.html,
	help/quiz/randomsamatch.html, help/quiz/repeatattempts.html,
	help/quiz/review.html, help/quiz/shortanswer.html,
	help/quiz/shuffleanswers.html, help/quiz/shufflequestions.html,
	help/quiz/timeopen.html, help/quiz/truefalse.html,
	help/resource/index.html, help/resource/mods.html,
	help/resource/program.html, help/resource/resourcetype.html,
	help/resource/summary.html, help/survey/index.html,
	help/survey/mods.html, help/workshop/addingacomment.html,
	help/workshop/agreeassessments.html, help/workshop/anonymous.html,
	help/workshop/assessmentofexamples.html,
	help/workshop/assignmenttype.html,
	help/workshop/breakdownoffinalgrade.html,
	help/workshop/calculatingfinalgrade.html,
	help/workshop/editingacomment.html, help/workshop/elements.html,
	help/workshop/finalgrades.html, help/workshop/graded.html,
	help/workshop/grading.html, help/workshop/gradingassessments.html,
	help/workshop/gradingstrategy.html,
	help/workshop/gradingsubmissions.html,
	help/workshop/includeself.html,
	help/workshop/includeteachersgrade.html, help/workshop/index.html,
	help/workshop/leaguetable.html, help/workshop/managing.html,
	help/workshop/mods.html,
	help/workshop/nassessmentsofstudentsubmissions.html,
	help/workshop/nassessmentsofteachersexamples.html,
	help/workshop/nelements.html, help/workshop/numberofassessors.html,
	help/workshop/overallocation.html, help/workshop/resubmit.html,
	help/workshop/selfassessment.html,
	help/workshop/showinggrades.html, help/workshop/specimen.html,
	help/workshop/submissionofexamples.html,
	help/workshop/teachersgradings.html,
	help/workshop/ungradedassessments_student.html,
	help/workshop/ungradedassessments_teacher.html: 
	
	New translation for Swedish by Anders Berggren	- complete!

2003-11-04 Tuesday 19:30  willcast

	* mod/glossary/icon.gif: 
	
	- New icon... :)

2003-11-04 Tuesday 16:06  willcast

	* lang/en/glossary.php, lang/en/help/glossary/aliases.html,
	mod/glossary/TODO.txt, mod/glossary/edit.html,
	mod/glossary/edit.php, mod/glossary/version.php,
	mod/glossary/db/mysql.php, mod/glossary/db/mysql.sql,
	mod/glossary/db/postgres7.sql: 
	
	- Adding aliases

2003-11-04 Tuesday 10:38  willcast

	* mod/glossary/: config.html, view.php: 
	
	- Adding paging when the number of entries shown is greater than
	$CFG->glossary_entbypage - Adding $CFG->glossary_entbypage to
	config.html

2003-11-04 Tuesday 09:31  aszora

	* lang/hu/: assignment.php, auth.php, chat.php, forum.php,
	journal.php, moodle.php, quiz.php, resource.php, survey.php,
	workshop.php: 
	
	Some upgrade to version 1.1, not fully completed yet 2003.11.04.

2003-11-04 Tuesday 09:19  rkingdon

	* mod/exercise/: lib.php, view.php: 
	
	Minor mods to phase 3 display for students..

2003-11-04 Tuesday 09:14  rkingdon

	* lang/en/exercise.php: 
	
	An extra string for view.php.

2003-11-04 Tuesday 07:59  moodler

	* mod/forum/post.html: 
	
	Fixed attachments ...
	
	typo:	type -> enctype   !!

2003-11-04 Tuesday 07:08  willcast

	* lang/en/glossary.php: 
	
	Typo

2003-11-04 Tuesday 07:04  willcast

	* mod/glossary/: dynalink.php, import.php: 
	
	- Solving problems when trying to autolink entries with apostrophes
	on it - Idem, when importing entries.

2003-11-04 Tuesday 04:42  moodler

	* mod/forum/post.php: 
	
	Don't focus on the post message (upsets html editor)

2003-11-04 Tuesday 04:36  moodler

	* mod/glossary/: lib.php, view.php: 
	
	Glossary now gets the alphabet string from moodle.php instead of
	glossary.php

2003-11-04 Tuesday 04:35  moodler

	* lang/: da/glossary.php, da/moodle.php, es/glossary.php,
	es/moodle.php, it/glossary.php, it/moodle.php, ja/glossary.php,
	ja/moodle.php, nl/glossary.php, en/glossary.php,
	en/docs/credits.html, nl/moodle.php: 
	
	Moved string 'alphabet' from glossary.php to moodle.php for various
	languages
	
	Also changed the separator from | to ,

2003-11-04 Tuesday 04:09  moodler

	* lang/en/moodle.php, lib/datalib.php, user/index.php: 
	
	New feature based on code from Gustav Delius
	
	  -> A-Z subsets on the participant list.
	
	http://moodle.org/mod/forum/discuss.php?d=3162
	
	I also made a new datalib function called count_course_students()

2003-11-03 Monday 22:21  moodler

	* version.php: 
	
	Bump it up

2003-11-03 Monday 19:53  willcast

	* mod/glossary/export.php, mod/glossary/import.html,
	mod/glossary/import.php, mod/glossary/lib.php,
	mod/glossary/tabs.html, lang/en/glossary.php: 
	
	- Basic export/import functionality.. Does not export nor import
	the attached files.

2003-11-03 Monday 19:35  moodler

	* lib/weblib.php: 
	
	Removed header redirect for cases where output already occurred
	(thougn it shouldn't happen)

2003-11-03 Monday 15:57  gniske

	* lang/da/: assignment.php, forum.php, journal.php, moodle.php,
	quiz.php, resource.php, workshop.php, attendance.php,
	countries.php, dialogue.php, exercise.php, label.php, webquest.php,
	glossary.php: 
	
	Adding missing strings Made som few corrections in existing
	translation

2003-11-03 Monday 15:53  julmis

	* lib/editor/htmlarea.php: 
	
	Hide cut, copy and paste buttons from gecko browsers

2003-11-03 Monday 15:00  julmis

	* lib/editor/popups/: dlg_ins_char.php, dlg_ins_smile.php: 
	
	Style improvements to popups

2003-11-03 Monday 14:59  julmis

	* lib/editor/popups/dialog.css: 
	
	style improvments to popups

2003-11-03 Monday 13:51  koenr

	* lang/nl/help/glossary/: defaultapproval.html,
	globalglossary.html, shows.html: 
	
	translated by koen roggemans

2003-11-03 Monday 13:50  koenr

	* lang/nl/glossary.php: 
	
	filling in missing strings

2003-11-03 Monday 10:45  rkingdon

	* mod/exercise/: assessments.php, backuplib.php, restorelib.php: 
	
	Minor fix in assessments.php. Revisions to backup and restore to
	always include teacher's submissions.

2003-11-03 Monday 09:18  bobopinna

	* lang/it/moodle.php: 
	
	Minor Fixing in password change

2003-11-03 Monday 08:58  moodler

	* mod/resource/details.php: 
	
	Use new editor stuff

2003-11-03 Monday 08:49  moodler

	* mod/forum/: post.html, post.php: 
	
	Update to use new editor stuff

2003-11-03 Monday 08:27  moodler

	* mod/journal/edit.html: 
	
	Just moodling ... tidied up the horrible interface a little

2003-11-03 Monday 08:13  moodler

	* config-dist.php: 
	
	No need for useneweditor anymore

2003-11-03 Monday 08:12  moodler

	* mod/journal/: edit.html, edit.php: 
	
	Some fixes for using the new editor

2003-11-03 Monday 08:06  moodler

	* lib/editor/reference.html: 
	
	Removing reference

2003-11-03 Monday 07:21  moodler

	* lang/en/help/richtext.html: 
	
	Stopgap measure

2003-11-03 Monday 07:16  moodler

	* lib/: javascript.php, moodlelib.php, weblib.php: 
	
	Goodbye Richtext editor!
	
	This does not affect any of the existing modules - I've kept some
	stub functions to retain backward compatibility.

2003-11-03 Monday 05:21  moodler

	* mod/workshop/db/postgres7.sql: 
	
	SERIAL8 -> SERIAL

2003-11-03 Monday 02:22  moodler

	* mod/chat/: report.php, view.php, gui_header_js/index.php: 
	
	Keep guests out of chat

2003-11-02 Sunday 21:30  moodler

	* lib/editor/htmlarea.php, lang/en/editor.php: 
	
	The font style menu is now translatable (Heading, etc)

2003-11-02 Sunday 19:22  moodler

	* admin/modules.php, lang/en/moodle.php: 
	
	Show version number to aid in debugging

2003-11-02 Sunday 19:13  moodler

	* lib/weblib.php: 
	
	More redirect tweaks

2003-11-02 Sunday 19:00  moodler

	* mod/survey/db/mysql.php: 
	
	Removed a blank line

2003-11-02 Sunday 18:59  moodler

	* mod/: chat/db/mysql.php, choice/db/mysql.php,
	dialogue/db/mysql.php, exercise/db/mysql.php, forum/db/mysql.php,
	glossary/db/mysql.php, journal/db/mysql.php, resource/db/mysql.php,
	workshop/db/mysql.php: 
	
	Removed blank lines at the end (!)

2003-11-02 Sunday 18:26  willcast

	* mod/glossary/dynalink.php, mod/glossary/edit.html,
	mod/glossary/edit.php, mod/glossary/export.php,
	mod/glossary/lib.php, mod/glossary/print.php,
	mod/glossary/tabs.html, mod/glossary/view.php,
	lang/en/glossary.php: 
	
	- Cosmetic changes... Changing the Add Entry button for a new tab -
	Creating two new tabs for the future export/import features.  -
	Improving a little the Printer-Friendly version (now it shows what
	you were watching in the previous frame)

2003-11-02 Sunday 13:36  kaipe

	* mod/quiz/: lib.php, quizfile.php: 
	
	The new quizfile.php makes it possible to view associated file
	material on quizes, such as images, even for questions belonging to
	a category on a different course. lib.php is updated accordingly...

2003-11-02 Sunday 12:42  aszora

	* lang/hu/editor.php: 
	
	[no log message]

2003-11-02 Sunday 11:27  aszora

	* lang/hu/editor.php: 
	
	[no log message]

2003-11-02 Sunday 09:55  aszora

	* lang/hu/quiz.php: 
	
	[no log message]

2003-11-02 Sunday 07:11  moodler

	* mod/assignment/lib.php: 
	
	Don't even show submitted dates on offline assignments

2003-11-02 Sunday 04:40  martignoni

	* lang/fr/README: 
	
	Update to current work

2003-11-01 Saturday 23:19  moodler

	* lib/editor/: htmlarea.js, htmlarea.php, index.html,
	old_dialog.js, old_htmlarea.js, old_htmlarea.php, test.js: 
	
	Some cleanups

2003-11-01 Saturday 23:01  moodler

	* lib/editor/htmlarea.php: 
	
	Explicitly setting mimetype and other things to
	
	  - hopefully fix Norton problems
	  - hopefully improve caching

2003-11-01 Saturday 19:13  moodler

	* mod/assignment/db/postgres7.php: 
	
	Removed a blank line

2003-11-01 Saturday 19:05  moodler

	* mod/assignment/db/mysql.php: 
	
	Removed a blank line

2003-11-01 Saturday 18:40  willcast

	* lang/en/glossary.php, mod/glossary/mod.html: 
	
	- Typo

2003-11-01 Saturday 18:37  willcast

	* lang/en/glossary.php, mod/glossary/README.txt,
	mod/glossary/config.html, mod/glossary/edit.html,
	mod/glossary/mod.html: 
	
	- Applying proper coding conventions to the default settings'
	variables

2003-11-01 Saturday 17:47  willcast

	* mod/glossary/TODO.txt, mod/glossary/config.html,
	mod/glossary/edit.html, mod/glossary/edit.php,
	mod/glossary/mod.html, lang/en/glossary.php: 
	
	- The admin can define default values for glossary and entries'
	settings via the admin modules interface.

2003-11-01 Saturday 12:27  willcast

	* lang/en/glossary.php, mod/glossary/TODO.txt,
	mod/glossary/approve.php, mod/glossary/edit.php,
	mod/glossary/editcategories.php, mod/glossary/export.php,
	mod/glossary/lib.php, mod/glossary/print.gif,
	mod/glossary/print.php, mod/glossary/view.php: 
	
	- Printer-friendly version of the glossary - First step in the
	export/import feature (export is done) - Minor changes here and
	there

2003-11-01 Saturday 11:38  martignoni

	* lang/fr/docs/files.php: 
	
	Typos corrected

2003-11-01 Saturday 11:34  martignoni

	* lang/fr/docs/features.html: 
	
	New translated file

2003-11-01 Saturday 09:25  rkingdon

	* mod/exercise/: assessments.php, lib.php, submissions.php,
	upload.php: 
	
	Fix to the Complete isting. Upload now checks the submission for
	spurious re-submission caused by using the Back button. User and
	Teacher deletions of submissions are now logged. Redirect delay
	when marking submissions shortened to one second.

2003-11-01 Saturday 09:19  rkingdon

	* lang/en/exercise.php: 
	
	Extra string for Complete listing.

2003-11-01 Saturday 07:55  willcast

	* lang/en/help/glossary/: defaultapproval.html,
	globalglossary.html, shows.html: 
	
	- Missing help files.

2003-11-01 Saturday 07:35  martignoni

	* lang/fr/docs/intro.html: 
	
	New translated file

2003-11-01 Saturday 04:11  martignoni

	* lang/fr/: TERMS, moodle.php, docs/teacher.html,
	help/courseformats.html, help/coursenewsitems.html,
	help/coursenumsections.html, help/coursestartdate.html: 
	
	Changed everywhere "en chapitres" to "thmatique" for the topics
	format.

2003-11-01 Saturday 03:56  martignoni

	* lang/fr/docs/teacher.html: 
	
	File translation completed

2003-11-01 Saturday 01:36  martignoni

	* lang/fr/docs/docstyles.css: 
	
	Added to french docs folder

2003-10-31 Friday 22:59  moodler

	* lib/weblib.php: 
	
	Fixed Mozilla redirection-after-htmlediting bug using Javascript!

2003-10-31 Friday 13:58  julmis

	* lib/editor/htmlarea.php: 
	
	Minor change for iframe width

2003-10-31 Friday 13:27  kaipe

	* mod/quiz/lib.php: 
	
	An improvement asked for by koen roggemans: Especially for
	multianswer questions it is often desirable to have the grade of
	the question in a quiz larger than the earlier maximum of 10
	points.  The new function quiz_gradesmenu_options($defaultgrade)
	makes quiz question list grade selector drop-down have the maximum
	grade option set to the highest value between 10 and the
	defaultgrade of the question.

2003-10-31 Friday 07:26  willcast

	* mod/glossary/: lib.php, version.php, db/mysql.php: 
	
	- Important update: I did not delete categories nor comments once a
	glossary has been deleted. Fixed now.

2003-10-31 Friday 06:24  stronk7

	* user/index.php: 
	
	Another small typo, == instead of =.  :-D

2003-10-31 Friday 06:22  stronk7

	* user/index.php: 
	
	Small typo preventing users to be sorted. :-)

2003-10-31 Friday 05:40  willcast

	* mod/glossary/lib.php: 
	
	Bug fixed: - Updating a Default Approval Status from NO to YES in a
	glossary, now approve automatically all entries waiting for
	approval.

2003-10-31 Friday 04:29  martignoni

	* lang/fr/docs/installamp.html: 
	
	Updates for EasyPHP 1.7

2003-10-31 Friday 04:18  martignoni

	* lang/fr/resource.php: 
	
	new string for choosing a file

2003-10-31 Friday 04:13  martignoni

	* lang/fr/forum.php: 
	
	New strings added

2003-10-31 Friday 04:05  martignoni

	* lang/fr/assignment.php: 
	
	No due date string

2003-10-31 Friday 03:51  martignoni

	* lang/fr/moodle.php: 
	
	Change Richtext editor to HTML editor

2003-10-31 Friday 01:52  moodler

	* lang/en/help/index.html: 
	
	Added missing link

2003-10-31 Friday 01:50  koenr

	* lang/nl/moodle.php: 
	
	filling in missing strings

2003-10-31 Friday 01:47  koenr

	* lang/nl/help/index.html: 
	
	filling in missing entry

2003-10-31 Friday 01:47  koenr

	* lang/nl/help/coursereports.html: 
	
	Translated by Koen Roggemans

2003-10-31 Friday 01:19  koenr

	* lang/nl/help/label/mods.html: 
	
	Translated by Koen Roggemans

2003-10-31 Friday 01:18  koenr

	* lang/nl/glossary.php: 
	
	filling in missing strings...

2003-10-31 Friday 00:47  stronk7

	* mod/glossary/: backuplib.php, restorelib.php: 
	
	globalglossary is included now in backup/restore. :-)

2003-10-31 Friday 00:31  moodler

	* mod/forum/search.php: 
	
	Add navmenu to header of forum search pages

2003-10-31 Friday 00:13  moodler

	* lib/weblib.php: 
	
	Using Location header is not subject to the meta-refresh bug in
	Mozilla

2003-10-30 Thursday 22:57  moodler

	* mod/forum/lib.php: 
	
	No longer need parent link in the footer

2003-10-30 Thursday 22:50  moodler

	* user/view.php: 
	
	Show activity button for students on their profile page

2003-10-30 Thursday 22:45  moodler

	* course/user.php: 
	
	Tidy up

2003-10-30 Thursday 22:06  moodler

	* lang/en/help/coursereports.html: 
	
	Some updates to the text

2003-10-30 Thursday 21:57  moodler

	* version.php, course/edit.html, course/lib.php,
	course/loggraph.php, course/user.php, lang/en/moodle.php,
	lang/en/help/coursereports.html, lib/db/mysql.php,
	lib/db/mysql.sql, lib/db/postgres7.php, lib/db/postgres7.sql,
	backup/backuplib.php, backup/restorelib.php, pix/i/report.gif,
	theme/cordoroyblue/pix/i/report.gif: 
	
	New feature:  Allow students to see their own activity reports.
	
	This is a course setting.  By default it is off.  When on, there is
	a new link in the course admin menu for students, and they can
	browse the same report that teachers see.
	
	The report icon is temporary.

2003-10-30 Thursday 19:25  moodler

	* mod/journal/lib.php: 
	
	Undoing Greg's UNION hack ... it was causing problems on Mysql 3

2003-10-30 Thursday 14:04  martignoni

	* lang/fr/docs/: faq.html, install.html, installamp.html,
	teacher.html, upgrade.html: 
	
	Systematic HTML encoding of entities in all files

2003-10-30 Thursday 09:47  rkingdon

	* lang/en/exercise.php: 
	
	Teacher assessment table string added.

2003-10-30 Thursday 09:45  rkingdon

	* mod/exercise/: assessments.php, index.php, lib.php: 
	
	Index.php now ignores grading grades; Teacher Assessment Table
	added to Administration.

2003-10-30 Thursday 06:25  moodler

	* course/lib.php, pix/i/db.gif, theme/cordoroyblue/pix/i/db.gif: 
	
	
	New database GIF by Eloy!

2003-10-29 Wednesday 19:44  moodler

	* lang/en/docs/intro.html: 
	
	Removed the offensive "and"

2003-10-29 Wednesday 15:33  willcast

	* lang/en/glossary.php, mod/glossary/dynalink.php,
	mod/glossary/edit.html, mod/glossary/edit.php,
	mod/glossary/lib.php, mod/glossary/mod.html,
	mod/glossary/showentry.php, mod/glossary/version.php,
	mod/glossary/db/mysql.php, mod/glossary/db/mysql.sql,
	mod/glossary/db/postgres7.sql: 
	
	- Global glossaries now available. All current rules apply to its
	entries.

2003-10-29 Wednesday 11:45  koenr

	* lang/nl/editor.php: 
	
	translated by Koen Roggemans

2003-10-29 Wednesday 08:42  moodler

	* lib/editor/htmlarea.php: 
	
	Rearranged toolbar a bit - put insert stuff together and toggles at
	end

2003-10-29 Wednesday 08:28  moodler

	* lang/en/editor.php: 
	
	Missing a semicolon!   LOL

2003-10-29 Wednesday 04:48  moodler

	* lang/en/editor.php: 
	
	Sorted the strings, minor fixes

2003-10-29 Wednesday 04:29  koenr

	* lang/nl/moodle.php: 
	
	transforming to HTML editor

2003-10-29 Wednesday 04:28  koenr

	* lang/nl/resource.php: 
	
	filling in missing string

2003-10-29 Wednesday 01:16  moodler

	* mod/forum/lib.php: 
	
	Oops, typo

2003-10-29 Wednesday 01:12  moodler

	* mod/forum/lib.php: 
	
	Fixed bug when moving discussions with attachments

2003-10-29 Wednesday 01:07  carlesbellver

	* lang/ca/reading.php: 
	
	[no log message]

2003-10-29 Wednesday 01:00  carlesbellver

	* lang/ca/help/: cookies.html, courseavailability.html,
	coursegrades.html, courserecent.html, emoticons.html, html.html,
	index.html, langedit.html, mods.html, richtext.html, scales.html,
	summaries.html, teachers.html, textformat.html, wiki.html,
	writing.html, assignment/assignmenttype.html,
	assignment/index.html, assignment/mods.html,
	assignment/resubmit.html, chat/chatting.html, chat/index.html,
	chat/mods.html, choice/index.html, choice/mods.html,
	choice/options.html, dialogue/closedialogue.html,
	dialogue/deleteafter.html, dialogue/dialoguetype.html,
	dialogue/info.html, dialogue/maildefault.html, dialogue/mods.html,
	dialogue/multiple.html, dialogue/writing.html, forum/index.html,
	forum/mods.html, forum/ratings.html,
	glossary/allowduplicatedentries.html, glossary/displayformat.html,
	glossary/index.html, glossary/mainglossary.html,
	glossary/mods.html, glossary/studentcanpost.html,
	quiz/attempts.html, quiz/categories.html, quiz/correctanswers.html,
	quiz/createmultiple.html, quiz/description.html,
	quiz/feedback.html, quiz/formatblackboard.html,
	quiz/formatcustom.html, quiz/formatmissingword.html,
	quiz/grademethod.html, quiz/import.html, quiz/index.html,
	quiz/match.html, quiz/maxgrade.html, quiz/mods.html,
	quiz/multianswer.html, quiz/multichoice.html, quiz/numerical.html,
	quiz/questiontypes.html, quiz/random.html, quiz/randomsamatch.html,
	quiz/repeatattempts.html, quiz/review.html, quiz/shortanswer.html,
	quiz/shuffleanswers.html, quiz/shufflequestions.html,
	quiz/timeopen.html, quiz/truefalse.html, resource/index.html,
	resource/mods.html, resource/program.html,
	resource/resourcetype.html, resource/summary.html,
	survey/index.html, survey/mods.html, workshop/addingacomment.html,
	workshop/agreeassessments.html, workshop/anonymous.html,
	workshop/assessmentofexamples.html, workshop/assignmenttype.html,
	workshop/breakdownoffinalgrade.html,
	workshop/calculatingfinalgrade.html, workshop/editingacomment.html,
	workshop/elements.html, workshop/finalgrades.html,
	workshop/graded.html, workshop/grading.html,
	workshop/gradingassessments.html, workshop/gradingstrategy.html,
	workshop/gradingsubmissions.html, workshop/includeself.html,
	workshop/index.html, workshop/managing.html, workshop/mods.html,
	workshop/nassessmentsofstudentsubmissions.html,
	workshop/nassessmentsofteachersexamples.html,
	workshop/nelements.html, workshop/numberofassessors.html,
	workshop/resubmit.html, workshop/selfassessment.html,
	workshop/showinggrades.html, workshop/specimen.html,
	workshop/submissionofexamples.html, workshop/teachersgradings.html,
	workshop/ungradedassessments_student.html,
	workshop/ungradedassessments_teacher.html: 
	
	[no log message]

2003-10-29 Wednesday 00:52  carlesbellver

	* lang/ca/: auth.php, chat.php, dialogue.php, glossary.php,
	workshop.php: 
	
	[no log message]

2003-10-29 Wednesday 00:21  moodler

	* lang/en/editor.php, lang/fi/editor.php, lib/editor/lang/en.php,
	lib/editor/popups/dlg_ins_char.php,
	lib/editor/popups/dlg_ins_smile.php,
	lib/editor/popups/insert_image.php,
	lib/editor/popups/insert_table.php: 
	
	More language fixes, mostly using print_string instead of
	get_string

2003-10-29 Wednesday 00:13  moodler

	* lib/editor/popups/: dlg_ins_char.php, dlg_ins_smile.php,
	insert_image.php, insert_table.php: 
	
	More editor translations I forgot to alter

2003-10-29 Wednesday 00:06  moodler

	* version.php, config-dist.php, lang/en/editor.php,
	lang/en/moodle.php, lang/fi/editor.php, lib/moodlelib.php,
	lib/weblib.php, lib/editor/lang/en.php: 
	
	Changes to integrate the new HTML editor into Moodle in an optional
	way until it's stable enough to replace Richtext
	
	To enable the new editor, add this line into config.php:
	
	  $CFG->useneweditor = true;

2003-10-28 Tuesday 23:51  moodler

	* lib/editor/: courseimages.php, dialog.js, htmlarea.css,
	htmlarea.js, htmlarea.php, index.html, license.txt, old_dialog.js,
	old_htmlarea.js, old_htmlarea.php, popupdiv.js, popupwin.js,
	reference.html, release-notes.html, test.js, images/ed_about.gif,
	images/ed_align_center.gif, images/ed_align_justify.gif,
	images/ed_align_left.gif, images/ed_align_right.gif,
	images/ed_blank.gif, images/ed_charmap.gif, images/ed_color_bg.gif,
	images/ed_color_fg.gif, images/ed_copy.gif, images/ed_custom.gif,
	images/ed_cut.gif, images/ed_delete.gif, images/ed_format_bold.gif,
	images/ed_format_italic.gif, images/ed_format_strike.gif,
	images/ed_format_sub.gif, images/ed_format_sup.gif,
	images/ed_format_underline.gif, images/ed_help.gif,
	images/ed_hr.gif, images/ed_html.gif, images/ed_image.gif,
	images/ed_indent_less.gif, images/ed_indent_more.gif,
	images/ed_link.gif, images/ed_list_bullet.gif,
	images/ed_list_num.gif, images/ed_paste.gif, images/ed_redo.gif,
	images/ed_show_border.gif, images/ed_splitcel.gif,
	images/ed_undo.gif, images/em.icon.smile.gif,
	images/fullscreen_maximize.gif, images/fullscreen_minimize.gif,
	images/icon_ins_char.gif, images/icon_smile.gif,
	images/insert_table.gif, lang/b5.js, lang/da.js, lang/de.js,
	lang/en.js, lang/en.php, lang/es.js, lang/fi.js, lang/fr.js,
	lang/gb.js, lang/it.js, lang/ja-euc.js, lang/ja-jis.js,
	lang/ja-sjis.js, lang/ja-utf8.js, lang/nb.js, lang/nl.js,
	lang/old_fi.js, lang/pl.js, lang/pt_br.js, lang/ro.js, lang/ru.js,
	lang/se.js, lang/vn.js, plugins/SpellChecker/readme-tech.html,
	plugins/SpellChecker/spell-check-logic.cgi,
	plugins/SpellChecker/spell-check-style.css,
	plugins/SpellChecker/spell-check-ui.html,
	plugins/SpellChecker/spell-check-ui.js,
	plugins/SpellChecker/spell-checker.js,
	plugins/SpellChecker/img/spell-check.gif,
	plugins/SpellChecker/lang/en.js, plugins/SpellChecker/lang/ro.js,
	plugins/TableOperations/table-operations.js,
	plugins/TableOperations/img/cell-delete.gif,
	plugins/TableOperations/img/cell-insert-after.gif,
	plugins/TableOperations/img/cell-insert-before.gif,
	plugins/TableOperations/img/cell-merge.gif,
	plugins/TableOperations/img/cell-prop.gif,
	plugins/TableOperations/img/cell-split.gif,
	plugins/TableOperations/img/col-delete.gif,
	plugins/TableOperations/img/col-insert-after.gif,
	plugins/TableOperations/img/col-insert-before.gif,
	plugins/TableOperations/img/col-split.gif,
	plugins/TableOperations/img/row-delete.gif,
	plugins/TableOperations/img/row-insert-above.gif,
	plugins/TableOperations/img/row-insert-under.gif,
	plugins/TableOperations/img/row-prop.gif,
	plugins/TableOperations/img/row-split.gif,
	plugins/TableOperations/img/table-prop.gif,
	plugins/TableOperations/lang/en.js,
	plugins/TableOperations/lang/fi.js,
	plugins/TableOperations/lang/ro.js, popups/about.html,
	popups/blank.html, popups/custom2.html, popups/dialog.css,
	popups/dlg_ins_char.html, popups/dlg_ins_char.php,
	popups/dlg_ins_smile.php, popups/editor_help.html,
	popups/fullscreen.html, popups/fullscreen.php,
	popups/insert_image.html, popups/insert_image.php,
	popups/insert_table.html, popups/insert_table.php,
	popups/new_insert_image.html, popups/popup.js,
	popups/select_color.html: 
	
	HTMLArea 3.0, slightly edited by Janne Mikkonen.  Alpha version.

2003-10-28 Tuesday 22:24  moodler

	* mod/forum/lib.php, theme/UPGRADE.txt, theme/standard/styles.php,
	theme/standardblue/styles.php, theme/standardgreen/styles.php,
	theme/standardlogo/styles.php, theme/standardred/styles.php,
	theme/standardwhite/styles.php: 
	
	new style forumheaderlist (instead of re-using forumpost as before)

2003-10-28 Tuesday 13:55  martignoni

	* lang/fr/docs/teacher.html: 
	
	Initial bit of translation

2003-10-28 Tuesday 10:27  stronk7

	* admin/users.php: 
	
	Small typo !! :-)

2003-10-28 Tuesday 08:10  willcast

	* mod/glossary/: deleteentry.html, edit.html, edit.php, index.php,
	lib.php, view.php, formats/2.php, formats/3.php, formats/4.php,
	formats/5.php: 
	
	- New encapsulated functions in order to make easier to create new
	display formats - Fixed problem when showing 'ALL' in alphabet
	frame - Disabled unnecessary fields when selecting DO NOT
	AUTOMATICALY LINK THIS ENTRY in the adde entry screen

2003-10-28 Tuesday 07:52  martignoni

	* lang/fr/docs/faq.html: 
	
	File translation terminated

2003-10-28 Tuesday 06:44  moodler

	* lib/moodlelib.php: 
	
	Sometimes you really want to know if they are a teacher

2003-10-28 Tuesday 06:35  moodler

	* lib/moodlelib.php: 
	
	If debugging is on, then make SMTP print debugging info

2003-10-28 Tuesday 06:01  moodler

	* mod/resource/view.php: 
	
	Make sure resources are put through format_text so that they can be
	processed properly (eg autolinking)

2003-10-28 Tuesday 01:50  moodler

	* mod/quiz/multiple.php: 
	
	Use unique stamps when creating multiple questions ...

2003-10-27 Monday 20:09  moodler

	* user/view.php: 
	
	Print "never" on profile page if the user has never logged in

2003-10-27 Monday 09:31  stronk7

	* mod/glossary/restorelib.php: 
	
	Take out some debug info. Forgot it in previous commit.

2003-10-27 Monday 09:26  stronk7

	* backup/version.php: 
	
	Bump. timeaccess (students and teachers) working.

2003-10-27 Monday 09:23  stronk7

	* backup/: backuplib.php, restorelib.php: 
	
	timeaccess (students and teachers) included in backup/restore. :-)

2003-10-27 Monday 06:25  moodler

	* mod/glossary/mod.html: 
	
	A little typo hiding the continuous format

2003-10-27 Monday 06:15  moodler

	* user/view.php: 
	
	The last access date is now that of the course.

2003-10-27 Monday 06:01  moodler

	* admin/cron.php, lib/datalib.php: 
	
	Get longtimenosee students according to their course access (not
	site access)

2003-10-27 Monday 05:38  moodler

	* lib/db/: mysql.php, postgres7.php: 
	
	Much better updating of access times to make the accurate straight
	away

2003-10-27 Monday 05:22  koenr

	* lang/nl/help/glossary/: mainglossary.html, displayformat.html,
	fullmatch.html, mods.html, studentcanpost.html: 
	
	Minor changes

2003-10-27 Monday 04:37  moodler

	* version.php, course/lib.php, lib/datalib.php, lib/db/mysql.php,
	lib/db/mysql.sql, lib/db/postgres7.php, lib/db/postgres7.sql,
	user/index.php: 
	
	Added a new column to user_students and user_teachers called
	"timeaccess" for recording the last access to the COURSE.
	
	This is updated at the same time as add_to_log and is now used
	instead of user->lastaccess when course user listings are required.
	
	This means course listings now show what you expect and open up the
	way for a "current users" listing and instant messaging etc ...

2003-10-27 Monday 01:41  koenr

	* lang/nl/help/glossary/: index.html, mainglossary.html: 
	
	Translated by Koen Roggemans

2003-10-27 Monday 00:31  moodler

	* course/lib.php, pix/movehere.gif,
	theme/cordoroyblue/pix/movehere.gif: 
	
	Thomas Robb suggested a movehere image instead of the string.  I
	made an image and I agree it looks/works a lot better.

2003-10-27 Monday 00:23  mits

	* lang/ja/: README, assignment.php, resource.php: 
	
	Translated few.

2003-10-26 Sunday 22:25  moodler

	* lang/en/glossary.php: 
	
	Slight alteration to search option, since not all glossary types
	are "definitions" ... using "full text" is more generic

2003-10-26 Sunday 15:43  koenr

	* lang/nl/: assignment.php, countries.php, glossary.php: 
	
	filling in missing strings

2003-10-26 Sunday 15:21  koenr

	* lang/nl/help/glossary/: allowcomments.html,
	allowduplicatedentries.html, casesensitive.html, description.html,
	displayformat.html, fullmatch.html, index.html, mods.html,
	studentcanpost.html, usedynalink.html: 
	
	translated by Koen Roggemans

2003-10-26 Sunday 08:12  moodler

	* lang/en/docs/coding.html: 
	
	Trivial changes that were hanging around

2003-10-26 Sunday 08:10  moodler

	* lang/en/assignment.php: 
	
	No due date string

2003-10-26 Sunday 08:08  moodler

	* auth/db/lib.php: 
	
	Trying to avoid database clashes

2003-10-26 Sunday 08:07  moodler

	* theme/oceanblue/styles.php: 
	
	Fixed colours again

2003-10-26 Sunday 01:14  moodler

	* mod/glossary/index.php: 
	
	In the index, show how many entries there are in each glossary

2003-10-26 Sunday 01:06  moodler

	* mod/glossary/view.php: 
	
	Use format_text for consistency

2003-10-24 Friday 22:59  moodler

	* lib/adodb/: adodb-cryptsession.php, adodb-csvlib.inc.php,
	adodb-datadict.inc.php, adodb-error.inc.php,
	adodb-errorhandler.inc.php, adodb-errorpear.inc.php,
	adodb-lib.inc.php, adodb-pager.inc.php, adodb-pear.inc.php,
	adodb-perf.inc.php, adodb-session-clob.php, adodb-session.php,
	adodb-xmlschema.inc.php, adodb.inc.php, docs-adodb.htm,
	docs-datadict.htm, docs-perf.htm, docs-session.htm,
	pivottable.inc.php, rsfilter.inc.php, server.php, toexport.inc.php,
	tohtml.inc.php,
	adodb-xmlschema-0.0.1-snap20030511/docs/media/bg_left.png,
	adodb-xmlschema-0.0.1-snap20030511/docs/media/stylesheet.css,
	adodb-xmlschema-0.0.1-snap20030511/docs/xmlschema/_adodb-xmlschema_
	php.html,
	adodb-xmlschema-0.0.1-snap20030511/docs/xmlschema/adoSchema.html,
	adodb-xmlschema-0.0.1-snap20030511/docs/xmlschema/package_xmlschema
	.html, datadict/datadict-access.inc.php,
	datadict/datadict-db2.inc.php, datadict/datadict-generic.inc.php,
	datadict/datadict-ibase.inc.php,
	datadict/datadict-informix.inc.php,
	datadict/datadict-mssql.inc.php, datadict/datadict-mysql.inc.php,
	datadict/datadict-oci8.inc.php, datadict/datadict-postgres.inc.php,
	datadict/datadict-sybase.inc.php, drivers/adodb-access.inc.php,
	drivers/adodb-ado.inc.php, drivers/adodb-ado_access.inc.php,
	drivers/adodb-ado_mssql.inc.php,
	drivers/adodb-borland_ibase.inc.php, drivers/adodb-csv.inc.php,
	drivers/adodb-db2.inc.php, drivers/adodb-fbsql.inc.php,
	drivers/adodb-firebird.inc.php, drivers/adodb-ibase.inc.php,
	drivers/adodb-informix.inc.php, drivers/adodb-informix72.inc.php,
	drivers/adodb-mssql.inc.php, drivers/adodb-mssqlpo.inc.php,
	drivers/adodb-mysql.inc.php, drivers/adodb-mysqlt.inc.php,
	drivers/adodb-oci8.inc.php, drivers/adodb-oci805.inc.php,
	drivers/adodb-oci8po.inc.php, drivers/adodb-odbc.inc.php,
	drivers/adodb-odbc_mssql.inc.php,
	drivers/adodb-odbc_oracle.inc.php, drivers/adodb-oracle.inc.php,
	drivers/adodb-postgres.inc.php, drivers/adodb-postgres64.inc.php,
	drivers/adodb-postgres7.inc.php, drivers/adodb-proxy.inc.php,
	drivers/adodb-sapdb.inc.php, drivers/adodb-sqlanywhere.inc.php,
	drivers/adodb-sqlite.inc.php, drivers/adodb-sybase.inc.php,
	drivers/adodb-vfp.inc.php, perf/perf-db2.inc.php,
	perf/perf-informix.inc.php, perf/perf-mssql.inc.php,
	perf/perf-mysql.inc.php, perf/perf-oci8.inc.php,
	perf/perf-postgres.inc.php, tests/benchmark.php, tests/client.php,
	tests/test-datadict.php, tests/test-xmlschema.php, tests/test.php,
	tests/test2.php, tests/test3.php, tests/test4.php, tests/test5.php,
	tests/testcache.php, tests/testdatabases.inc.php,
	tests/testgenid.php, tests/testmssql.php, tests/testoci8.php,
	tests/testoci8cursor.php, tests/testpaging.php, tests/testpear.php,
	tests/testsessions.php: 
	
	Updates to ADOdb 4.0.1	- some bug fixes

2003-10-24 Friday 19:53  moodler

	* mod/glossary/mod.html: 
	
	Now uses choose_from_menu() for the format display, and the items
	are now sorted.
	
	The other items could be easily done with choose_from_menu() too 
	;-)

2003-10-24 Friday 19:38  moodler

	* mod/quiz/edit.php: 
	
	Fixed background colours in quix editing page body-> cellcontent2

2003-10-24 Friday 18:38  giro123

	* lang/es/help/dialogue/: addsubject.html, closedialogue.html,
	deleteafter.html, dialoguetype.html, info.html, maildefault.html,
	mods.html, multiple.html, sendmail.html, writing.html: 
	
	[no log message]

2003-10-24 Friday 18:35  giro123

	* lang/es/: help/surveys.html, dialogue.php: 
	
	[no log message]

2003-10-23 Thursday 23:27  moodler

	* lib/weblib.php: 
	
	Remove quotes from title - these can cause the stylesheet to not
	load properly on Internet Explorer.

2003-10-23 Thursday 20:12  moodler

	* lang/da/: README, assignment.php, auth.php, chat.php, forum.php,
	journal.php, moodle.php, quiz.php, resource.php, survey.php,
	workshop.php: 
	
	Updates from Kristian Nielsen

2003-10-23 Thursday 14:49  koenr

	* lang/nl/help/quiz/index.html: 
	
	adding link

2003-10-23 Thursday 14:37  koenr

	* lang/nl/countries.php: 
	
	translated by Koen Roggemans

2003-10-23 Thursday 13:20  koenr

	* lang/nl/glossary.php: 
	
	translated by Koen Roggemans

2003-10-23 Thursday 10:39  rkingdon

	* mod/dialogue/icon.gif: 
	
	New icon from Eloy Lafuente.

2003-10-23 Thursday 10:31  rkingdon

	* lang/en/exercise.php: 
	
	Extra sting for Administration page.

2003-10-23 Thursday 08:40  moodler

	* mod/quiz/lib.php: 
	
	Fix bug in NUMERICAL questions where feedback was only shown if the
	question was correct

2003-10-23 Thursday 07:54  martignoni

	* lang/fr/docs/faq.html: 
	
	Translation is now half-way!

2003-10-22 Wednesday 20:49  moodler

	* lang/en/docs/installamp.html: 
	
	Updates for EasyPHP 1.7

2003-10-22 Wednesday 13:06  gregb_cc

	* mod/journal/lib.php: 
	
	This is a massive speed increase in journal_get_users_done.
	
	The fix requires UNION support in the database.  I've added a
	simple little test to see if UNION queries work.
	
	This change very much needs to be tested out by someone using MySQL
	3.  If it tests out there successfully, the supports_union code
	should be moved out of this file and into datalib.  Ideally,
	someone will extend that test and creatle get_records_union_sql, a
	function that would split up UNION queries for databases that don't
	support them and do an array_merge (and proper sorting, which is
	missing from my fix) on the result sets.

2003-10-22 Wednesday 09:27  stronk7

	* theme/cordoroyblue/pix/mod/glossary/icon.gif: 
	
	Added glossary icon to cordoroyblue theme

2003-10-22 Wednesday 09:19  stronk7

	* course/lib.php: 
	
	Take out one notice when the only activity was create a module and
	delete it. Strange but possible. :-)

2003-10-22 Wednesday 07:26  moodler

	* version.php: 
	
	Bump

2003-10-22 Wednesday 06:59  moodler

	* lang/en/: glossary.php, help/glossary/allowcomments.html,
	help/glossary/allowduplicatedentries.html,
	help/glossary/casesensitive.html, help/glossary/description.html,
	help/glossary/displayformat.html, help/glossary/fullmatch.html,
	help/glossary/mainglossary.html, help/glossary/mods.html,
	help/glossary/studentcanpost.html, help/glossary/usedynalink.html: 
	
	I revised some of the Glossary texts in English.

2003-10-22 Wednesday 06:14  moodler

	* course/lib.php, mod/label/lib.php, mod/resource/lib.php: 
	
	Modularised some of the processing for "extra" information such as
	information for popup windows on resources and labels

2003-10-22 Wednesday 04:37  martignoni

	* lang/fr/docs/faq.html: 
	
	Initial bit of translation

2003-10-22 Wednesday 01:52  moodler

	* lib/adodb/: adodb-cryptsession.php, adodb-csvlib.inc.php,
	adodb-datadict.inc.php, adodb-error.inc.php,
	adodb-errorhandler.inc.php, adodb-errorpear.inc.php,
	adodb-lib.inc.php, adodb-pager.inc.php, adodb-pear.inc.php,
	adodb-perf.inc.php, adodb-session-clob.php, adodb-session.php,
	adodb-time.inc.php, adodb-time.zip, adodb-xmlschema.inc.php,
	adodb-xmlschema.zip, adodb.inc.php, crypt.inc.php, docs-adodb.htm,
	docs-datadict.htm, docs-session.htm, license.txt,
	pivottable.inc.php, readme.htm, readme.txt, rsfilter.inc.php,
	server.php, tips_portable_sql.htm, toexport.inc.php,
	tohtml.inc.php, adodb-xmlschema-0.0.1-snap20030511/Changelog,
	adodb-xmlschema-0.0.1-snap20030511/INSTALL,
	adodb-xmlschema-0.0.1-snap20030511/LICENSE,
	adodb-xmlschema-0.0.1-snap20030511/README,
	adodb-xmlschema-0.0.1-snap20030511/adodb-xmlschema.inc.php,
	adodb-xmlschema-0.0.1-snap20030511/example.php,
	adodb-xmlschema-0.0.1-snap20030511/example.xml,
	adodb-xmlschema-0.0.1-snap20030511/xmlschema.dtd,
	adodb-xmlschema-0.0.1-snap20030511/xmlschema.html,
	adodb-xmlschema-0.0.1-snap20030511/docs/blank.html,
	adodb-xmlschema-0.0.1-snap20030511/docs/classtrees_xmlschema.html,
	adodb-xmlschema-0.0.1-snap20030511/docs/elementindex.html,
	adodb-xmlschema-0.0.1-snap20030511/docs/elementindex_xmlschema.html
	, adodb-xmlschema-0.0.1-snap20030511/docs/errors.html,
	adodb-xmlschema-0.0.1-snap20030511/docs/index.html,
	adodb-xmlschema-0.0.1-snap20030511/docs/li_xmlschema.html,
	adodb-xmlschema-0.0.1-snap20030511/docs/packages.html,
	datadict/datadict-access.inc.php, datadict/datadict-db2.inc.php,
	datadict/datadict-generic.inc.php, datadict/datadict-ibase.inc.php,
	datadict/datadict-informix.inc.php,
	datadict/datadict-mssql.inc.php, datadict/datadict-mysql.inc.php,
	datadict/datadict-oci8.inc.php, datadict/datadict-postgres.inc.php,
	datadict/datadict-sybase.inc.php, drivers/adodb-access.inc.php,
	drivers/adodb-ado.inc.php, drivers/adodb-ado_access.inc.php,
	drivers/adodb-ado_mssql.inc.php,
	drivers/adodb-borland_ibase.inc.php, drivers/adodb-csv.inc.php,
	drivers/adodb-db2.inc.php, drivers/adodb-fbsql.inc.php,
	drivers/adodb-firebird.inc.php, drivers/adodb-ibase.inc.php,
	drivers/adodb-informix.inc.php, drivers/adodb-informix72.inc.php,
	drivers/adodb-mssql.inc.php, drivers/adodb-mssqlpo.inc.php,
	drivers/adodb-mysql.inc.php, drivers/adodb-mysqlt.inc.php,
	drivers/adodb-oci8.inc.php, drivers/adodb-oci805.inc.php,
	drivers/adodb-oci8po.inc.php, drivers/adodb-odbc.inc.php,
	drivers/adodb-odbc_mssql.inc.php,
	drivers/adodb-odbc_oracle.inc.php, drivers/adodb-oracle.inc.php,
	drivers/adodb-postgres.inc.php, drivers/adodb-postgres64.inc.php,
	drivers/adodb-postgres7.inc.php, drivers/adodb-proxy.inc.php,
	drivers/adodb-sapdb.inc.php, drivers/adodb-sqlanywhere.inc.php,
	drivers/adodb-sqlite.inc.php, drivers/adodb-sybase.inc.php,
	drivers/adodb-vfp.inc.php, lang/adodb-cz.inc.php,
	lang/adodb-en.inc.php, lang/adodb-es.inc.php,
	lang/adodb-fr.inc.php, lang/adodb-it.inc.php,
	lang/adodb-pt-br.inc.php, lang/adodb-ru1251.inc.php,
	lang/adodb-sv.inc.php, perf/perf-db2.inc.php,
	perf/perf-informix.inc.php, perf/perf-mssql.inc.php,
	perf/perf-mysql.inc.php, perf/perf-oci8.inc.php,
	perf/perf-postgres.inc.php, tests/benchmark.php, tests/client.php,
	tests/test-datadict.php, tests/test-perf.php,
	tests/test-xmlschema.php, tests/test.php, tests/test2.php,
	tests/test3.php, tests/test4.php, tests/test5.php,
	tests/testcache.php, tests/testdatabases.inc.php,
	tests/testgenid.php, tests/testmssql.php, tests/testoci8.php,
	tests/testoci8cursor.php, tests/testpaging.php, tests/testpear.php,
	tests/testsessions.php, tests/time.php, tests/tmssql.php,
	tests/xmlschema.xml: 
	
	Upgraded to AdoDB 4.00 ... starting to think seriously about the
	data dictionary conversion ...

2003-10-22 Wednesday 00:54  moodler

	* theme/garden/: config.php, styles.php: 
	
	Fixed some missing styles

2003-10-22 Wednesday 00:51  moodler

	* theme/cordoroyblue/: config.php, styles.php: 
	
	Some missing styles

2003-10-22 Wednesday 00:48  moodler

	* theme/brightretro/: config.php, styles.php: 
	
	FIxed some missing styles and colours

2003-10-22 Wednesday 00:47  moodler

	* theme/oceanblue/config.php: 
	
	Some missing colours

2003-10-22 Wednesday 00:45  moodler

	* theme/oceanblue/styles.php: 
	
	New styles

2003-10-21 Tuesday 21:15  willcast

	* lang/en/glossary.php, mod/glossary/approve.php,
	mod/glossary/dynalink.php, mod/glossary/edit.php,
	mod/glossary/editcategories.html, mod/glossary/editcategories.php,
	mod/glossary/lib.php, mod/glossary/view.php: 
	
	- Added a new frame: Browse by date.  - Removing unnecesary double
	quotes (not all of them yet)

2003-10-21 Tuesday 13:45  willcast

	* mod/glossary/: dynalink.php, mod.html: 
	
	- Sorting entries by the length of the concept so large concepts
	could be linked first if they exist in the text to parse (avoiding
	that smaller concepts "gain control" over the larges one).  -
	Setting hard=coded default settings to glossary (will be replaced
	soon by global default settings)

2003-10-21 Tuesday 11:32  willcast

	* mod/glossary/comment.php: 
	
	- Preventing guest for posting comments on entries

2003-10-21 Tuesday 09:30  willcast

	* mod/glossary/: approve.php, dynalink.php: 
	
	- Fixed bug the dealing with concepts that contains slashes

2003-10-21 Tuesday 06:27  willcast

	* mod/glossary/: dynalink.php, edit.php, lib.php, showentry.php,
	view.php: 
	
	- Fixed some bugs detected with Jeff's glossary (mostly with
	dynalink link feature)

2003-10-21 Tuesday 02:49  stronk7

	* mod/glossary/restorelib.php: 
	
	Small typo :-)

2003-10-20 Monday 23:55  moodler

	* theme/: standard/styles.php, standardblue/styles.php,
	standardgreen/styles.php, standardlogo/styles.php,
	standardred/styles.php, standardwhite/styles.php: 
	
	Put rounded corners on category box too

2003-10-20 Monday 23:42  moodler

	* lib/weblib.php: 
	
	Slightly nicer code when redirecting

2003-10-20 Monday 23:40  moodler

	* course/lib.php, user/index.php, user/lib.php, user/view.php: 
	
	Some cleanups for some of the HTML, including addition of new
	styles

2003-10-20 Monday 23:39  moodler

	* theme/: UPGRADE.txt, standard/config.php, standard/styles.php,
	standardblue/config.php, standardblue/styles.php,
	standardgreen/config.php, standardgreen/styles.php,
	standardlogo/config.php, standardlogo/styles.php,
	standardred/config.php, standardred/styles.php,
	standardwhite/config.php, standardwhite/styles.php: 
	
	Some additions to standard styles

2003-10-20 Monday 22:19  willcast

	* mod/glossary/: backuplib.php, restorelib.php: 
	
	- Backup/Restore of the new field

2003-10-20 Monday 21:56  willcast

	* lang/en/glossary.php: 
	
	- New entries for the new feature

2003-10-20 Monday 21:55  willcast

	* mod/glossary/: approve.php, check.gif, comment.html, comment.php,
	deleteentry.php, dynalink.php, edit.html, edit.php, lib.php,
	mod.html, version.php, view.php, db/mysql.php, db/mysql.sql,
	formats/2.php, formats/3.php, formats/4.php, formats/5.php: 
	
	- Cleaning a lot of code in edit.php and view.php - Removing more
	notices when debug is ON - Added a new feature: Now the entries
	have a default approval status... Not approved entries are shown on
	a teachers-only frame from which they can be approved or not prior
	to be visible by everyone.

2003-10-20 Monday 20:58  moodler

	* course/loggraph.php: 
	
	Removed unnecessary code  (maxlogs)

2003-10-20 Monday 19:30  moodler

	* help.php: 
	
	Put the help inside a box, in case the background is dark

2003-10-20 Monday 19:25  moodler

	* course/lib.php: 
	
	Don't display search buttons if all the courses are being displayed
	anyway

2003-10-20 Monday 12:09  rkingdon

	* mod/dialogue/lib.php: 
	
	New function dialogue_count_all_needing_replies_self($user) added
	to lib.php.

2003-10-20 Monday 09:42  willcast

	* mod/glossary/: deleteentry.php, dynalink.php, lib.php: 
	
	- Removing notices when debug is on - Deleting entries with
	attachments now delete the attachments properly

2003-10-19 Sunday 16:04  stronk7

	* backup/version.php: 
	
	Bump :-)

2003-10-19 Sunday 15:24  stronk7

	* mod/glossary/restorelib.php: 
	
	Now, glossary_comments are in restore too !! :-)

2003-10-19 Sunday 15:00  stronk7

	* mod/glossary/backuplib.php: 
	
	Splited one function into two :-)

2003-10-19 Sunday 14:38  stronk7

	* mod/glossary/backuplib.php: 
	
	Now glossary_comments are in backup.  Solved one issue when
	exporting categories.

2003-10-19 Sunday 11:04  willcast

	* mod/glossary/: backuplib.php, restorelib.php: 
	
	- Backing up new fields...  - No restoring yet... :(

2003-10-19 Sunday 09:40  rkingdon

	* mod/exercise/lib.php: 
	
	Fixed bug in exercise_grades function. Fixed bug in viewing of
	students assessments by teachers.

2003-10-19 Sunday 09:03  willcast

	* lang/en/webquest.php: 
	
	- Adding webquest.php to the lang directory.. It's annoying that
	the system can't find the file and mess all the screen when editing
	is on.
	
	Just have the name of the module anyway.

2003-10-19 Sunday 08:49  willcast

	* mod/glossary/backuplib.php: 
	
	- Fixed bug related to comments when doing a backup...

2003-10-19 Sunday 08:18  moodler

	* lang/en/resource.php: 
	
	new string for choosing a file

2003-10-19 Sunday 08:02  moodler

	* mod/resource/: coursefiles.php, details.php: 
	
	I finally added a proper course files browser to replace the menu.

2003-10-19 Sunday 07:21  moodler

	* course/lib.php, mod/resource/view.php: 
	
	Allow uploaded files to be declared in popup windows too.

2003-10-19 Sunday 02:17  koenr

	* lang/nl/moodle.php: 
	
	filling in missing strings...

2003-10-19 Sunday 02:17  koenr

	* lang/nl/help/quiz/formatctm.html: 
	
	translated by Koen Roggemans

2003-10-18 Saturday 22:24  moodler

	* mod/workshop/lib.php: 
	
	Some small style changes for tabs

2003-10-18 Saturday 22:19  moodler

	* admin/index.php: 
	
	Removed one hard-coded "admin"

2003-10-18 Saturday 22:07  moodler

	* mod/glossary/lib.php: 
	
	More styles -- missed the target last time!

2003-10-18 Saturday 22:02  moodler

	* mod/glossary/lib.php: 
	
	Added styles to tabs

2003-10-18 Saturday 20:48  willcast

	* mod/glossary/: asc.gif, desc.gif: 
	
	- A couple of icons that I forgot to include

2003-10-18 Saturday 20:41  giro123

	* lang/es/glossary.php: 
	
	[no log message]

2003-10-18 Saturday 20:40  willcast

	* lang/en/glossary.php, lang/en/help/glossary/displayformat.html,
	mod/glossary/lib.php, mod/glossary/mod.html,
	mod/glossary/version.php, mod/glossary/view.php,
	mod/glossary/db/mysql.php: 
	
	- Adding two more display formats: Continuous and FAQ - Fixed bug
	818: Adding a new view: Sorted (by creation date or by last
	modified.

2003-10-18 Saturday 20:28  moodler

	* mod/glossary/formats/: 2.php, 3.php: 
	
	FIxed styles

2003-10-18 Saturday 19:40  moodler

	* index.php: 
	
	Use CFG->admin

2003-10-18 Saturday 13:37  willcast

	* mod/glossary/showentry.php: 
	
	- Fixed another bug when showing "dynaentries" (it does not take in
	count the case sensitive setting)

2003-10-18 Saturday 13:21  willcast

	* mod/glossary/: lib.php, showentry.php, showentry.php: 
	
	- Fixed bug when showing "dynaentries" (it showed all concepts no
	matter the course nor its dynasetting)

2003-10-18 Saturday 12:22  martignoni

	* lang/fr/docs/upgrade.html: 
	
	New translated file

2003-10-18 Saturday 11:14  martignoni

	* lang/fr/docs/installamp.html: 
	
	Translation terminated!

2003-10-18 Saturday 06:48  willcast

	* mod/glossary/lib.php: 
	
	- Housekeeping... :(

2003-10-18 Saturday 06:43  willcast

	* mod/glossary/: deleteentry.php, lib.php: 
	
	- Housekeeping... :)

2003-10-18 Saturday 06:33  willcast

	* mod/glossary/: deleteentry.php, lib.php: 
	
	- Fixed a problem when showing the icons in entries with inline
	images.  - Fixed a bug when deleting entries without attachments.

2003-10-18 Saturday 05:17  mits

	* lang/ja/help/chat/: chatting.html, index.html, mods.html: 
	
	New help translation.

2003-10-18 Saturday 05:14  willcast

	* mod/glossary/editcategories.php: 
	
	- "striping_tags" inthe title

2003-10-18 Saturday 04:44  moodler

	* lang/en/docs/docstyles.css: 
	
	Nicer styles in Mozilla

2003-10-18 Saturday 04:44  moodler

	* doc/docstyles.css: 
	
	Nicer styles on Mozilla

2003-10-18 Saturday 03:22  mits

	* lang/ja/help/journal/: index.html, mods.html: 
	
	New help translation.

2003-10-18 Saturday 03:20  martignoni

	* lang/fr/docs/installamp.html: 
	
	More translation (almost finished)

2003-10-18 Saturday 02:52  mits

	* lang/ja/: README, glossary.php, moodle.php, workshop.php: 
	
	New translation and polish some.

2003-10-18 Saturday 01:48  mits

	* lang/ja/help/dialogue/dialoguetype.html: 
	
	New help translation

2003-10-17 Friday 08:35  willcast

	* mod/glossary/dynalink.php: 
	
	- Two little mods in the category linking issue:     The concepts
	could be in more than one glossary so...      I put it inside the
	"if concept is category" conditional... I little more efficient.

2003-10-17 Friday 08:30  moodler

	* mod/glossary/dynalink.php: 
	
	Fixed category linking.  :-)

2003-10-17 Friday 08:06  martignoni

	* lang/fr/help/: surveys.html, surveys.html: 
	
	Initial bit of translation

2003-10-17 Friday 07:04  martignoni

	* lang/fr/docs/installamp.html: 
	
	Just a little bit more translated

2003-10-17 Friday 05:46  moodler

	* course/lib.php: 
	
	Icons for activities should use $CFG->modpixpath so custom icons
	work

2003-10-17 Friday 05:30  moodler

	* lib/: moodlelib.php, setup.php: 
	
	Same as Eloy's fix, just a few less lines of code.    ;-)

2003-10-17 Friday 04:49  moodler

	* version.php: 
	
	Bump

2003-10-17 Friday 02:54  stronk7

	* lib/: moodlelib.php, setup.php: 
	
	Do some isset() checkings with $CFG->sessioncookie.  Previously
	when debug turned on, login was impossible due to some notices sent
	before writing http headers.

2003-10-17 Friday 01:55  moodler

	* mod/glossary/lib.php: 
	
	Made comments link smaller, and also prints "1 comment" and "2
	comments"

2003-10-17 Friday 01:49  moodler

	* mod/glossary/comment.php: 
	
	Some tidying up of the code to display the comment editing page

2003-10-17 Friday 01:42  moodler

	* mod/glossary/: edit.html, edit.php: 
	
	Some small changes ... made the heading a real heading and removed
	includes from the template

2003-10-17 Friday 01:38  moodler

	* mod/glossary/formats/: 1.php, 2.php, 3.php: 
	
	Some more cleaning up of the HTML and code formatting ...

2003-10-17 Friday 01:19  moodler

	* mod/glossary/: showentry.php, formats/3.php: 
	
	Some modification so that the encyclopedia format looks more like
	forum posts (in fact it uses the same styles)

2003-10-16 Thursday 18:21  giro123

	* lang/es/glossary.php: 
	
	[no log message]

2003-10-16 Thursday 15:04  willcast

	* lang/en/glossary.php, mod/glossary/db/mysql.php,
	mod/glossary/db/mysql.sql, mod/glossary/db/postgres7.sql,
	lang/en/help/glossary/casesensitive.html,
	lang/en/help/glossary/fullmatch.html,
	lang/en/help/glossary/usedynalink.html, mod/glossary/dynalink.php,
	mod/glossary/edit.html, mod/glossary/edit.php,
	mod/glossary/lib.php, mod/glossary/mod.html,
	mod/glossary/showentry.php, mod/glossary/version.php: 
	
	Case sensitive match Whole words match No match at all (a bit rude
	(you have to get down to the HTML code), no GUI so far either)
	Categories are now linked too (I forced to be a case sensitive
	match) You can automatically link one or several glossaries at once
	no matter if it is a main one or not.

2003-10-16 Thursday 13:07  mits

	* lang/ja/: dialogue.php, glossary.php, moodle.php: 
	
	New translation and plished some.

2003-10-16 Thursday 12:46  mits

	* lang/ja/help/dialogue/: deleteafter.html, mods.html: 
	
	New help translation

2003-10-16 Thursday 11:05  mits

	* lang/ja/: README, assignment.php, forum.php, moodle.php: 
	
	Sorry for slow translation.

2003-10-16 Thursday 11:01  giro123

	* lang/es/: glossary.php, moodle.php: 
	
	[no log message]

2003-10-16 Thursday 10:47  rkingdon

	* lang/en/exercise.php: 
	
	A couple of extra messages for teachers about resubmissions.

2003-10-16 Thursday 10:36  giro123

	* lang/es/glossary.php: 
	
	[no log message]

2003-10-16 Thursday 10:36  martignoni

	* lang/fr/docs/installamp.html: 
	
	First bit of translation

2003-10-16 Thursday 10:35  rkingdon

	* mod/exercise/: assessments.php, lib.php, upload.php: 
	
	More information to teachers on resubmissions. Add submission entry
	to log only if upload is successful.

2003-10-16 Thursday 10:20  giro123

	* lang/es/help/glossary/: allowduplicatedentries.html,
	displayformat.html, index.html, mainglossary.html, mods.html,
	studentcanpost.html: 
	
	[no log message]

2003-10-16 Thursday 10:17  rkingdon

	* mod/workshop/submissions.php: 
	
	Fixed bug stopping the calculation of final grades.

2003-10-16 Thursday 09:58  giro123

	* lang/es/help/glossary/: mainglossary.html, mods.html,
	studentcanpost.html: 
	
	[no log message]

2003-10-16 Thursday 09:00  martignoni

	* lang/fr/docs/install.html: 
	
	Changed to proper encoding

2003-10-16 Thursday 08:51  martignoni

	* lang/fr/docs/install.html: 
	
	Translation finished

2003-10-16 Thursday 07:25  moodler

	* lib/weblib.php: 
	
	Added nolink tag

2003-10-16 Thursday 06:23  moodler

	* lib/moodlelib.php: 
	
	Use $CFG->sessioncookie on MOODLEID cookie as well

2003-10-16 Thursday 06:19  moodler

	* admin/config.html, lib/defaults.php, lib/setup.php,
	lang/en/moodle.php: 
	
	A new Moodle variable called sessioncookie is now added to the
	session cookie name.  This provides a means for multiple Moodles
	within the same website to keep separate sessions and not get
	confused.

2003-10-16 Thursday 03:20  moodler

	* lib/weblib.php: 
	
	Fixed comments on str_ireplace

2003-10-16 Thursday 02:39  moodler

	* filter/censor/README.txt: 
	
	Add a simple README

2003-10-16 Thursday 02:33  moodler

	* filter/censor/censor.php: 
	
	A very simple filter to censor "bad" words.
	
	Also provides an example of how to write filters.

2003-10-16 Thursday 02:28  moodler

	* lib/weblib.php: 
	
	Improved version of str_ireplace() for older versions of PHP (now
	handles arrays)

2003-10-15 Wednesday 23:37  willcast

	* mod/glossary/dynalink.php: 
	
	- Testing... If you can read this.. I solved the problem (thanks to
	Martin)! :)

2003-10-15 Wednesday 23:00  moodler

	* mod/glossary/dynalink.php: 
	
	Added version number to source

2003-10-15 Wednesday 22:41  moodler

	* mod/glossary/lib.php: 
	
	Slight change to glossary_print_entry_icons so that "comments" link
	isn't printed if comments are disabled

2003-10-15 Wednesday 22:15  willcast

	* lang/en/glossary.php, lang/en/help/glossary/allowcomments.html,
	mod/glossary/backuplib.php, mod/glossary/comment.gif,
	mod/glossary/comment.html, mod/glossary/comment.php,
	mod/glossary/comments.php, mod/glossary/lib.php,
	mod/glossary/mod.html, mod/glossary/restorelib.php,
	mod/glossary/version.php, mod/glossary/db/mysql.php,
	mod/glossary/db/mysql.sql, mod/glossary/db/postgres7.sql: 
	
	- Now entries could be commented by other users.  - KNOWN BUG: It
	does not restore the comments even when userinfo is set... Eloy! I
	need your help! :)

2003-10-15 Wednesday 21:17  moodler

	* mod/attendance/lib.php: 
	
	Add a check in case no attendances are defined

2003-10-15 Wednesday 20:38  moodler

	* theme/: standardblue/config.php, standardblue/styles.php,
	standardgreen/config.php, standardgreen/styles.php,
	standardlogo/config.php, standardlogo/styles.php,
	standardred/config.php, standardred/styles.php,
	standardwhite/config.php, standardwhite/styles.php: 
	
	Autolinks added

2003-10-15 Wednesday 20:23  moodler

	* mod/glossary/dynalink.php: 
	
	Added autolink style

2003-10-15 Wednesday 20:23  moodler

	* theme/UPGRADE.txt: 
	
	Info for upgraders

2003-10-15 Wednesday 20:21  moodler

	* theme/standard/: config.php, styles.php: 
	
	Added styles and colour for autolink'ed text

2003-10-15 Wednesday 15:01  willcast

	* mod/glossary/dynalink.php: 
	
	- Link within link issue: Solved.

2003-10-15 Wednesday 14:53  koenr

	* lang/nl/docs/intro.html: 
	
	translated by Koen Roggemans

2003-10-15 Wednesday 13:31  koenr

	* lang/nl/: moodle.php, workshop.php: 
	
	filling the gaps

2003-10-15 Wednesday 13:20  koenr

	* lang/nl/docs/install.html: 
	
	Translated by Koen Roggemans

2003-10-15 Wednesday 10:27  willcast

	* mod/glossary/dynalink.php: 
	
	- Link within link issue: Solved.

2003-10-15 Wednesday 09:38  jungwirr

	* mod/quiz/format/coursetestmanager.php: 
	
	
	fixed import of shortanswer questions to get rid of blank answers

2003-10-15 Wednesday 09:12  willcast

	* lang/en/glossary.php, mod/glossary/backuplib.php,
	mod/glossary/edit.html, mod/glossary/edit.php,
	mod/glossary/lib.php, lang/en/help/glossary/description.html,
	mod/glossary/mod.html, mod/glossary/restorelib.php,
	mod/glossary/version.php, mod/glossary/view.php,
	mod/glossary/db/mysql.php, mod/glossary/db/mysql.sql,
	mod/glossary/db/oci8po.sql, mod/glossary/db/postgres7.sql: 
	
	- Solving bug 817 (adding a glossary overview) - Minor changes
	adopting moodle's naming and coding conventions (perhaps not fully
	adopted yet) - Solving bug that traspose All Categories with Not
	Categorised view.

2003-10-15 Wednesday 08:49  jungwirr

	* mod/quiz/format/coursetestmanager.php: 
	
	
	took out some debugging messages.

2003-10-15 Wednesday 07:34  jungwirr

	* mod/attendance/version.php: 
	
	
	fixed some foreach problems with if tests

2003-10-15 Wednesday 01:53  moodler

	* mod/quiz/: import.php, lib.php, format/coursetestmanager.php: 
	
	Added new import format - Course Test Manager - from Russell
	Jungwirth.
	
	All I've done is clean up the source code - I've not tested it at
	all.

2003-10-15 Wednesday 01:49  moodler

	* lib/odbc.php: 
	
	New class for handling ODBC socket server

2003-10-15 Wednesday 01:48  moodler

	* lang/en/help/quiz/: formatctm.html, import.html: 
	
	New help for Course Test Manager import

2003-10-14 Tuesday 19:48  moodler

	* lib/weblib.php: 
	
	Some cleaning up ... shouldn't make much difference

2003-10-14 Tuesday 10:33  stronk7

	* mod/dialogue/restorelib.php: 
	
	Small typo :-)

2003-10-14 Tuesday 10:31  stronk7

	* mod/exercise/lib.php: 
	
	Function exercise_get_participants() included and working. :-)

2003-10-14 Tuesday 10:26  stronk7

	* backup/: backup_check.html, backup_form.html, restore_check.html:
	
	
	Take out more notices in restore process. Undefined variables,
	mainly.

2003-10-14 Tuesday 10:13  rkingdon

	* mod/exercise/: lib.php, submissions.php: 
	
	Minor re-ordering - Asssessments for teachers now ordered oldest
	first, youngest last (previously they were ordered by title).

2003-10-14 Tuesday 10:06  stronk7

	* backup/: restore_check.html, restore_form.html: 
	
	Take out more notices in restore process. Undefined variables,
	mainly.

2003-10-13 Monday 15:45  stronk7

	* backup/: backup_check.html, backup_form.html, restore_form.html: 
	
	Take out some notices !! :-)

2003-10-13 Monday 15:44  stronk7

	* backup/lib.php: 
	
	Now, when copying files/folders, CFG->directorypermissions is
	forced (previously permissions were copied from original)

2003-10-13 Monday 13:40  koenr

	* lang/nl/forum.php: 
	
	typo

2003-10-13 Monday 13:15  koenr

	* lang/nl/moodle.php: 
	
	typo

2003-10-13 Monday 10:19  giro123

	* lang/es/: help/attendance/mods.html, help/label/mods.html,
	docs/docstyles.css: 
	
	[no log message]

2003-10-13 Monday 10:16  rkingdon

	* lang/en/help/workshop/managing.html: 
	
	Changes to help file, describes the new phase.

2003-10-13 Monday 09:58  giro123

	* lang/es/: assignment.php, attendance.php, countries.php,
	forum.php, label.php, moodle.php, workshop.php: 
	
	[no log message]

2003-10-13 Monday 09:16  rkingdon

	* lang/en/workshop.php: 
	
	Minor change to phase names.

2003-10-13 Monday 08:23  rkingdon

	* mod/workshop/lib.php: 
	
	Change to workshop_grades - only return grades when in the final
	phase (phase 6).

2003-10-13 Monday 07:56  rkingdon

	* mod/workshop/: index.php, lib.php, view.php: 
	
	Workshop now has 6 phases. The phase is show on the Workshops page
	(index.php).  Administration page now excludes "hot" assessments
	(peer assessments which have been allocated but not yet made).

2003-10-13 Monday 07:52  rkingdon

	* lang/en/workshop.php: 
	
	Additional strings for 6 phases and showing the phase on the index
	page.

2003-10-13 Monday 07:44  moodler

	* mod/glossary/dynalink.php: 
	
	Minor formatting change ... links were obtrusive in forums etc ...
	
	Will, what do you think?

2003-10-13 Monday 07:11  moodler

	* config-dist.php, lib/weblib.php, mod/glossary/dynalink.php: 
	
	NEW EXPERIMENTAL FEATURE: text filters.
	
	This new feature allows arbitrary text filters to be added to any
	HTML that is printed (forum posts, resources etc) ... anything that
	uses the standard format_text function.
	
	The first one properly supported is the glossary dynamic linking
	feature.

2003-10-13 Monday 07:03  moodler

	* course/format/: topics.php, weeks.php: 
	
	use format_text, not text_to_html

2003-10-13 Monday 05:44  rkingdon

	* lang/en/help/dialogue/addsubject.html: 
	
	Additonal help file - addsubject.

2003-10-13 Monday 05:42  rkingdon

	* mod/dialogue/: edit.html, edit.php: 
	
	Removing unused files.

2003-10-13 Monday 05:41  rkingdon

	* mod/dialogue/: backuplib.php, dialogues.php, lib.php, mod.html,
	restorelib.php, version.php, db/mysql.php, db/mysql.sql: 
	
	Dialogue version 2003101300.

2003-10-13 Monday 05:39  rkingdon

	* lang/en/dialogue.php: 
	
	Some additional strings for version 2003101300.

2003-10-13 Monday 05:31  rkingdon

	* lang/en/help/dialogue/sendmail.html: 
	
	Addition help file - sendmail

2003-10-13 Monday 03:47  martignoni

	* lang/fr/docs/install.html: 
	
	A little more translation, almost finished !

2003-10-12 Sunday 20:16  moodler

	* lib/moodlelib.php: 
	
	get_real_size can now pick up 900k

2003-10-12 Sunday 13:57  martignoni

	* lang/fr/docs/install.html: 
	
	More translation. Not yet finished.

2003-10-12 Sunday 13:56  martignoni

	* lang/fr/docs/module_files.txt: 
	
	Title translation was omitted

2003-10-12 Sunday 13:55  martignoni

	* lang/fr/docs/files.php: 
	
	Encoding corrected

2003-10-12 Sunday 11:09  rkingdon

	* mod/dialogue/lib.php: 
	
	Removed trailing blank line.

2003-10-12 Sunday 11:03  moodler

	* lib/defaults.php, admin/config.html, course/lib.php,
	course/unenrol.php, lang/en/moodle.php, user/view.php: 
	
	A new configuration parameter 'allowunenroll' will enable/disable
	the "unenrol me" buttons on user pages and course pages.

2003-10-12 Sunday 10:32  moodler

	* version.php: 
	
	Bump to cover Richtext picture insertion

2003-10-12 Sunday 10:24  moodler

	* lib/weblib.php: 
	
	FIxed bug when no courseid

2003-10-12 Sunday 10:21  moodler

	* admin/site.php: 
	
	Fix richtext editing and inserting images

2003-10-12 Sunday 10:21  rkingdon

	* mod/exercise/todo.txt: 
	
	Removing old todo.txt file.

2003-10-12 Sunday 10:19  rkingdon

	* mod/exercise/: index.php, lib.php, view.php: 
	
	Additional information exercises page (index.php).

2003-10-12 Sunday 10:17  rkingdon

	* lang/en/exercise.php: 
	
	Extra strings for index.php page.

2003-10-12 Sunday 10:12  moodler

	* lib/weblib.php: 
	
	A new feature to allow teachers to browse course files to find
	images to insert into Richtext editor windows.
	
	This hack was started by Janne Mikkonen, and I further refined it
	to fit better into Moodle.
	
	See:  http://moodle.org/mod/forum/discuss.php?d=2126

2003-10-12 Sunday 06:38  giro123

	* lang/es/countries.php: 
	
	[no log message]

2003-10-10 Friday 16:04  koenr

	* lang/nl/moodle.php: 
	
	filling in the missing strings ...

2003-10-10 Friday 15:54  koenr

	* lang/nl/docs/install.html: 
	
	translated till 8

2003-10-10 Friday 14:26  koenr

	* lang/nl/docs/teacher.html: 
	
	deleted broken link

2003-10-10 Friday 11:57  stronk7

	* mod/dialogue/lib.php: 
	
	Added the dialogue_get_participants() function to use it in
	backup/restore.

2003-10-10 Friday 00:49  moodler

	* lang/af/: assignment.php, auth.php, chat.php, choice.php,
	forum.php, journal.php, moodle.php, quiz.php, resource.php,
	survey.php, workshop.php: 
	
	Latest updates for Moodle 1.1 by Riaan de Villiers

2003-10-09 Thursday 23:02  moodler

	* mod/resource/view.php: 
	
	Smaller borders on frames

2003-10-09 Thursday 20:15  moodler

	* lang/en/docs/faq.html: 
	
	Added information about Norton fireewalls

2003-10-09 Thursday 18:54  mits

	* lang/ja/: help/courseshortname.html, README, moodle.php: 
	
	Polished.

2003-10-09 Thursday 09:50  moodler

	* version.php: 
	
	Bump de bump

2003-10-09 Thursday 09:47  moodler

	* course/lib.php: 
	
	Add an "unenrol" link for students on the course page

2003-10-09 Thursday 09:36  moodler

	* mod/forum/lib.php: 
	
	Only print the ratings button if there are ratings to be made.

2003-10-09 Thursday 07:44  mits

	* lang/ja/: README, moodle.php: 
	
	Polished.

2003-10-09 Thursday 05:42  moodler

	* course/view.php: 
	
	Removed focus from course page - see Bug 825

2003-10-09 Thursday 01:45  moodler

	* admin/module.php: 
	
	No need for focus

2003-10-08 Wednesday 21:58  moodler

	* mod/forum/lib.php: 
	
	Some changes so that forum_cron is not fooled in case there is
	already a real $USER variable present (eg if cron.php was run
	manually) and so the timezones are not calculated incorrectly.

2003-10-08 Wednesday 14:36  koenr

	* lang/nl/docs/install.html: 
	
	Section 1-5 translated by Koen Roggemans

2003-10-08 Wednesday 14:18  koenr

	* lang/nl/docs/files.php: 
	
	translated by Koen Roggemans

2003-10-08 Wednesday 14:14  martignoni

	* lang/fr/docs/: install.html, install.html: 
	
	Partial translation

2003-10-08 Wednesday 13:05  koenr

	* lang/nl/help/workshop/overallocation.html: 
	
	translated by Koen Roggemans

2003-10-08 Wednesday 13:03  koenr

	* lang/nl/help/workshop/index.html: 
	
	filling in missing links...

2003-10-08 Wednesday 13:01  koenr

	* lang/nl/help/workshop/: includeteachersgrade.html,
	leaguetable.html: 
	
	translated by koen roggemans

2003-10-08 Wednesday 12:09  jungwirr

	* mod/attendance/lib.php: 
	
	
	
	fix attempt for auto-attendance logging.  Set to use gmdate and
	gmmktime functions.

2003-10-08 Wednesday 12:06  koenr

	* lang/nl/help/forum/maxattachmentsize.html: 
	
	translated by koen roggemans

2003-10-08 Wednesday 12:04  koenr

	* lang/nl/help/: index.html, forum/index.html: 
	
	filling in missing links...

2003-10-08 Wednesday 11:50  koenr

	* lang/nl/help/courseuploadsize.html: 
	
	translated by koen roggemans

2003-10-08 Wednesday 11:21  koenr

	* lang/nl/label.php: 
	
	translated by koen roggemans

2003-10-08 Wednesday 11:15  rkingdon

	* mod/workshop/: index.php, lib.php, upload.php, version.php,
	view.php, db/mysql.php, db/mysql.sql: 
	
	Cosmetic change to index.php list; Logging of phase changes in a
	workshop; tidy up of log_display entries - thus the new version;

2003-10-08 Wednesday 11:02  jungwirr

	* mod/attendance/db/: postgres7.php, postgres7.sql: 
	
	
	
	added official support for postgres7

2003-10-08 Wednesday 11:01  koenr

	* lang/nl/: assignment.php, forum.php, moodle.php, workshop.php: 
	
	filling in missing strings

2003-10-08 Wednesday 10:51  stronk7

	* theme/cordoroyblue/pix/spacer.gif: 
	
	This image was missing in this theme and '?' images were showded. 
	See http://moodle.org/mod/forum/discuss.php?d=2882

2003-10-08 Wednesday 09:48  martignoni

	* lang/fr/docs/: README.txt, files.php, install.html,
	module_files.txt: 
	
	New translated files

2003-10-08 Wednesday 09:15  rkingdon

	* mod/dialogue/: backuplib.php, dialogues.php, edit.php, index.php,
	lib.php, restorelib.php, version.php, view.php, db/mysql.php: 
	
	Fix in Cron routine to delete closed dialogues; Remove No entries
	on the Closed Dialogues pane to make it consistent with the other
	panes.

2003-10-08 Wednesday 08:57  koenr

	* lang/nl/help/workshop/elements.html: 
	
	translated by Koen Roggemans

2003-10-08 Wednesday 08:56  koenr

	* lang/nl/help/workshop/index.html: 
	
	translated for version 1.1

2003-10-08 Wednesday 08:54  koenr

	* lang/nl/help/: index.html, mods.html: 
	
	showing double help-files: fixed

2003-10-08 Wednesday 08:53  koenr

	* lang/nl/workshop.php: 
	
	Fillling missing strings ...

2003-10-08 Wednesday 08:53  koenr

	* lang/nl/: moodle.php, help/resource/index.html: 
	
	corrected typo

2003-10-08 Wednesday 03:56  martignoni

	* lang/fr/countries.php: 
	
	Changed to proper encoding

2003-10-08 Wednesday 03:45  martignoni

	* lang/fr/countries.php: 
	
	New translated file

2003-10-08 Wednesday 00:35  stronk7

	* backup/backuplib.php: 
	
	Now scales users are in backup too. See bug 824.  Closing it in
	some hours.

2003-10-07 Tuesday 22:53  moodler

	* admin/lang.php: 
	
	Improved the heading a little

2003-10-07 Tuesday 22:44  moodler

	* admin/lang.php: 
	
	Split up the looooooooooooooong page into separate files, to make
	editing a little easier!

2003-10-07 Tuesday 20:49  moodler

	* lang/en/glossary.php: 
	
	Tweak to add entry button

2003-10-07 Tuesday 20:43  moodler

	* lang/en/glossary.php: 
	
	iTweak to english

2003-10-07 Tuesday 20:13  moodler

	* lang/en/glossary.php, mod/glossary/lib.php,
	mod/glossary/view.php: 
	
	Started out reformatting the code a little and ended up simplifying
	the interface a bit ... hope you like it, Will!

2003-10-07 Tuesday 18:24  moodler

	* help.php: 
	
	Only show visible modules in help

2003-10-07 Tuesday 07:54  moodler

	* lang/en/exercise.php, lang/en/help/exercise/administration.html,
	lang/en/help/exercise/elements.html,
	lang/en/help/exercise/finalgrades.html,
	lang/en/help/exercise/grade.html,
	lang/en/help/exercise/grading.html,
	lang/en/help/exercise/gradinggrade.html,
	lang/en/help/exercise/gradingstrategy.html,
	lang/en/help/exercise/managing.html,
	lang/en/help/exercise/mods.html,
	lang/en/help/exercise/moreinfo.html,
	lang/en/help/exercise/nelements.html,
	lang/en/help/exercise/specimen.html,
	lang/en/help/exercise/submissionofdescriptions.html,
	lang/en/help/exercise/takeownership.html,
	lang/en/help/exercise/usemax.html, mod/exercise/assessments.php,
	mod/exercise/backuplib.php, mod/exercise/construction_icon.gif,
	mod/exercise/icon.gif, mod/exercise/icon.png,
	mod/exercise/icon2.gif, mod/exercise/icon2.png,
	mod/exercise/index.php, mod/exercise/lib.php,
	mod/exercise/mod.html, mod/exercise/restorelib.php,
	mod/exercise/submissions.php, mod/exercise/todo.txt,
	mod/exercise/upload.php, mod/exercise/version.php,
	mod/exercise/view.php, mod/exercise/db/mysql.php,
	mod/exercise/db/mysql.sql: 
	
	First main-tree version of the Exercise module (formerly in
	contrib) by Ray Kingdon.
	
	Works quite well, but it's not clear yet if this will be part of
	major releases (due to the overlap with assignments and workshops
	and the confusion this may cause).

2003-10-07 Tuesday 07:26  martignoni

	* lang/fr/moodle.php: 
	
	Cleanup of file "moodle.php"

2003-10-07 Tuesday 07:02  moodler

	* backup/restore_execute.html: 
	
	Don't throw an error if users aren't found - just print a notice.

2003-10-07 Tuesday 07:01  moodler

	* backup/restorelib.php: 
	
	Not having any users in a backup is not necessarily an error.

2003-10-07 Tuesday 07:00  moodler

	* backup/backuplib.php: 
	
	If there aren't any users, don't do anything.

2003-10-07 Tuesday 06:59  moodler

	* backup/backup_execute.html: 
	
	Added notifications right through the backup when errors occur.

2003-10-07 Tuesday 05:14  stronk7

	* mod/workshop/: backuplib.php, restorelib.php: 
	
	Now assessment->resubmission is in backup/restore too.

2003-10-07 Tuesday 05:02  stronk7

	* mod/forum/: backuplib.php, restorelib.php: 
	
	Now forum->maxbytes is supported in backup/restore.

2003-10-07 Tuesday 04:58  stronk7

	* backup/: backuplib.php, restorelib.php: 
	
	Now course->maxbytes is supported in backup/restore.

2003-10-06 Monday 20:29  moodler

	* course/category.php: 
	
	Only print expanded course listing on the first page (ie short
	category)

2003-10-06 Monday 12:30  rkingdon

	* mod/workshop/: assessments.php, lib.php: 
	
	Fixed links in email messages.

2003-10-06 Monday 11:09  moodler

	* lib/weblib.php: 
	
	<acronym> is an allowed tag

2003-10-06 Monday 11:02  moodler

	* version.php, lib/moodlelib.php, lib/db/mysql.php,
	lib/db/mysql.sql, lib/db/postgres7.php, lib/db/postgres7.sql,
	mod/forum/config.html, mod/forum/lib.php, user/edit.html,
	mod/forum/mod.html, mod/forum/post.html,
	mod/assignment/config.html, mod/assignment/lib.php,
	mod/assignment/mod.html, mod/forum/version.php,
	mod/forum/db/mysql.php, mod/forum/db/mysql.sql,
	mod/forum/db/oci8po.sql, mod/forum/db/postgres7.php,
	mod/forum/db/postgres7.sql, admin/config.html, admin/module.php,
	course/edit.html, course/scales.php: 
	
	These changes implement some better controls for controlling
	uploads.
	
	1) There is a new site-wide configuration variable called maxbytes,
	   which provides an upper filesize limit for all (student)
	uploads.
	
	2) There is a new course-level variable called maxbytes, which
	further    limits uploads within a course.
	
	3) There is a new maxbytes field for forums, which further
	restricts    the size allowed in a particular forum.  There is also
	a new config	variable in the module configuration to specify a
	default size	to use when defining a new forum.
	
	4) Assignments already had a limit, but this is now aware of the
	other	 limits, and like forums there is now a settable default
	value.
	
	5) Finally, the sizes of files (Gb, Mb, Kb, bytes) is now
	translatable	in the language packs.

2003-10-06 Monday 10:44  moodler

	* lang/en/: assignment.php, forum.php, moodle.php,
	help/courseuploadsize.html, help/index.html, help/forum/index.html,
	help/forum/maxattachmentsize.html: 
	
	New strings and help pages for file upload restrictions

2003-10-06 Monday 07:46  martignoni

	* lang/fr/: TERMS, attendance.php, help/forum/ratings.html: 
	
	New tranlated files added to repository

2003-10-06 Monday 06:04  carlesbellver

	* lang/ca/moodle.php: 
	
	[no log message]

2003-10-06 Monday 05:31  carlesbellver

	* lang/ca/: README, assignment.php, choice.php, forum.php,
	journal.php, moodle.php, reading.php, resource.php: 
	
	[no log message]

2003-10-06 Monday 05:06  martignoni

	* lang/fr/README: 
	
	Changed README to proper encoding

2003-10-06 Monday 05:00  moodler

	* lang/en/dialogue.php, lang/en/help/dialogue/closedialogue.html,
	lang/en/help/dialogue/deleteafter.html,
	lang/en/help/dialogue/dialoguetype.html,
	lang/en/help/dialogue/info.html,
	lang/en/help/dialogue/maildefault.html,
	lang/en/help/dialogue/mods.html,
	lang/en/help/dialogue/multiple.html,
	lang/en/help/dialogue/writing.html, mod/dialogue/README.txt,
	mod/dialogue/backuplib.php, mod/dialogue/dialogues.php,
	mod/dialogue/edit.html, mod/dialogue/edit.php,
	mod/dialogue/icon.gif, mod/dialogue/index.php,
	mod/dialogue/lib.php, mod/dialogue/mod.html,
	mod/dialogue/restorelib.php, mod/dialogue/version.php,
	mod/dialogue/view.php, mod/dialogue/db/mysql.php,
	mod/dialogue/db/mysql.sql: 
	
	Moving Dialogue into the main tree for convenience.

2003-10-06 Monday 00:36  carlesbellver

	* lang/ca/moodle.php: 
	
	[no log message]

2003-10-05 Sunday 23:48  koenr

	* lang/nl/: assignment.php, forum.php, journal.php, moodle.php,
	survey.php, workshop.php: 
	
	Deleted blank lines

2003-10-05 Sunday 23:38  koenr

	* lang/nl/resource.php: 
	
	Deleted blank lines

2003-10-05 Sunday 23:33  koenr

	* lang/nl/quiz.php: 
	
	Deleted blank lines

2003-10-05 Sunday 14:16  koenr

	* lang/nl/docs/teacher.html: 
	
	link to index of helpfiles added

2003-10-05 Sunday 14:16  koenr

	* lang/nl/help/quiz/import.html: 
	
	example for aon added

2003-10-05 Sunday 14:15  koenr

	* lang/nl/help/quiz/index.html: 
	
	corrected some errors

2003-10-05 Sunday 14:13  koenr

	* lang/nl/help/workshop/: numberofassessors.html,
	submissionofexamples.html, teachersgradings.html,
	ungradedassessments_student.html, ungradedassessments_teacher.html:
	
	
	translated by Koen Roggemans

2003-10-05 Sunday 14:12  koenr

	* lang/nl/help/workshop/index.html: 
	
	some helpfiles translated

2003-10-05 Sunday 12:02  rkingdon

	* lang/en/workshop.php: 
	
	New strings for improved resubmission handling.

2003-10-05 Sunday 12:00  rkingdon

	* mod/workshop/: assessments.php, lib.php, upload.php, version.php,
	view.php, db/mysql.php, db/mysql.sql, db/oci8po.sql,
	db/postgres7.sql: 
	
	Version 2003100200: improved handling of resubmissions (new field
	added to workshop_assessments)

2003-10-05 Sunday 07:05  moodler

	* admin/config.html, lib/defaults.php, lib/weblib.php: 
	
	Language direction is now set in the language file, rather than as
	a site-level setting.  This currently only affects Arabic but will
	affect Hebrew later and maybe others.

2003-10-05 Sunday 06:44  moodler

	* lang/en/moodle.php: 
	
	Add default text direction for English (and most other languages)

2003-10-05 Sunday 06:43  moodler

	* lang/ar/moodle.php: 
	
	Add direction for Arabic

2003-10-03 Friday 12:03  giro123

	* lang/es/help/workshop/: includeteachersgrade.html,
	leaguetable.html, overallocation.html: 
	
	[no log message]

2003-10-02 Thursday 09:52  giro123

	* lang/es/workshop.php: 
	
	No traslated yet

2003-10-02 Thursday 09:28  giro123

	* lang/es/workshop.php: 
	
	No traslated yet

2003-10-02 Thursday 01:15  carlesbellver

	* lang/ca/README: 
	
	[no log message]

2003-10-01 Wednesday 23:45  carlesbellver

	* lang/ca/: README, forum.php, moodle.php, quiz.php, resource.php,
	survey.php, help/enrolmentkey.html: 
	
	[no log message]

2003-10-01 Wednesday 12:03  moodler

	* lang/en/docs/philosophy.html: 
	
	Minor fix

2003-10-01 Wednesday 11:01  moodler

	* doc/docstyles.css, lang/en/docs/docstyles.css: 
	
	Style sheet (main one is in /doc ... other one is just useful for
	editing)

2003-10-01 Wednesday 11:00  moodler

	* lang/en/docs/background.html, lang/en/docs/coding.html,
	lang/en/docs/credits.html, lang/en/docs/cvs.html,
	lang/en/docs/developer.html, lang/en/docs/faq.html,
	lang/en/docs/features.html, lang/en/docs/files.php,
	lang/en/docs/future.html, lang/en/docs/glossary.html,
	lang/en/docs/install.html, lang/en/docs/installamp.html,
	doc/contents.php, lang/en/docs/intro.html,
	lang/en/docs/licence.html, lang/en/docs/other.html,
	lang/en/docs/philosophy.html, lang/en/docs/release.html,
	lang/en/docs/teacher.html, lang/en/docs/upgrade.html: 
	
	First round clean up of the docs
	
	  - new Coding Guidelines
	  - new Philosophy page
	  - new dedicated styles sheet for all pages
	  - better table of contents in left frame
	  - source fixups all over
	
	The styles are very boring - I'll work on that next time! Also,
	we'll get David's optimisation page and a student manual in there.

2003-10-01 Wednesday 09:54  rkingdon

	* lang/en/workshop.php: 
	
	Adding "weight", fixed bug #799

2003-10-01 Wednesday 09:50  rkingdon

	* mod/workshop/lib.php: 
	
	Replace Literal string "Weight": fixes bug #799

2003-10-01 Wednesday 09:11  carlesbellver

	* lang/ca/: README, assignment.php, choice.php, forum.php,
	journal.php, help/enrolmentkey.html: 
	
	[no log message]

2003-09-30 Tuesday 18:35  willcast

	* lang/en/glossary.php, lang/es/glossary.php, mod/glossary/lib.php:
	
	
	- Exported entries with attachments are now properly shown
	everywhere.

2003-09-30 Tuesday 15:18  giro123

	* lang/es/workshop.php: 
	
	No traslated yet

2003-09-30 Tuesday 08:52  giro123

	* lang/es/countries.php: 
	
	No traslated yet

2003-09-30 Tuesday 07:08  mits

	* lang/ja/: README, countries.php: 
	
	New translation.

2003-09-30 Tuesday 06:36  moodler

	* lang/en/docs/credits.html: 
	
	Changed Excel library and a few names.

2003-09-30 Tuesday 06:24  moodler

	* lib/psxlsgen.php: 
	
	Goodbye old library!   Replaced by moodle/lib/excel

2003-09-30 Tuesday 06:23  moodler

	* mod/survey/download.php: 
	
	
	Excel report now uses the new library.	 Conversion by Russell
	Jungwirth - thanks!

2003-09-30 Tuesday 06:18  moodler

	* mod/quiz/report/simplestat/report.php: 
	
	Excel reports now use the new libraray ... code by Russell
	Jungwirth - thanks!

2003-09-30 Tuesday 05:28  stronk7

	* course/mod.php: 
	
	Bug 801 reopened. Problem occur when adding a new activity to a
	hidden section, it's visibility defaults to 1.	Now, default
	visibility is "inherited" from the section visibility.

2003-09-30 Tuesday 05:25  stronk7

	* course/format/topics.php: 
	
	Added to avoid one notice when no news exist !!

2003-09-30 Tuesday 02:01  bobopinna

	* lang/it/countries.php: 
	
	New from Moodle1.2develop

2003-09-30 Tuesday 01:57  bobopinna

	* lang/it/: attendance.php, forum.php, glossary.php, workshop.php: 
	
	Second step of general revision

2003-09-29 Monday 21:13  willcast

	* mod/glossary/dynalink.php: 
	
	- Multiwords concepts are now shown as a single link when they are
	dinymically linked.
	
	KNOWN BUG: When a concept is contained inside another concept (i.e.
	HOUSE and DOLL HOUSE) only the smaller concept is shown. Any help
	would be appreciated.

2003-09-29 Monday 21:01  willcast

	* mod/glossary/dynalink.php: 
	
	- Multiwords concepts are now shown as a single link when they are
	dinymically linked.
	
	KNOWN BUG: When a concept is contained inside another concept (i.e.
	HOUSE and DOLL HOUSE) only the smaller concept is shown. Any help
	would be appreciated.

2003-09-29 Monday 21:00  les_kopari

	* mod/glossary/db/oci8po.sql: 
	
	Test inserts updated for new column.

2003-09-29 Monday 20:55  les_kopari

	* mod/glossary/db/oci8po.sql: 
	
	Truncated names to < 30 chars for table, sequence and trigger.

2003-09-29 Monday 19:17  willcast

	* mod/glossary/: dynalink.php, lib.php, showentry.php: 
	
	- Duplicated entries are now shown together when a dynamic link is
	clicked on.

2003-09-29 Monday 14:37  stronk7

	* mod/glossary/formats/3.php: 
	
	Included new format for glossary display "Encyclopedia"

2003-09-29 Monday 14:27  stronk7

	* lang/en/glossary.php: 
	
	Included new format for glossary display "Encyclopedia"

2003-09-29 Monday 14:25  stronk7

	* lang/es/glossary.php: 
	
	Included new format for glossary display "Enciclopedia"

2003-09-29 Monday 13:51  adamtpaw

	* lang/pl/moodle.php: 
	
	Time format changed to 24 hour.

2003-09-29 Monday 12:14  willcast

	* mod/glossary/view.php: 
	
	[no log message]

2003-09-29 Monday 11:14  stronk7

	* mod/newmodule_template.zip: 
	
	Now the module template includes the XXXX_get_participants()
	function too (in standard area). See bug 807 and 721.

2003-09-29 Monday 10:45  willcast

	* mod/glossary/: dynalink.php, showentry.php, view.php: 
	
	- Implementing output text filters for glossary entries    
	dynalink.php::glossary_dynamic_link($courseid, $text, $glossaryid =
	NULL)

2003-09-29 Monday 08:27  stronk7

	* mod/: assignment/lib.php, attendance/lib.php, chat/lib.php,
	choice/lib.php, forum/lib.php, glossary/lib.php, journal/lib.php,
	survey/lib.php, workshop/lib.php: 
	
	Simply, move the XXXX_get_participants() function from bottom to
	the common function area.  See bug 807

2003-09-29 Monday 06:44  willcast

	* mod/glossary/: lib.php, view.php: 
	
	- Not Categorized is now the default view for category tab.

2003-09-29 Monday 03:23  moodler

	* lang/fr/: README, assignment.php, auth.php, chat.php, choice.php,
	forum.php, journal.php, moodle.php, quiz.php, resource.php,
	survey.php, help/coursecategory.html, help/courseformats.html,
	help/coursefullname.html, help/coursenewsitems.html,
	help/coursenumsections.html, help/courseshortname.html,
	help/coursestartdate.html, help/enrolmentkey.html,
	help/guestaccess.html, help/picture.html, help/questions.html,
	help/text.html, help/assignment/assignmenttype.html,
	help/assignment/resubmit.html, help/forum/allowdiscussions.html,
	help/forum/attachment.html, help/forum/subscription.html,
	help/resource/resourcetype.html, help/resource/summary.html: 
	
	Updates to French from nicolas@martignoni.net

2003-09-29 Monday 03:06  moodler

	* mod/glossary/db/mysql.sql: 
	
	Fixed typo on sourceglossaryid line

2003-09-28 Sunday 20:06  willcast

	* lang/en/glossary.php, lang/en/help/glossary/mainglossary.html,
	lang/en/help/glossary/studentcanpost.html, lang/es/glossary.php,
	lang/es/help/glossary/mainglossary.html,
	lang/es/help/glossary/studentcanpost.html,
	mod/glossary/backuplib.php, mod/glossary/deleteentry.php,
	mod/glossary/edit.html, mod/glossary/edit.php,
	mod/glossary/editcategories.html, mod/glossary/editcategories.php,
	mod/glossary/exportentry.php, mod/glossary/lib.php,
	mod/glossary/minus.gif, mod/glossary/mod.html,
	mod/glossary/restorelib.php, mod/glossary/version.php,
	mod/glossary/view.php, mod/glossary/db/mysql.php,
	mod/glossary/db/mysql.sql, mod/glossary/db/oci8po.sql,
	mod/glossary/db/postgres7.sql: 
	
	- Exported entries are now linked instead of copied to the main
	glossary.  - Short tags are gone.  - Little changes in ES language.

2003-09-28 Sunday 15:40  koenr

	* lang/nl/help/workshop/calculatingfinalgrade.html: 
	
	adjusted title to index.htm

2003-09-28 Sunday 15:38  koenr

	* lang/nl/help/workshop/index.html: 
	
	updated

2003-09-28 Sunday 15:35  koenr

	* lang/nl/workshop.php: 
	
	Corrected minor errors

2003-09-28 Sunday 15:34  koenr

	* lang/nl/help/workshop/calculatingfinalgrade.html: 
	
	Translated by Koen Roggemans

2003-09-28 Sunday 09:53  stronk7

	* mod/newmodule_template.zip: 
	
	Now the JumpMenu is showed when listing activities of this module. 
	See Bug 803

2003-09-28 Sunday 09:49  stronk7

	* mod/: attendance/index.php, chat/index.php, glossary/index.php: 
	
	Now the JumpMenu is showed when listing activities of this module. 
	See Bug 803

2003-09-28 Sunday 09:29  stronk7

	* mod/newmodule_template.zip: 
	
	Take out CR+LF is some files.  Now, when listing activities,
	entries are dimmed if they are hidden (teacher view). See bug 802.

2003-09-28 Sunday 08:56  moodler

	* lang/en/docs/coding.html: 
	
	Getting there ... still working on it.

2003-09-28 Sunday 07:57  moodler

	* mod/quiz/lib.php: 
	
	MOved quiz_get_participants from the bottom to the standard
	functions area

2003-09-28 Sunday 03:55  stronk7

	* mod/: attendance/index.php, glossary/index.php,
	workshop/index.php: 
	
	Now, when listing activities, entries are dimmed if they are hidden
	(teacher view). See bug 802.

2003-09-28 Sunday 03:17  stronk7

	* mod/chat/index.php: 
	
	Now, when listing activities, entries are dimmed if they are hidden
	(teacher view). See bug 802.

2003-09-27 Saturday 13:40  jungwirr

	* mod/attendance/icon.gif: 
	
	
	changed icon per martin's suggestion

2003-09-27 Saturday 09:56  giro123

	* lang/es/workshop.php: 
	
	[no log message]

2003-09-27 Saturday 09:43  giro123

	* lang/es/glossary.php: 
	
	[no log message]

2003-09-27 Saturday 07:50  moodler

	* user/lib.php: 
	
	Don't print city/country if there aren't any

2003-09-27 Saturday 07:06  moodler

	* course/mod.php: 
	
	Changes from Mad Alex to allow better error reporting when adding
	or updating modules.
	
	See: http://moodle.org/mod/forum/discuss.php?d=2738
	
	If a moderr.html file exists in the module, it is shown.
	
	If a string is returned, it's shown.
	
	Otherwise it works as before.

2003-09-27 Saturday 06:56  moodler

	* mod/forum/lib.php: 
	
	Add slahses to raw strings before insertion into database

2003-09-26 Friday 23:25  moodler

	* mod/forum/lib.php: 
	
	More tiny modifications to forum post headers (they now can wrap)

2003-09-26 Friday 23:18  moodler

	* mod/forum/lib.php: 
	
	Slightly smaller font on by line for forum posts

2003-09-26 Friday 17:10  rkingdon

	* mod/workshop/: assessments.php, lib.php, db/mysql.sql: 
	
	Recent Activity fixed; Student names removed from emails.

2003-09-26 Friday 17:07  rkingdon

	* lang/en/workshop.php: 
	
	Added strings for Recent Activity

2003-09-26 Friday 11:24  giro123

	* lang/es/: attendance.php, workshop.php: 
	
	[no log message]

2003-09-26 Friday 06:17  bobopinna

	* lang/it/: attendance.php, glossary.php, workshop.php: 
	
	
	Filled new fields

2003-09-26 Friday 05:12  bobopinna

	* lang/it/: assignment.php, choice.php, forum.php, journal.php,
	moodle.php, quiz.php, survey.php: 
	
	
	First step of general revision

2003-09-26 Friday 01:21  moodler

	* lib/moodlelib.php: 
	
	When getting a list of countries, check the parent language if
	necessary.

2003-09-26 Friday 01:04  moodler

	* lang/en/countries.php, lib/countries.php, lib/moodlelib.php,
	login/signup.php, login/signup_form.html, user/edit.html,
	user/edit.php, user/index.php, admin/config.html, admin/config.php,
	admin/register.php, admin/user.php, user/lib.php, user/view.php: 
	
	The list of countries has finally been moved into the language
	packs so it can be translated.
	
	There is now a new function get_list_of_countries() which will
	return a sorted array of countries in the best current language.
	
	get_string("AU", "countries")	will also work if needed

2003-09-25 Thursday 21:27  moodler

